0.10.0-rc2 2009-02-15
--------------------------------------------------------------------------------

2009-02-13 21:09  aclemens

    * digikam/digikamapp.cpp: use normal trashcan icon for tag delete
      action

2009-02-13 21:07  aclemens

    * libs/imageproperties/imagedescedittab.cpp: Change order of delete
      and properties action in context menu auf imagedescedittab

2009-02-13 21:07  aclemens

    * digikam/tagfilterview.cpp: Change order of delete and properties
      action in context menu

2009-02-13 20:38  aclemens

    * digikam/tagfolderview.cpp: Use same icons in AlbumFolderView and
      TagFolderView for reset and delete action.

2009-02-13 20:38  aclemens

    * digikam/albumfolderview.cpp, digikam/tagfolderview.cpp: Move
      "Album Properties" and "Tag Properties" actions to the bottom of
      the context menu and rename them to "Properties...", like most
      applications do. This way the action can be found more easily.

2009-02-13 17:55  mwiesweg

    * utilities/setup/setupicc.cpp: Recognize special proprietary
      device class in Nikon profiles
      
      CCBUG: 152528

2009-02-13 16:32  aclemens

    * libs/widgets/common/filesaveoptionsbox.cpp: Options in "Save As"
      dialog are not loaded for JP2 image types, but
      instead displaying none, the options for the previously selected
      mimetype are displayed.
      Somehow JP2 is not working. If you select it from the mimetype
      combobox,
      klauncher says that the protocol is "unknown", although the type
      is
      correct (image/jp2).
      We need to provide some fake mimetype ("unknown") to display the
      correct
      options instead of returning from the slot.

2009-02-13 14:09  aclemens

    * libs/widgets/iccprofiles/iccpreviewwidget.cpp: polish

2009-02-13 14:05  aclemens

    * libs/widgets/iccprofiles/iccpreviewwidget.cpp: Use QScrollArea
      for ICCPreviewWidget, do not use setWidgetResizable(),
      otherwise the preview widget becomes messed up.
      
      Right now this seems to be the best solution, what do you think?
      It
      scales vertically, but not horizontally. I think it still looks
      ok.
      
      CCBUG:131948

2009-02-13 12:51  aclemens

    * NEWS: update

2009-02-13 12:51  aclemens

    * utilities/imageeditor/editor/editorwindow.cpp,
      utilities/setup/setupicc.cpp: readSettings() in SetupICC is
      called 3 times when called the
      first time in the ctor. This is due to a signal emitted when
      the "ManagedView" checkbox is set. Changing the order of the
      method calls in the ctor fixes this.
      The same is true for the EditorWindow class: we need to block
      the signals in applyStandardSettings() to avoid multiple calls
      and toggles of the managedView controls, otherwise wrong settings
      are loaded / saved.
      
      BUG:160196

2009-02-13 12:49  anaselli

    * utilities/imageeditor/tools/digikamconfig.kcfg,
      utilities/imageeditor/tools/printhelper.cpp,
      utilities/imageeditor/tools/printoptionspage.cpp,
      utilities/imageeditor/tools/printoptionspage.h,
      utilities/imageeditor/tools/printoptionspage.ui: Added auto
      rotate option to print dialog

2009-02-13 11:50  cgilles

    * utilities/imageeditor/editor/editorwindow.cpp: polish

2009-02-13 10:53  cgilles

    * libs/dimg/loaders/jp2ksettings.cpp,
      libs/dimg/loaders/jpegsettings.cpp,
      libs/dimg/loaders/pngsettings.cpp: polish layout

2009-02-13 05:02  cgilles

    * NEWS: update

2009-02-12 20:45  aclemens

    * digikam/welcomepageview.cpp, digikam/welcomepageview.h: fix mail
      address

2009-02-12 18:05  aclemens

    * digikam/digikamapp.cpp, digikam/digikamappprivate.h: prevent the
      tooltip from popping up during the startup of digiKam.

2009-02-12 17:59  cgilles

    * utilities/kipiiface/kipiuploadwidget.cpp: compile

2009-02-12 17:56  cgilles

    * utilities/kipiiface/kipiuploadwidget.cpp: polish

2009-02-12 17:16  aclemens

    * libs/database/haar/haariface.cpp: Add already checked IDs to a
      QSet and skip them when running Find
      Duplicates search.
      This can speed up the process a little bit, but only when the
      image
      collection has a lot duplicate images, otherwise it will be not
      faster
      (but also not slower, so the patch has its purpose :-))

2009-02-12 16:13  aclemens

    * utilities/searchwindow/searchtabheader.cpp: prevent mainwindow
      from popping up during startup

2009-02-12 13:40  cgilles

    * utilities/kipiiface/kipiuploadwidget.cpp,
      utilities/kipiiface/kipiuploadwidget.h: new method to play with
      KUrl

2009-02-12 13:11  cgilles

    * utilities/kipiiface/kipiuploadwidget.cpp: compile

2009-02-12 13:10  cgilles

    * utilities/kipiiface/kipiuploadwidget.cpp: protect

2009-02-12 06:29  cgilles

    * utilities/setup/setuplighttable.cpp: polish

2009-02-12 04:36  cgilles

    * NEWS: update

2009-02-11 18:42  mwiesweg

    * NEWS: update

2009-02-11 18:40  mwiesweg

    * libs/database/imagescanner.cpp: Silly me, the most stupid
      mistake. Must have been blind yesterday.
      
      BUG: 183887

2009-02-11 18:39  mwiesweg

    * utilities/setup/setupicc.cpp: Don't say unknown if it is one of
      the specified device classes, though unused by us

2009-02-11 15:22  cgilles

    * libs/dimg/loaders/jp2ksettings.cpp,
      libs/dimg/loaders/pngsettings.cpp,
      libs/dimg/loaders/tiffsettings.cpp: add stretch

2009-02-10 16:51  mwiesweg

    * libs/database/databaseaccess.cpp,
      libs/database/databasewatch.cpp, libs/database/databasewatch.h:
      The original bug: Newly added collection may be listed as empty
      by the ioslave
      because it did not know the new collection yet if it had been
      running already.
      
      The problem: KIOSlaves do not have an event loop in their main
      thread and therefore
      cannot receive DBus signals (they can send them though)
      
      Howto make KIOSlaves receive DBus signals:
      Create a dedicated thread that creates it's own DBusConnection
      (not sessionBus()),
      connects the DBus signals (including to objects in other threads)
      and then enters
      its event loop.
      When queued signals are send to the KIOSlave's main thread, you
      need to call
      QEventLoop's processEvents for example when you start an
      operation.

2009-02-10 16:51  mwiesweg

    * libs/database/imagescanner.cpp: Ensure tag is -1 if null from
      exiv2

2009-02-10 16:51  mwiesweg

    * libs/database/collectionmanager.cpp,
      libs/database/collectionmanager.h,
      libs/database/databasewatch.cpp: Ensure DatabaseWatch ->
      CollectionManager connection is set up

2009-02-10 14:19  cgilles

    * libs/dimg/dimg.cpp, libs/dimg/dimg.h: use const ref

2009-02-10 13:09  cgilles

    * libs/dimg/dimg.h: force first enum value to 0 to be able to use
      it as index in combobox

2009-02-10 12:18  cgilles

    * libs/dimg/dimg.cpp, libs/dimg/dimg.h: new method to save image
      based on DImg::FORMAT enum instead a formated string

2009-02-09 17:32  cgilles

    * libs/dimg/loaders/jpegsettings.cpp,
      libs/dimg/loaders/jpegsettings.h,
      libs/dimg/loaders/pngsettings.cpp,
      libs/dimg/loaders/pngsettings.h,
      libs/dimg/loaders/tiffsettings.cpp,
      libs/dimg/loaders/tiffsettings.h: added signal about settings
      changes

2009-02-09 16:32  mwiesweg

    * NEWS, libs/threadimageio/thumbnailloadthread.cpp: update, fix
      warning

2009-02-09 16:24  mwiesweg

    * libs/threadimageio/thumbnailloadthread.cpp,
      libs/threadimageio/thumbnailloadthread.h: Use at most one
      KIO::PreviewJob per thumbnail thread. KIO goes crazy if more than
      150 jobs
      are active, which may happen otherwise in special cases.
      
      BUG: 182858

2009-02-09 14:25  cgilles

    * libs/dimg/loaders/jp2ksettings.cpp,
      libs/dimg/loaders/jp2ksettings.h: add signal to ping when
      settings change

2009-02-09 14:18  cgilles

    * libs/dimg/loaders/jp2ksettings.cpp,
      libs/dimg/loaders/jp2ksettings.h: double connection

2009-02-08 00:12  aclemens

    * digikam/albumfolderview.cpp, digikam/albumiconview.cpp: Fix
      actions

2009-02-08 00:11  aclemens

    * digikam/albumiconview.cpp, digikam/digikamapp.cpp: Capitalize
      "From" in action name according to the KDE style guide.

2009-02-07 22:33  mwiesweg

    * NEWS: update

2009-02-07 22:32  mwiesweg

    * digikam/albumhistory.cpp: If the last backward history item has
      the same album, but different widget, just
      set the widget, but do not create a duplicate entry.
      This applied when Find Similar from context menu is selected.
      
      BUG: 183008

2009-02-07 22:32  mwiesweg

    * digikam/digikamview.cpp: Make special titles user-presentable in
      album history
      
      CCBUG: 183008

2009-02-07 22:32  mwiesweg

    * utilities/fuzzysearch/fuzzysearchview.cpp: Only handle album
      selection if tab is active (same procedure for all other left
      sidebar tabs)
      This is for example necessary so that the selected album in the
      folder view is not inserted
      to the album history.
      
      CCBUG: 183008

2009-02-07 18:35  cgilles

    * NEWS: update

2009-02-07 17:56  mwiesweg

    * NEWS: update

2009-02-07 17:55  mwiesweg

    * utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindowprivate.h: Store size of
      thumbbar and restore when returning from fullscreen.
      
      BUG: 166472

2009-02-07 17:55  mwiesweg

    * libs/widgets/common/sidebar.cpp, libs/widgets/common/sidebar.h:
      Allow to backup/restore other widgets inside the splitter
      
      CCBUG: 166472

2009-02-07 16:40  mwiesweg

    * digikam/digikamapp.cpp, digikam/digikamapp.h, digikam/main.cpp:
      First parts for proper session management support
      
      CCBUG: 182534

2009-02-07 16:04  anaselli

    * utilities/imageeditor/editor/editorwindow.cpp: SVN_SILENT:
      removed unused code

2009-02-07 14:35  mwiesweg

    * digikam/albumiconview.cpp: If light table is empty, use "Place
      onto Light Table", if there are already pictures added,
      use "Add to Light Table". "Add to" makes no sense for empty
      table.
      
      CCBUG: 183489

2009-02-07 14:35  mwiesweg

    * utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h: Allow to find out if
      table is empty

2009-02-07 14:35  mwiesweg

    * utilities/lighttable/lighttablewindow.cpp: Un-minimize from
      calling method

2009-02-07 14:35  mwiesweg

    * utilities/lighttable/lighttablewindow.cpp: Remove KDE3-style
      filter code

2009-02-07 14:34  mwiesweg

    * digikam/albumiconview.cpp: Use KWindowSystem calls to prevent any
      problems with window focus
      
      CCBUG: 183489

2009-02-07 14:01  mwiesweg

    * NEWS: update

2009-02-07 14:00  mwiesweg

    * libs/dimg/loaders/pngloader.cpp: Use manual writing with libpng
      only when exiv2 version does not support it.
      (99% if changes are only intendation change)
      
      BUG: 151552

2009-02-07 14:00  mwiesweg

    * utilities/imageeditor/canvas/canvas.cpp: Do not reset zoom to
      100% whenever a new picture is loaded.
      
      BUG: 163403

2009-02-07 13:04  cgilles

    * libs/database/schemaupdater.cpp: update

2009-02-07 11:37  cgilles

    * utilities/setup/setupalbumview.cpp,
      utilities/setup/setupmisc.cpp: move sidebar setting to Misc
      section

2009-02-07 10:14  cgilles

    * NEWS: update

2009-02-07 09:32  aclemens

    * digikam/albumiconview.cpp: Remove disabled actions from context
      menu when multiple images are
      selected.
      To save us from many if-statements, we add all actions to the
      context
      menu in the first place and remove them again later on. This way
      we have
      one common place to disable / remove actions which makes the code
      more
      easy to read.
      
      CCBUG:100770

2009-02-07 08:21  cgilles

    * libs/database/schemaupdater.cpp, libs/database/schemaupdater.h:
      fix typo

2009-02-06 19:45  aclemens

    * digikam/albumiconview.cpp: use same name as mainmenu action
      
      CCBUG:100770

2009-02-06 19:45  aclemens

    * digikam/albumiconview.h, digikam/digikamapp.cpp,
      digikam/digikamappprivate.h, digikam/digikamui.rc,
      digikam/digikamview.cpp, digikam/digikamview.h: add action "New
      Album from Selection" to mainmenu
      
      CCBUG:100770

2009-02-06 19:16  aclemens

    * digikam/digikamapp.cpp: quick fix: disable actions from toolbar
      and menu if multiple images are selected.
      
      CCBUG:100770

2009-02-06 17:41  aclemens

    * digikam/albumiconview.cpp: fix crash when accessing context menu
      in date view

2009-02-06 17:29  aclemens

    * digikam/albumiconview.cpp: disable actions in context menu that
      can't be used with multiple selected images

2009-02-06 15:35  aclemens

    * NEWS: update

2009-02-06 15:20  aclemens

    * digikam/albumiconview.cpp: use "folder-new" icon for "Move
      Selection to new Album" action

2009-02-06 14:49  aclemens

    * NEWS: update

2009-02-06 14:48  aclemens

    * digikam/albumiconview.cpp, digikam/albumiconview.h: If multiple
      images are selected, add a new context menu entry to move the
      selected images into a new album.
      
      BUG:100770

2009-02-06 14:10  cgilles

    * NEWS: update

2009-02-06 12:30  cgilles

    * NEWS: update

2009-02-06 12:27  cgilles

    * NEWS: update

2009-02-06 12:16  aclemens

    * showfoto/setup/setup.cpp, utilities/setup/setup.cpp: fix "RAW
      Decoding" setup page

2009-02-06 11:39  cgilles

    * imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp: Fix
      warnings under win32

2009-02-06 10:29  cgilles

    * NEWS: update

2009-02-06 08:12  aclemens

    * ChangeLog, data/about/main.html, project/NEWS.0.9.0,
      project/NEWS.0.9.1, utilities/cameragui/umscamera.cpp,
      utilities/setup/setup.cpp: 'information' has no plural form

2009-02-06 05:02  cgilles

    * utilities/imageeditor/tools/printhelper.cpp,
      utilities/imageeditor/tools/printhelper.h,
      utilities/imageeditor/tools/printoptionspage.cpp,
      utilities/imageeditor/tools/printoptionspage.h,
      utilities/imageeditor/tools/signalblocker.h: use digiKam header
      form.
      fix local includes

2009-02-06 04:46  cgilles

    * utilities/imageeditor/editor/imagewindow.cpp: compile

2009-02-06 00:25  anaselli

    * CMakeLists.txt: SVN_SILENT: comments

2009-02-06 00:22  anaselli

    * CMakeLists.txt, NEWS, digikam/CMakeLists.txt,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/tools/digikamconfig.kcfg,
      utilities/imageeditor/tools/digikamconfig.kcfgc,
      utilities/imageeditor/tools/imageprint.cpp,
      utilities/imageeditor/tools/imageprint.h,
      utilities/imageeditor/tools/printhelper.cpp,
      utilities/imageeditor/tools/printhelper.h,
      utilities/imageeditor/tools/printoptionspage.cpp,
      utilities/imageeditor/tools/printoptionspage.h,
      utilities/imageeditor/tools/printoptionspage.ui,
      utilities/imageeditor/tools/signalblocker.h: Added print
      management to ShowFoto.
      Don't need to reinvent the wheel, so i used gwenview code - that
      is a great improvement of my old one :) Thanks Aurelien
      
      CCMAIL: digikam-devel@kde.org, aurelien.gateau@free.fr

2009-02-05 23:25  aclemens

    * utilities/imageeditor/editor/editorwindow.cpp: code cleanup

2009-02-05 23:22  aclemens

    * utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindowprivate.h: merge all
      actions of imageplugins into one common actionCollection, to make
      the shortcuts editor more readable

2009-02-05 22:25  mwiesweg

    * NEWS: update

2009-02-05 14:34  cgilles

    * showfoto/setup/setup.cpp, utilities/setup/setup.cpp: backup setup
      dialog size

2009-02-05 14:15  cgilles

    * NEWS: update

2009-02-05 14:14  scripty

    * digikam/digikam.desktop,
      imageplugins/blurfx/digikamimageplugin_blurfx.desktop,
      imageplugins/border/digikamimageplugin_border.desktop,
      imageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
      imageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      imageplugins/restoration/digikamimageplugin_restoration.desktop,
      showfoto/showfoto.desktop,
      utilities/hotplug/digikam-download.desktop.cmake,
      utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
      utilities/hotplug/digikam-mount-and-download.desktop.cmake,
      utilities/hotplug/digikam-opencamera.desktop.cmake: SVN_SILENT
      made messages (.desktop file)

2009-02-05 14:13  cgilles

    * digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/digikamview.cpp, digikam/digikamview.h,
      digikam/iconview.cpp, showfoto/setup/setupeditor.cpp,
      showfoto/showfoto.cpp, showfoto/showfoto.h,
      utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
      utilities/cameragui/camerauiprivate.h,
      utilities/imageeditor/editor/imagewindow.cpp,
      utilities/imageeditor/editor/imagewindow.h,
      utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h,
      utilities/lighttable/lighttablewindowprivate.h,
      utilities/setup/setupalbumview.cpp: digiKam from trunk : Sidebar
      : it's now possible to select the sidebar type: tab tile always
      visible or only for active tab.
      First one is dedicated for large screen. Second one is the
      default.
      BUG: 182830

2009-02-05 07:15  cgilles

    * project/project.kdevelop, showfoto/setup/setupeditor.cpp,
      showfoto/setup/setuptooltip.cpp, utilities/setup/setupcamera.cpp,
      utilities/setup/setupcategory.cpp, utilities/setup/setupmime.cpp,
      utilities/setup/setupmisc.cpp, utilities/setup/setupplugins.cpp,
      utilities/setup/setupslideshow.cpp,
      utilities/setup/setuptooltip.cpp: fix margin

2009-02-05 05:07  cgilles

    * digikam/digikamapp.cpp: ignore old SlideShow plugin

2009-02-05 04:46  cgilles

    * NEWS: update

2009-02-04 23:09  aclemens

    * digikam/digikamapp.cpp: adept to new kipiplugin name
      (advancedslideshow)

2009-02-04 20:00  mwiesweg

    * utilities/fuzzysearch/findduplicatesview.cpp,
      utilities/fuzzysearch/findduplicatesview.h: Various bugfixes.
      Listen to signalSearchUpdated so that updates from
      rebuilding the duplicates searches are not ignored.

2009-02-04 19:59  mwiesweg

    * digikam/albummanager.cpp, digikam/albummanager.h: Complete the
      implementation for scanSAlbums so that deleted albums are
      removed,
      changed albums are updated. Add a signal for changed searches
      (query, name, type changed)

2009-02-04 19:59  mwiesweg

    * libs/database/collectionmanager.cpp: Some more checks that a
      string for startsWith() is not empty

2009-02-04 19:58  mwiesweg

    * libs/database/schemaupdater.cpp: Increment filter version

2009-02-04 18:16  aclemens

    * digikam/digikamapp.cpp: Clear action collection before it is
      deleted, just to be sure.
      Code polish.

2009-02-04 17:51  aclemens

    * digikam/digikamapp.cpp: If KDE version is < 4.2, do not use
      KActionCategory, put all KIPI
      actions in one collection instead.
      
      CCBUG:182599

2009-02-04 17:08  aclemens

    * digikam/digikamapp.cpp: Some actions are not shown in the
      shortcut editor. The only way to get
      them is to use
      plugin->actionCollection()->actions()
      instead of
      plugin->actions().
      Need to do further investigations...

2009-02-04 17:01  aclemens

    * digikam/digikamapp.cpp: remove KActionCategory for now, seems to
      be a new feature

2009-02-04 16:58  cgiboudeaux

    * CMakeLists.txt: Add a missing include

2009-02-04 16:39  aclemens

    * digikam/digikamapp.cpp, digikam/digikamappprivate.h: The KIPI
      shortcut settings where only loaded when the shortcut editor
      was started. To fix this, we need to make kipiplugins
      actionCollection
      globally available and move the actionCollection setup into
      slotKipiPluginPlug()
      
      CCBUG:182599

2009-02-04 16:18  aclemens

    * NEWS: update

2009-02-04 16:18  aclemens

    * digikam/digikamapp.cpp: Add one common KIPI-Plugins
      actionCollection(), to clean up shortcut
      editor dialog. Put actions of every plugin in there. If a plugin
      has
      more then 3 actions, generate a dedicated category inside the
      actionCollection.
      
      BUG:182599

2009-02-04 16:18  aclemens

    * digikam/digikamapp.cpp: Enhance readability by using foreach
      macro and switch statement.

2009-02-04 12:25  cgilles

    * libs/database/schemaupdater.cpp, libs/dimg/dimg.cpp,
      libs/dimg/dimg.h, libs/widgets/common/filesaveoptionsbox.cpp,
      libs/widgets/common/filesaveoptionsbox.h,
      utilities/imageeditor/canvas/dimginterface.cpp,
      utilities/imageeditor/canvas/dimginterface.h,
      utilities/imageeditor/editor/editorwindow.cpp: j2k is also an
      file name extension for JPEG2000 (used by KDE 4.1)

2009-02-04 11:07  cgilles

    * libs/dimg/loaders/pngloader.cpp, libs/dimg/loaders/pngloader.h:
      digiKam from trunk : force to save metadata with Exiv2 in all
      case. Since Exiv2 is out PNG is upport in writting mode.
      CCBUG: 151552

2009-02-04 10:09  aclemens

    * NEWS: update

2009-02-04 05:14  cgilles

    * NEWS: update

2009-02-04 05:13  cgilles

    * NEWS: update

2009-02-03 18:05  cgilles

    * NEWS: update

2009-02-03 17:28  aclemens

    * digikam/welcomepageview.cpp, digikam/welcomepageview.h: Move
      disabling of actions into a dedicated method, to clean up
      constructor.

2009-02-03 17:12  aclemens

    * digikam/welcomepageview.cpp: Another action that needs to be
      disabled in KHTMLPart widget, although
      the shortcut will work after clicking into the AlbumIconView.
      But if you don't click into the thumbnail view, you'll get an
      "ambiguous
      shortcut" warning dialog.

2009-02-03 16:37  aclemens

    * utilities/fuzzysearch/findduplicatesview.cpp: Give visual
      feedback to the user if "Find Duplicates" search is going to be
      canceled.

2009-02-03 16:04  mwiesweg

    * NEWS: update

2009-02-03 16:04  mwiesweg

    * libs/database/collectionmanager.cpp: Dont use empty paths for
      startsWith(), always true

2009-02-03 16:00  mwiesweg

    * digikam/folderitem.cpp, digikam/folderitem.h,
      digikam/folderview.cpp, digikam/folderview.h:
      Q3ListView::takeItem is only used for root items. For all other
      items, we must override
      Q3ListViewItem::takeItem. Do this and notify FolderView about
      takenItems.
      I dont know why this did _not_ crash, and it did not for me, so I
      cant proof
      this was the crash, but it is probable.
      
      BUG: 182995

2009-02-03 10:31  aclemens

    * utilities/cameragui/freespacewidget.cpp: fix warnings

2009-02-03 09:46  cgilles

    * digikam/digikamapp.cpp: fix plugin name

2009-02-03 09:23  cgilles

    * digikam/digikamapp.cpp: digiKam from trunk : ignore some renamed
      kipi plugins in loaders which can make some troubles with
      keyboard shortcuts editor.
      CCBUG: 182599
      CCMAIL: lure@kubuntu.org

2009-02-03 08:46  cgilles

    * digikam/componentsinfo.h, libs/dialogs/libsinfodlg.cpp,
      libs/dialogs/libsinfodlg.h, project/project.kdevelop,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h: set dialog as
      modeless

2009-02-02 20:06  sengels

    * digikam/CMakeLists.txt, showfoto/CMakeLists.txt: fix
      digikam/showfoto application icon to use oxygen now

2009-02-02 16:37  cgilles

    * NEWS: update

2009-02-02 14:51  cgilles

    * libs/database/collectionmanager.cpp,
      libs/database/collectionmanager.h,
      libs/database/databasebackend.cpp,
      libs/database/databasebackend.h: use const d

2009-02-02 14:42  cgilles

    * digikam/albummanager.cpp, digikam/digikamfirstrun.cpp,
      digikam/digikamfirstrun.h, digikam/icongroupitem.cpp,
      digikam/icongroupitem.h,
      imageplugins/coreplugin/hsl/hspreviewwidget.cpp,
      imageplugins/coreplugin/hsl/hspreviewwidget.h,
      imageplugins/superimpose/dirselectwidget.cpp,
      imageplugins/superimpose/dirselectwidget.h,
      project/project.kdevelop, utilities/cameragui/gpconfigdlg.cpp,
      utilities/cameragui/gpconfigdlg.h: use const d

2009-02-02 13:10  cgilles

    * utilities/imageeditor/canvas/dimginterface.cpp: force to remove
      IPTC preview before to update it...
      CCBUG: 151552

2009-02-02 11:03  cgilles

    * utilities/fuzzysearch/fuzzysearchview.cpp,
      utilities/fuzzysearch/fuzzysearchview.h: digiKam from trunk : use
      QScrollArea to host fuzzy search view to reduce main window size
      CCBUG: 182829

2009-02-02 11:01  cgilles

    * NEWS: update

2009-02-02 10:02  cgilles

    * showfoto/setup/setupeditor.cpp, showfoto/setup/setupeditor.h,
      showfoto/setup/setuptooltip.cpp, showfoto/setup/setuptooltip.h:
      use QScrollArea in shwofoto setup dialog
      CCBUG: 182755

2009-02-02 09:59  cgilles

    * utilities/setup/setupalbumview.cpp,
      utilities/setup/setupalbumview.h,
      utilities/setup/setupcamera.cpp, utilities/setup/setupcamera.h,
      utilities/setup/setupcategory.cpp,
      utilities/setup/setupcategory.h,
      utilities/setup/setupcollections.cpp,
      utilities/setup/setupcollections.h,
      utilities/setup/setupdcraw.cpp, utilities/setup/setupdcraw.h,
      utilities/setup/setupeditor.cpp, utilities/setup/setupeditor.h,
      utilities/setup/setupicc.cpp, utilities/setup/setupicc.h,
      utilities/setup/setupidentity.cpp,
      utilities/setup/setupidentity.h,
      utilities/setup/setupiofiles.cpp, utilities/setup/setupiofiles.h,
      utilities/setup/setuplighttable.cpp,
      utilities/setup/setuplighttable.h,
      utilities/setup/setupmetadata.cpp,
      utilities/setup/setupmetadata.h, utilities/setup/setupmime.cpp,
      utilities/setup/setupmime.h, utilities/setup/setupmisc.cpp,
      utilities/setup/setupmisc.h, utilities/setup/setupplugins.cpp,
      utilities/setup/setupplugins.h,
      utilities/setup/setupslideshow.cpp,
      utilities/setup/setupslideshow.h,
      utilities/setup/setuptooltip.cpp, utilities/setup/setuptooltip.h:
      digiKam from trunk: use QScrollArea everywhere to decrease setup
      dialog size
      BUG: 182755

2009-02-01 17:54  cgilles

    * NEWS: update

2009-02-01 17:47  cgilles

    * digikam/albumwidgetstack.cpp, digikam/albumwidgetstack.h,
      digikam/digikamview.cpp, digikam/imagepreviewview.cpp,
      digikam/imagepreviewview.h: use right slot to insert item to LT
      with preview mode.
      BUG: 182754

2009-02-01 14:35  cgilles

    * NEWS: update

2009-02-01 14:34  cgilles

    * libs/widgets/common/curveswidget.cpp,
      libs/widgets/common/curveswidget.h: use antialiasing to render
      curves.
      BUG: 182610

2009-02-01 14:08  cgilles

    * NEWS: update

2009-02-01 13:53  cgilles

    * NEWS: update

2009-02-01 12:21  aclemens

    * NEWS: update

2009-02-01 12:19  aclemens

    * digikam/albumfolderview.cpp, digikam/folderview.cpp,
      digikam/tagfilterview.cpp, digikam/tagfilterview.h,
      digikam/tagfolderview.cpp,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/talbumlistview.cpp,
      libs/imageproperties/talbumlistview.h,
      utilities/fuzzysearch/fuzzysearchfolderview.cpp,
      utilities/gpssearch/gpssearchfolderview.cpp,
      utilities/searchwindow/searchfolderview.cpp,
      utilities/timeline/timelinefolderview.cpp: Fix saveViewState()
      for folderviews with CheckListItems, like
      TAlbumListView and TagFilterView.
      
      With current implementation, we are not able to have one common
      loadViewState() and saveViewState() method, so we need to
      re-implement
      them in TAlbumListView and TagFilterView. This is not nice
      because we
      have duplicate code now, but since we are going to switch to
      ModelView
      concept next release, it would be a waste of time to create a new
      common
      interface or abstract class now.
      
      We can not call virtual methods in constructors / destructors, so
      every
      view inherited from FolderView needs to call saveViewState() in
      its own
      destructor instead.
      
      BUG:148166

2009-02-01 07:02  cgilles

    * NEWS: update

2009-01-31 22:56  mwiesweg

    * NEWS: update

2009-01-31 22:54  mwiesweg

    * digikam/albumiconview.cpp: When the item marked with "Go To"
      actions has been scrolled to once, drop it so that it does not
      persist.
      
      BUG: 180223

2009-01-31 20:41  cgilles

    * NEWS: update

2009-01-31 16:08  cgilles

    * NEWS: update

2009-01-31 16:06  cgilles

    * utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h: backport commit #919250
      from KDE3 branch
      BUG: 182352

2009-01-31 13:48  cgilles

    * utilities/cameragui/cameracontroller.cpp,
      utilities/cameragui/cameracontroller.h: polish

2009-01-31 13:09  cgilles

    * NEWS: update

2009-01-31 13:07  cgilles

    * utilities/cameragui/cameracontroller.cpp: digiKam from trunk : to
      prevent any problem, only apply JPEG fix to JPEG files
      BUG: 180065

2009-01-31 12:26  cgilles

    * utilities/cameragui/cameracontroller.cpp: digiKam from trunk:
      Camera GUI : append orginal file name to temp url used to
      download file from camera (not prepend).
      Like this, original file type mime is not lost and JPEG operation
      during download are not applied to RAW files.
      CCBUGS: 180065

2009-01-31 11:10  cgilles

    * utilities/cameragui/cameracontroller.cpp: added more debug info

2009-01-30 18:16  aclemens

    * digikam/welcomepageview.cpp: use qobject_cast instead of
      dynamic_cast, use kDebug() when action can
      not be found

2009-01-30 13:38  aclemens

    * digikam/welcomepageview.cpp: just for safety, disable
      findPrevious action of KHTMLPart as well. We do
      not use the shortcut "Shift+F3" yet, but who knows...?

2009-01-30 12:18  cgilles

    * NEWS: update

2009-01-29 23:43  scripty

    * showfoto/showfoto.desktop,
      utilities/hotplug/digikam-download.desktop.cmake,
      utilities/hotplug/digikam-mount-and-download.desktop.cmake,
      utilities/hotplug/digikam-opencamera.desktop.cmake: SVN_SILENT
      made messages (.desktop file)

2009-01-29 22:05  mwiesweg

    * utilities/imageeditor/canvas/dimginterface.cpp: Fix intendation

2009-01-29 20:50  cgilles

    * NEWS: update

2009-01-29 20:13  mwiesweg

    * libs/widgets/common/dlogoaction.cpp: Remove assert.
      When moving toolbars around Qt inserts action in a form of QMenu,
      why ever.
      (See QToolBarLayout::layoutActions).
      This works well as it is now.
      
      BUG: 182334

2009-01-29 14:13  aclemens

    * libs/database/haar/haariface.cpp: fix logic error

2009-01-29 12:35  cgilles

    * NEWS: update

2009-01-29 12:35  mwiesweg

    * libs/dimg/loaders/jpegloader.cpp: Use setjmp-save cleanup
      handling for JPEG loader as well

2009-01-29 12:34  mwiesweg

    * libs/dimg/loaders/pngloader.cpp: Polish, use setjmp-save cleanup
      object for save() as well

2009-01-29 11:53  mwiesweg

    * NEWS: update

2009-01-29 11:52  mwiesweg

    * libs/database/schemaupdater.cpp: KIO jobs cannot be started from
      the non-UI thread.
      Now when updating the database from 0.9, we used a KIO job from a
      worker thread,
      and this worked well for this job. But in this case internal KIO
      objects
      (KIO::Scheduler) will be created in this worker thread, so all
      following usage of KIO
      from the main thread will fail, which caused the effect that no
      images are visible after
      the first start when updating.
      Fix with using QFile::copy methods in SchemaUpdater.
      
      (KIO should enforce not being used from worker thread in
      KIO::Scheduler construction;
      or, there do not seem to be too large obstacles for creating
      per-thread usage to remove
      the restriction)
      
      BUG: 181792

2009-01-29 11:52  mwiesweg

    * digikam/albumwidgetstack.cpp: Use only first bytes of config
      string (these contain the QList<int> with 0, 0),
      do not look at rest, because the handle width is stored there and
      may vary.

2009-01-29 11:52  mwiesweg

    * libs/dimg/loaders/pngloader.cpp: Fix memory leak detected by
      valgrind when a broken PNG image is loaded:
      setjmp/longjmp will reset all stack variables, that means
      something like
      uchar *data = 0; if (setjmp) { delete data; return; }; data = new
      uchar[]; longjmp;
      will never delete the allocated memory because data is again 0
      after setjmp.
      We need to store the pointer on the heap.
      
      Need fix Jpeg loader similarly.

2009-01-29 11:51  mwiesweg

    * libs/database/schemaupdater.cpp: Do not let "Last Search" from
      0.9 collide with 0.10 "Current Search"

2009-01-29 11:08  cgilles

    * NEWS: update

2009-01-29 00:03  aclemens

    * NEWS: update

2009-01-28 20:11  cgilles

    * utilities/cameragui/freespacewidget.cpp: fix memory leak

2009-01-28 18:13  cgilles

    * utilities/cameragui/dkcamera.cpp, utilities/cameragui/dkcamera.h:
      bugfix : if file extension is empty, do not cast mimetype as RAW
      file...

2009-01-27 16:20  cgilles

    * libs/widgets/common/ditemtooltip.cpp: take a care about theme
      engine changes to render arrow on the corners

2009-01-27 15:58  cgilles

    * NEWS: update

2009-01-27 14:43  cgilles

    * README: fix Qt url

2009-01-27 09:30  aclemens

    * utilities/fuzzysearch/findduplicatesview.cpp: polish

2009-01-27 09:15  aclemens

    * utilities/fuzzysearch/findduplicatesview.cpp,
      utilities/fuzzysearch/findduplicatesview.h: Reset progressbar
      when "find duplicates" tool has been finished. Use a
      dedicated function to toggle the state of the control widgets of
      the
      Find Duplicates tool, to avoid code duplication.

2009-01-26 21:50  mwiesweg

    * NEWS: update

2009-01-26 21:49  mwiesweg

    * digikam/albumiconviewfilter.cpp, digikam/albumlister.cpp: No
      longer restrict filtering only to those fields visible in icon
      view
      
      BUG: 181705

2009-01-26 21:49  mwiesweg

    * libs/threadimageio/managedloadsavethread.cpp: Fix memory leak

2009-01-26 21:48  mwiesweg

    * libs/threadimageio/loadsavethread.cpp: Improve comment

2009-01-26 21:03  aclemens

    * digikam/digikamapp.cpp: fix memory leak

2009-01-26 20:22  aclemens

    * digikam/welcomepageview.cpp: disable KHTMLPart's findNext action
      as well

2009-01-26 19:25  aclemens

    * digikam/digikamapp.cpp, digikam/welcomepageview.cpp: override
      find action of KHTMLPart widget so that "Search..." action is
      executable via keyboard shortcut

2009-01-26 16:59  aclemens

    * digikam/digikamview.cpp: focus the "searches" tab when activating
      "simple search" action

2009-01-26 14:38  cgilles

    * NEWS: update

2009-01-26 14:35  cgilles

    * utilities/imageeditor/editor/editorstackview.h,
      utilities/imageeditor/editor/editortooliface.cpp,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h: digiKam from trunk :
      fix some issues with zoom action between canvas and editor tool
      preview.
      For the moment, only Zoom+ and Zoom- actions are properly
      managed. Later, when all Editor Tool
      preview widget will be factored, we will improve zoom management
      to include Zoom Fit and Zoom Combox.
      BUG: 181964

2009-01-26 11:46  aclemens

    * utilities/imageeditor/editor/editorwindow.cpp: also toggle zoomIn
      / zoomOut actions in editorwindow

2009-01-26 09:47  cgilles

    * NEWS: update

2009-01-26 09:46  cgilles

    * imageplugins/adjustcurves/adjustcurvestool.cpp,
      imageplugins/adjustlevels/adjustlevelstool.cpp,
      imageplugins/blurfx/blurfxtool.cpp,
      imageplugins/border/bordertool.cpp,
      imageplugins/channelmixer/channelmixertool.cpp,
      imageplugins/charcoal/charcoaltool.cpp,
      imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/autocorrectiontool.cpp,
      imageplugins/coreplugin/bcgtool.cpp,
      imageplugins/coreplugin/blurtool.cpp,
      imageplugins/coreplugin/bwsepiatool.cpp,
      imageplugins/coreplugin/hsl/hsltool.cpp,
      imageplugins/coreplugin/iccprooftool.cpp,
      imageplugins/coreplugin/redeyetool.cpp,
      imageplugins/coreplugin/rgbtool.cpp,
      imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp,
      imageplugins/distortionfx/distortionfxtool.cpp,
      imageplugins/emboss/embosstool.cpp,
      imageplugins/filmgrain/filmgraintool.cpp,
      imageplugins/freerotation/freerotationtool.cpp,
      imageplugins/hotpixels/hotpixelstool.cpp,
      imageplugins/infrared/infraredtool.cpp,
      imageplugins/inpainting/inpaintingtool.cpp,
      imageplugins/lenscorrection/autocorrection/autocorrectiontool.cpp,
      imageplugins/lenscorrection/distortion/lensdistortiontool.cpp,
      imageplugins/lenscorrection/vignetting/antivignettingtool.cpp,
      imageplugins/noisereduction/noisereductiontool.cpp,
      imageplugins/oilpaint/oilpainttool.cpp,
      imageplugins/raindrop/raindroptool.cpp,
      imageplugins/restoration/restorationtool.cpp,
      imageplugins/sheartool/sheartool.cpp,
      imageplugins/texture/texturetool.cpp,
      imageplugins/whitebalance/whitebalancetool.cpp,
      libs/widgets/imageplugins/imagepanelwidget.h,
      libs/widgets/imageplugins/imagewidget.h: digiKam from trunk :
      force to record EditorTool preview mode settings when tool is
      closed.
      BUG: 181940

2009-01-26 08:22  cgilles

    * NEWS: upodate

2009-01-26 08:21  cgilles

    * utilities/imageeditor/tools/imageresize.cpp: digiKam from trunk :
      Andi, Marcel, with RIntNumInput, setRange() must be called before
      to use setSliderEnabled(). Just take a care...
      BUG: 181930

2009-01-26 08:01  cgilles

    * utilities/imageeditor/tools/imageresize.cpp,
      utilities/imageeditor/tools/imageresize.h: revert no need here.
      obsolete slot

2009-01-26 07:56  cgilles

    * utilities/imageeditor/tools/imageresize.cpp,
      utilities/imageeditor/tools/imageresize.h: missing slot

2009-01-25 21:58  cgilles

    * NEWS: update

2009-01-25 19:32  cgilles

    * NEWS: update

2009-01-25 17:10  cgilles

    * NEWS: update

2009-01-25 12:54  scripty

    * digikam/digikam.desktop,
      imageplugins/adjustcurves/digikamimageplugin_adjustcurves.desktop,
      imageplugins/adjustlevels/digikamimageplugin_adjustlevels.desktop,
      imageplugins/blurfx/digikamimageplugin_blurfx.desktop,
      imageplugins/border/digikamimageplugin_border.desktop,
      imageplugins/channelmixer/digikamimageplugin_channelmixer.desktop,
      imageplugins/charcoal/digikamimageplugin_charcoal.desktop,
      imageplugins/colorfx/digikamimageplugin_colorfx.desktop,
      imageplugins/coreplugin/digikamimageplugin_core.desktop,
      imageplugins/distortionfx/digikamimageplugin_distortionfx.desktop,
      imageplugins/emboss/digikamimageplugin_emboss.desktop,
      imageplugins/filmgrain/digikamimageplugin_filmgrain.desktop,
      imageplugins/freerotation/digikamimageplugin_freerotation.desktop,
      imageplugins/hotpixels/digikamimageplugin_hotpixels.desktop,
      imageplugins/infrared/digikamimageplugin_infrared.desktop,
      imageplugins/inpainting/digikamimageplugin_inpainting.desktop,
      imageplugins/inserttext/digikamimageplugin_inserttext.desktop,
      imageplugins/lenscorrection/digikamimageplugin_lenscorrection.desktop,
      imageplugins/noisereduction/digikamimageplugin_noisereduction.desktop,
      imageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
      imageplugins/perspective/digikamimageplugin_perspective.desktop,
      imageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      imageplugins/restoration/digikamimageplugin_restoration.desktop,
      imageplugins/sheartool/digikamimageplugin_sheartool.desktop,
      imageplugins/superimpose/digikamimageplugin_superimpose.desktop,
      imageplugins/texture/digikamimageplugin_texture.desktop,
      imageplugins/whitebalance/digikamimageplugin_whitebalance.desktop,
      kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
      kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
      showfoto/showfoto.desktop,
      utilities/imageeditor/editor/digikamimageplugin.desktop:
      SVN_SILENT made messages (.desktop file)

2009-01-24 22:31  mwiesweg

    * NEWS: update

2009-01-24 22:28  mwiesweg

    * utilities/fuzzysearch/fuzzysearchfolderview.cpp: - for the
      builtin searches, which can neither be renamed nor removed, show
      a context menu
      with disabled actions (this is clearer than showing no context
      menu at all)
      - fix the slotTextSearchFilterChanged gone wild
      
      BUG: 181720, 181698

2009-01-24 22:23  aclemens

    * utilities/lighttable/lighttablebar.cpp: Disable "Clear all"
      action if no items are inserted into the thumbbar
      
      CCBUG:181721

2009-01-24 22:07  aclemens

    * NEWS: update

2009-01-24 22:07  aclemens

    * utilities/lighttable/lighttablebar.cpp: Display "Clear all"
      action if the user clicks into an empty space in the lighttable's
      thumbbar.
      
      BUG:181721

2009-01-24 20:39  shaforo

    * digikam/digikam.desktop: set fine-grained categories for
      extragear apps.
      (in compliance with
      http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html#category-registry)
      
      as the changes ain't controversial. I'm commiting them w/o
      approvement.
      
      CCMAIL:tomalbers@kde.nl
      CCMAIL:digikam-devel@kde.org
      CCMAIL:kile-devel@lists.sourceforge.net
      CCMAIL:kare.sars@iki.fi
      CCMAIL:jh@kolouch.net

2009-01-24 19:03  aclemens

    * digikam/digikamapp.cpp: Use iconText() for openSolidCamera() as
      well
      
      CCBUG:180006

2009-01-24 13:35  cgilles

    * utilities/cameragui/cameraui.cpp: missing to handle this action
      when camera gui is busy

2009-01-24 11:23  cgilles

    * NEWS: update

2009-01-24 11:16  cgilles

    * NEWS: update

2009-01-24 10:27  mwiesweg

    * NEWS: update

2009-01-24 00:22  ilic

    * showfoto/main.cpp: Using Digikam's message catalog.

2009-01-23 20:13  cgilles

    * NEWS: update

2009-01-23 19:51  cgilles

    * imageplugins/lenscorrection/autocorrection/autocorrectiontool.cpp,
      imageplugins/lenscorrection/autocorrection/autocorrectiontool.h,
      imageplugins/lenscorrection/autocorrection/klensfun.cpp,
      imageplugins/lenscorrection/autocorrection/klensfun.h: digiKam
      from trunk : restore LensFun tool which is broken since port to
      EditorTool API. There is a race condition at init. Using
      Qtimer::singleShot() fix the problem

2009-01-23 16:32  cgilles

    * NEWS: update

2009-01-23 16:22  mwiesweg

    * digikam/digikamfirstrun.cpp,
      utilities/setup/setupcollections.cpp: Add a clause making clear
      that Samba shares need to be natively mounted, smb:// ioslave
      does not work.
      This is not valid for Windows, the implementation situation for
      Solid is unclear
      there as well, so don't show the whole note on Windows.
      
      BUG: 173412

2009-01-23 12:10  cgilles

    * NEWS: update

2009-01-23 12:07  cgilles

    * libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagedescedittab.h: yse right button code
      for Discard action
      BUG: 181610

2009-01-22 19:51  cgilles

    * NEWS: update

2009-01-22 19:48  lure

    * libs/dmetadata/geodetictools.cpp: Fix build on ARM platform
      (qreal vs. double)

2009-01-22 19:48  cgilles

    * libs/dimg/filters/dimgimagefilters.cpp,
      libs/dimg/filters/dimgimagefilters.h: digiKam from trunk : non
      multithreaded fileter need to be started by hand. This commit fix
      Red Eyes editor tool which do not process anything.
      BUG: 176140

2009-01-22 17:23  cgilles

    * utilities/imageeditor/editor/imageiface.cpp,
      utilities/imageeditor/editor/imageiface.h: polish

2009-01-22 16:45  mwiesweg

    * digikam/albumiconview.cpp: Delete created Actions

2009-01-22 16:45  mwiesweg

    * digikam/albumlister.cpp: Kill job on exit

2009-01-22 16:45  mwiesweg

    * libs/database/imageinfo.cpp: Fix handling of invalid image id or
      url

2009-01-22 16:45  mwiesweg

    * libs/threadimageio/loadsavethread.cpp: Fix valgrind report: On
      destruction, delete all remaining tasks.

2009-01-22 16:45  mwiesweg

    * imageplugins/coreplugin/redeyetool.cpp: Need to delete composer

2009-01-22 16:44  mwiesweg

    * digikam/albumiconview.cpp: Fix memory leak: Need to delete
      created menus (addMenu does not take ownership)
      or, rather, create them on the stack.

2009-01-22 14:50  cgilles

    * utilities/imageeditor/editor/imageiface.cpp: fix memory leak

2009-01-22 14:28  cgilles

    * libs/widgets/common/thumbbar.cpp: fix memory leak

2009-01-22 11:02  cgilles

    * libs/widgets/common/thumbbar.cpp: fix crash if item is null

2009-01-22 10:41  cgilles

    * digikam/imagepreviewbar.cpp, libs/widgets/common/thumbbar.cpp,
      libs/widgets/common/thumbbar.h,
      utilities/lighttable/lighttablebar.cpp: digiKam from trunk:
      thumbbar : only display thumbbar item tool tip when mouse is over
      thumb image

2009-01-22 08:58  cgilles

    * CMakeLists.txt, NEWS: rc2

2009-01-22 08:54  cgilles

    * NEWS: update

2009-01-22 00:08  sengels

    * showfoto/CMakeLists.txt: make showfoto link on msvc

2009-01-22 00:07  sengels

    * libs/database/imageinfocache.cpp: include private headers as they
      seem to be needed on msvc

2009-01-22 00:05  sengels

    * libs/widgets/common/dpopupmenu.cpp: do not use constructor in
      this case

2009-01-21 18:19  cgilles

    * ChangeLog: prepare rc1

2009-01-21 18:04  cgilles

    * digikam.lsm.cmake: update


0.10.0-rc1 2009-01-21
--------------------------------------------------------------------------------

2009-01-21 17:55  cgilles

    * digikam/imagepreviewbar.cpp, project/project.kdevelop,
      utilities/lighttable/lighttablebar.cpp: fix rating on the fly
      region computation in vertical mode.

2009-01-21 08:59  cgilles

    * digikam.lsm.cmake: update

2009-01-21 08:38  cgilles

    * libs/dmetadata/dmetadata.cpp, libs/dmetadata/dmetadata.h: new
      panasonic tag for lens description

2009-01-21 07:26  cgilles

    * NEWS: update

2009-01-20 22:12  mwiesweg

    * utilities/cameragui/cameraui.cpp: Avoid creating double
      auto-rename names when downloading images.
      Insert -1, -2 etc. for duplicate names.
      This only applies if the generated download names are found to be
      equal in
      one download procedure; if files are really found on disk, of
      course the dialog
      will still be shown.
      
      CCBUG: 179902

2009-01-20 21:32  mwiesweg

    * utilities/imageeditor/editor/editorwindow.cpp: If only edit text
      is changed, unset any current index of the combo box,
      so that current index does not differ from text.
      Fixes remaing problem if 177936. I think there is another bug for
      keeping the
      zoom rate constant, I doubt it is user-friendly to always reset
      to 100%.
      
      BUG: 177936

2009-01-20 21:06  mwiesweg

    * digikam/digikamapp.cpp: Change menu entry to say what it does (it
      does the same for the whole collection
      as "Synchronize Images with Database" does for the current
      album),
      following urgent user request.
      Remaining Todo for the future: clean up this group of related
      actions, with batch manager

2009-01-20 15:41  cgilles

    * utilities/lighttable/lighttablebar.cpp: missing to commit this
      part too

2009-01-20 15:41  cgilles

    * digikam/albumiconview.cpp, digikam/iconview.cpp,
      digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h,
      digikam/ratingbox.cpp: digiKam from trunk : redesign a little bit
      Rating on the fly over item. Factorize some part and optimize
      painter code.
      Must work with all KDE style.

2009-01-20 14:45  mwiesweg

    * utilities/searchwindow/searchgroup.cpp: Following request from
      i18n list, use only one label and use markup for line break.

2009-01-20 13:51  mwiesweg

    * utilities/cameragui/cameraiconview.cpp: GPItemInfo->size is
      qint64 and can be -1, which means not available from driver.
      Do not add negativ number to unsigned long.
      Use qint64 format for intermediate calculation.
      
      CCBUG: 181347

2009-01-20 09:16  cgilles

    * digikam/ratingbox.cpp: no need frame here

2009-01-20 09:11  cgilles

    * digikam/albumiconview.cpp, digikam/iconview.cpp,
      digikam/ratingbox.cpp: polish

2009-01-19 19:51  cgilles

    * NEWS: update

2009-01-19 16:56  cgilles

    * NEWS: update

2009-01-19 15:32  cgilles

    * CMakeLists.txt, utilities/cameragui/freespacetooltip.cpp,
      utilities/cameragui/freespacetooltip.h,
      utilities/cameragui/freespacewidget.cpp,
      utilities/cameragui/freespacewidget.h: digiKam from trunk :
      Camera gui : freespace widget : use dedicated digiKam tool tip to
      render properly tip contents
      with specific digiKam color theme, else text can be unreadable
      (problem is about QToolTip background color
      which is not customizable)
      

2009-01-19 14:13  cgilles

    * digikam/iconview.cpp: missing unsetcursor here

2009-01-19 14:09  cgilles

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h: digiKam
      from trunk : catch moise leave event from rating box to disable
      rating widget when user move cursor over scrollbar
      CCBUG: 181184

2009-01-19 13:42  aclemens

    * libs/widgets/common/dlogoaction.cpp,
      utilities/cameragui/renamecustomizer.cpp,
      utilities/slideshow/slideshow.cpp: fix memory leak
      
      Normally you can skip assigning a parent to a QObject, if it is
      somehow
      re-parented afterwards (like adding it to a layout etc). But the
      QTimer
      is not re-assigned and so we have a memory leak here. Setting the
      parent
      does fix it.

2009-01-19 10:13  cgilles

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h: digiKam
      from trunk : image preview bar : re-implement
      QWidget:mouseMoveEvent() to hande cursor movements over scroolbar
      to hide rating box.
      CCBUG: 181184

2009-01-19 07:44  cgilles

    * NEWS: update

2009-01-19 07:40  cgilles

    * NEWS: update

2009-01-18 21:46  mwiesweg

    * NEWS: update

2009-01-18 21:23  mwiesweg

    * NEWS: update

2009-01-18 21:22  mwiesweg

    * utilities/lighttable/lighttablepreview.cpp: Use deleteLater
      (already done in all seven other occurrences)
      
      BUG: 181221

2009-01-18 20:26  mwiesweg

    * NEWS: update

2009-01-18 20:25  mwiesweg

    * utilities/cameragui/cameraui.cpp: Fix crash produces with the
      intention to fix another crash.
      Thanks for quick beta testing ;-)
      
      BUG: 181203

2009-01-18 19:10  cgilles

    * utilities/cameragui/freespacewidget.cpp: more widget design

2009-01-18 18:09  cgilles

    * NEWS: update

2009-01-18 15:55  mwiesweg

    * NEWS: update

2009-01-18 15:52  lure

    * utilities/kipiiface/kipiuploadwidget.cpp,
      utilities/kipiiface/kipiuploadwidget.h: Add New Album button to
      KIPI::UploadWidget
      - this is coppied from AlbumSelectionDialog
      - will look if the code can be refactored and shared
      (AlbumSelectionWidget)

2009-01-18 15:50  mwiesweg

    * digikam/albummanager.cpp: The method handling
      AlbumChangeset::Renamed was not aware that Renamed
      can also mean that the album has been moved to a different
      parent.
      In this case, remove the old album and call scanPAlbums.
      
      BUG: 181146

2009-01-18 15:50  mwiesweg

    * digikam/albumfolderview.cpp: Resort on rename.
      Unknown to me why sorting does not work automatically and why a
      simple Q3ListView::sort() does not work.
      
      BUG: 169306

2009-01-18 15:50  mwiesweg

    * digikam/albummanager.cpp: Remove ancient code and fix subtle
      bugs, use KIO infrastructure

2009-01-17 19:18  aclemens

    * imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/autocorrectiontool.cpp: polish

2009-01-17 19:11  aclemens

    * imageplugins/coreplugin/autocorrectiontool.cpp: fix memory leak

2009-01-17 19:10  aclemens

    * imageplugins/colorfx/colorfxtool.cpp: polish

2009-01-17 18:31  aclemens

    * imageplugins/colorfx/colorfxtool.cpp: fix memory leak

2009-01-17 17:49  cgilles

    * NEWS: update

2009-01-17 17:48  cgilles

    * imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
      imageplugins/coreplugin/ratiocrop/imageselectionwidget.h,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.h: backport
      commit #912532 from KDE3 branch
      BUG: 179548
      CCMAIL: simon@margo.student.utwente.nl

2009-01-17 13:59  cgilles

    * NEWS: update

2009-01-17 13:52  mwiesweg

    * libs/database/collectionmanager.cpp,
      libs/database/databaseaccess.cpp, libs/database/databaseaccess.h:
      Remove assertNoLock, was intended only as temporary check
      
      CCBUG: 180342

2009-01-17 13:41  cgilles

    * NEWS: update

2009-01-17 13:41  cgilles

    * NEWS: update

2009-01-17 12:34  mwiesweg

    * utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraui.cpp: Ensure from two places that the
      CameraIconView does not access a CameraUI
      which has already executed its constructor (and deleted d etc.)
      
      BUG: 181000

2009-01-17 10:05  cgilles

    * libs/dialogs/imagedialog.cpp, libs/dialogs/imagedialog.h: use
      italic char for photo info titles

2009-01-17 07:57  cgilles

    * digikam/imagepreviewbar.cpp: polish

2009-01-16 20:03  cgilles

    * NEWS: update

2009-01-16 19:34  cgilles

    * digikam/albummanager.cpp: fix i18n

2009-01-16 16:18  mwiesweg

    * digikam/album.h, digikam/albummodel.cpp: Declare Album* as
      Metatype and use QVariant::fromValue.
      Did not compile with Qt4.5
      
      CCBUG: 180908

2009-01-16 16:18  mwiesweg

    * utilities/hotplug/digikam-opencamera.desktop.cmake: Solid
      Predicate for Plasma Device Notifier: Filter by usageType as
      well.
      Prevents detection of Audio CDs.
      
      CCBUG: 178435

2009-01-16 15:03  cgilles

    * utilities/imageeditor/tools/imageresize.cpp,
      utilities/imageeditor/tools/imageresize.h: fix read/write
      GreyStoration settings to rc file

2009-01-16 14:58  cgilles

    * imageplugins/inpainting/inpaintingtool.cpp: compîle

2009-01-16 14:56  cgilles

    * NEWS: update

2009-01-16 14:55  cgilles

    * imageplugins/inpainting/imageplugin_inpainting.cpp,
      imageplugins/inpainting/imageplugin_inpainting.h,
      imageplugins/inpainting/inpaintingtool.cpp,
      imageplugins/inpainting/inpaintingtool.h: digiKam from trunk :
      Inpainting tool :
      - do not mix settings : Nb iteration = da ==> Greystoration
      algorithm make an infinite loop with default settings.
      - use double cast for each Greystoration parameters relevant.
      BUG: 179807

2009-01-16 14:48  cgilles

    * NEWS: update

2009-01-16 14:48  cgilles

    * imageplugins/restoration/imageplugin_restoration.cpp,
      imageplugins/restoration/imageplugin_restoration.h,
      imageplugins/restoration/restorationtool.cpp,
      imageplugins/restoration/restorationtool.h: digiKAm from trunk :
      Restoration tool :
      - do not mix settings : Nb iteration = da ==> Greystoration
      algorithm make an infinite loop with default settings.
      - use double cast for each Greystoration parameters relevant.
      BUG: 177009

2009-01-16 12:47  cgilles

    * NEWS: update

2009-01-16 12:43  cgilles

    * libs/imageproperties/imagepropertiestxtlabel.h: do not use alpha
      blending in image properties
      BUG: 179898

2009-01-16 09:43  cgilles

    * digikam/metadatahub.cpp: compile

2009-01-16 09:23  cgilles

    * libs/widgets/common/dpopupmenu.cpp: polish alignement

2009-01-15 17:03  mwiesweg

    * digikam/albummanager.cpp: As per Andi's suggestion, ask the user
      as well if there is not existing database file,
      with the question if he wants to copy the current database
      (default) or use a new one.
      Fix icons, capitalization and icons.

2009-01-15 16:40  mwiesweg

    * utilities/searchwindow/searchfields.cpp: Need to use double when
      m_reciprocal is true (it's fractions)

2009-01-15 16:02  cgilles

    * libs/widgets/common/dpopupmenu.cpp: now version id is finely
      aligned with application name

2009-01-15 14:43  cgilles

    * digikam/daboutdata.h, libs/widgets/common/splashscreen.cpp,
      project/project.kdevelop: do not force to break slogan on the
      middle to be sure that all space avaialble is used to draw text
      over splash

2009-01-15 10:04  cgilles

    * digikam/daboutdata.h: context string and message are inverted

2009-01-15 09:13  cgilles

    * digikam/daboutdata.h, libs/widgets/common/splashscreen.cpp,
      project/project.kdevelop: digiKam from trunk: drawing slogan over
      splashscreen
      - optimize space to max to draw text.
      - add context comment for translators.

2009-01-15 05:17  cgilles

    * NEWS: update

2009-01-14 21:23  mwiesweg

    * utilities/imageeditor/canvas/dimginterface.cpp: Do not scale up
      the preview image, if the image itself is already smaller than
      the
      intended preview size.
      Do not store preview in image if the image is not significantly
      larger
      (2x as many pixels? 3x?) than the preview itself (*)
      
      (*) currently commented out until bug 151552 is solved

2009-01-14 21:23  mwiesweg

    * digikam/digikamfirstrun.cpp, digikam/digikamfirstrun.h: Fix some
      usability problems with the FirstRun dialog:
      - if errors occur, do not exit, but return to dialog
      (requires to reimplement KDialog::slotButtonPressed, default
      implementation will always accept after Ok)
      - remove check to refuse using $HOME as album root. I think, if
      the user really wants,
      we are a free country. Any objections?
      - When a directory is chosen for album root, change default
      database directory
      to this as well (unless user changed it before)
      
      BUG: 178251

2009-01-14 15:05  cgilles

    * libs/widgets/common/dlogoaction.cpp: wrong path

2009-01-14 14:28  cgilles

    * data/pics/CMakeLists.txt, data/pics/menusidepix-digikam.png,
      data/pics/menusidepix-showfoto.png, data/pics/menusidepix.svg:
      remove obsolete files

2009-01-14 14:19  cgilles

    * digikam/daboutdata.h, libs/widgets/common/splashscreen.cpp:
      polish

2009-01-14 13:55  cgilles

    * libs/widgets/common/splashscreen.cpp: polish

2009-01-14 12:49  cgilles

    * libs/widgets/common/splashscreen.cpp: polish

2009-01-14 12:39  cgilles

    * NEWS: update

2009-01-14 12:39  cgilles

    * data/pics/splash-digikam.png, data/pics/splash-digikam.svgz,
      data/pics/splash-showfoto.png, data/pics/splash-showfoto.svgz,
      digikam/daboutdata.h, libs/widgets/common/splashscreen.cpp,
      project/project.kdevelop: digiKam from trunk : slogan on the
      splashscreen is drawed by application now.

2009-01-14 12:38  cgilles

    * digikam/digikamapp.cpp: digiKam from trunk: do not limit export
      tools to use physical albums/tags contents.
      BUG: 180609

2009-01-14 09:57  cgilles

    * libs/widgets/common/dpopupmenu.cpp,
      libs/widgets/common/dpopupmenu.h: added icon

2009-01-14 09:17  mwiesweg

    * NEWS: update

2009-01-14 08:45  mwiesweg

    * digikam/albummanager.cpp, digikam/albummanager.h,
      digikam/digikamapp.cpp: Implement the behavior when the user
      changes the database folder in setup:
      - if the new folder has no existing database file, copy the
      current database to this place automatically
      - if there is an existing file, ask if it shall be used, or if
      the current file should be copied
      
      BUG: 178952

2009-01-14 08:45  mwiesweg

    * digikam/albumiconview.cpp: Store list of ImageInfos, do not keep
      accessing the current icon items while calling
      kapp->processEvents.
      (Interestingly we had the same crash for assigning tags and fixed
      it already ;-) )
      
      BUG: 180570

2009-01-13 21:18  woebbe

    * digikam/CMakeLists.txt, showfoto/CMakeLists.txt,
      themedesigner/CMakeLists.txt: link with gold

2009-01-13 20:07  aclemens

    * libs/widgets/common/dpopupmenu.cpp,
      libs/widgets/common/dpopupmenu.h: Draw the application name and
      version string automatically in the
      sidebar of the context menu. This makes rendering and updating
      the PNG
      sidebar pix obsolete. If rendering is well on most systems, we
      can
      eliminate the PNGs in a later commit.
      
      Gilles,
      
      can you test the centering again?
      
      Andi
      
      CCMAIL:caulier.gilles@gmail.com

2009-01-13 16:24  mwiesweg

    * NEWS: update

2009-01-13 16:21  mwiesweg

    * digikam/digikamapp.cpp: Say "Move to Trash" as this is what is
      does
      
      BUG: 180489

2009-01-13 16:10  mwiesweg

    * NEWS: update

2009-01-13 16:08  mwiesweg

    * utilities/imageeditor/canvas/undomanager.cpp: Remove existing
      entry in undo cache before adding a new one
      
      BUG: 180336

2009-01-13 16:07  mwiesweg

    * utilities/imageeditor/canvas/undomanager.cpp: code readability:
      replace STL method naming

2009-01-13 15:19  cgilles

    * digikam/imagepreviewbar.cpp, project/project.kdevelop,
      utilities/lighttable/lighttablebar.cpp: fix broken horizontal
      thumbbar

2009-01-13 14:52  mwiesweg

    * NEWS: update

2009-01-13 14:39  mwiesweg

    * utilities/searchwindow/searchgroup.cpp,
      utilities/searchwindow/searchgroup.h,
      utilities/searchwindow/searchview.cpp: Offer options for negative
      search conditions in the search group header.
      We offer four different options:
      1) All of these conditions are met: (A && B && C)
      2) Any of these conditions are met: (A || B || C)
      3) At least one of these conditions is not met: !(A && B && C),
      (!A || !B ||!C)
      4) None of these conditions are met: !(A || B || C), (!A && !B &&
      !C)
      with 1) being the default.
      Intuition and UI wording of the negated versions use the (!A ||
      !B ||!C) and (!A && !B && !C)
      variant, while the stored search XML and the generated SQL will
      use !(A && B && C) and
      !(A || B || C) according to de Morgan. This explains why the code
      is a bit more
      complicated than I expected initially.
      
      BUG: 179012

2009-01-13 14:38  mwiesweg

    * utilities/searchwindow/searchfields.cpp: Use the 'Interval'
      relation when both the minimum and the maximum field is set.
      This implementation is more elegant and cleaner, and needed for
      negative search conditions (de Morgan)

2009-01-13 14:38  mwiesweg

    * libs/database/searchxml.cpp, libs/database/searchxml.h: Add
      support for QDateTime list

2009-01-13 14:38  mwiesweg

    * libs/database/imagequerybuilder.cpp: - Support Interval and
      IntervalOpen relations
      - add warning messages where wrong parameters are detected

2009-01-13 14:38  mwiesweg

    * libs/database/searchxml.cpp, libs/database/searchxml.h: Add
      "Interval" and "IntervalOpen" relations and "double" analog for
      valueToIntOrIntList

2009-01-13 14:38  mwiesweg

    * libs/database/imagequerybuilder.cpp, libs/database/searchxml.h:
      Support "OR NOT" operator

2009-01-13 14:38  mwiesweg

    * utilities/searchwindow/searchfields.cpp: Fix resetting the search
      combo boxes in special cases

2009-01-13 14:08  cgilles

    * data/icons/hi32-action-filefind.png: unused

2009-01-13 14:07  cgilles

    * data/icons/hi128-action-digitalcam.png,
      data/icons/hi16-action-digitalcam.png,
      data/icons/hi22-action-digitalcam.png,
      data/icons/hi32-action-digitalcam.png,
      data/icons/hi48-action-digitalcam.png,
      data/icons/hi64-action-digitalcam.png: unused

2009-01-13 14:01  cgilles

    * data/icons/CMakeLists.txt, data/icons/digikam,
      data/icons/digikam/CMakeLists.txt,
      data/icons/digikam/hi128-action-adjustcurves.png,
      data/icons/digikam/hi128-action-adjustlevels.png,
      data/icons/digikam/hi128-action-adjustrgb.png,
      data/icons/digikam/hi128-action-antivignetting.png,
      data/icons/digikam/hi128-action-autocorrection.png,
      data/icons/digikam/hi128-action-blurfx.png,
      data/icons/digikam/hi128-action-blurimage.png,
      data/icons/digikam/hi128-action-bordertool.png,
      data/icons/digikam/hi128-action-bwtonal.png,
      data/icons/digikam/hi128-action-channelmixer.png,
      data/icons/digikam/hi128-action-colormanagement.png,
      data/icons/digikam/hi128-action-contrast.png,
      data/icons/digikam/hi128-action-depth16to8.png,
      data/icons/digikam/hi128-action-depth8to16.png,
      data/icons/digikam/hi128-action-distortionfx.png,
      data/icons/digikam/hi128-action-editimage.png,
      data/icons/digikam/hi128-action-exifinfo.png,
      data/icons/digikam/hi128-action-filmgrain.png,
      data/icons/digikam/hi128-action-freerotation.png,
      data/icons/digikam/hi128-action-hotpixels.png,
      data/icons/digikam/hi128-action-imagecomment.png,
      data/icons/digikam/hi128-action-inpainting.png,
      data/icons/digikam/hi128-action-invertimage.png,
      data/icons/digikam/hi128-action-noisereduction.png,
      data/icons/digikam/hi128-action-perspective.png,
      data/icons/digikam/hi128-action-ratiocrop.png,
      data/icons/digikam/hi128-action-restoration.png,
      data/icons/digikam/hi128-action-sharpenimage.png,
      data/icons/digikam/hi128-action-shear.png,
      data/icons/digikam/hi128-action-superimpose.png,
      data/icons/digikam/hi128-action-texture.png,
      data/icons/digikam/hi128-action-whitebalance.png,
      data/icons/digikam/hi16-action-adjustcurves.png,
      data/icons/digikam/hi16-action-adjustlevels.png,
      data/icons/digikam/hi16-action-adjustrgb.png,
      data/icons/digikam/hi16-action-antivignetting.png,
      data/icons/digikam/hi16-action-autocorrection.png,
      data/icons/digikam/hi16-action-blurfx.png,
      data/icons/digikam/hi16-action-blurimage.png,
      data/icons/digikam/hi16-action-bordertool.png,
      data/icons/digikam/hi16-action-bwtonal.png,
      data/icons/digikam/hi16-action-channelmixer.png,
      data/icons/digikam/hi16-action-colormanagement.png,
      data/icons/digikam/hi16-action-contrast.png,
      data/icons/digikam/hi16-action-depth16to8.png,
      data/icons/digikam/hi16-action-depth8to16.png,
      data/icons/digikam/hi16-action-distortionfx.png,
      data/icons/digikam/hi16-action-editimage.png,
      data/icons/digikam/hi16-action-exifinfo.png,
      data/icons/digikam/hi16-action-filmgrain.png,
      data/icons/digikam/hi16-action-freerotation.png,
      data/icons/digikam/hi16-action-hotpixels.png,
      data/icons/digikam/hi16-action-imagecomment.png,
      data/icons/digikam/hi16-action-inpainting.png,
      data/icons/digikam/hi16-action-invertimage.png,
      data/icons/digikam/hi16-action-noisereduction.png,
      data/icons/digikam/hi16-action-perspective.png,
      data/icons/digikam/hi16-action-ratiocrop.png,
      data/icons/digikam/hi16-action-restoration.png,
      data/icons/digikam/hi16-action-sharpenimage.png,
      data/icons/digikam/hi16-action-shear.png,
      data/icons/digikam/hi16-action-superimpose.png,
      data/icons/digikam/hi16-action-texture.png,
      data/icons/digikam/hi16-action-whitebalance.png,
      data/icons/digikam/hi22-action-adjustcurves.png,
      data/icons/digikam/hi22-action-adjustlevels.png,
      data/icons/digikam/hi22-action-adjustrgb.png,
      data/icons/digikam/hi22-action-antivignetting.png,
      data/icons/digikam/hi22-action-autocorrection.png,
      data/icons/digikam/hi22-action-blurfx.png,
      data/icons/digikam/hi22-action-blurimage.png,
      data/icons/digikam/hi22-action-bordertool.png,
      data/icons/digikam/hi22-action-bwtonal.png,
      data/icons/digikam/hi22-action-channelmixer.png,
      data/icons/digikam/hi22-action-colormanagement.png,
      data/icons/digikam/hi22-action-contrast.png,
      data/icons/digikam/hi22-action-depth16to8.png,
      data/icons/digikam/hi22-action-depth8to16.png,
      data/icons/digikam/hi22-action-distortionfx.png,
      data/icons/digikam/hi22-action-editimage.png,
      data/icons/digikam/hi22-action-exifinfo.png,
      data/icons/digikam/hi22-action-filmgrain.png,
      data/icons/digikam/hi22-action-freerotation.png,
      data/icons/digikam/hi22-action-hotpixels.png,
      data/icons/digikam/hi22-action-imagecomment.png,
      data/icons/digikam/hi22-action-inpainting.png,
      data/icons/digikam/hi22-action-invertimage.png,
      data/icons/digikam/hi22-action-noisereduction.png,
      data/icons/digikam/hi22-action-perspective.png,
      data/icons/digikam/hi22-action-ratiocrop.png,
      data/icons/digikam/hi22-action-restoration.png,
      data/icons/digikam/hi22-action-sharpenimage.png,
      data/icons/digikam/hi22-action-shear.png,
      data/icons/digikam/hi22-action-superimpose.png,
      data/icons/digikam/hi22-action-texture.png,
      data/icons/digikam/hi22-action-whitebalance.png,
      data/icons/digikam/hi32-action-adjustcurves.png,
      data/icons/digikam/hi32-action-adjustlevels.png,
      data/icons/digikam/hi32-action-adjustrgb.png,
      data/icons/digikam/hi32-action-antivignetting.png,
      data/icons/digikam/hi32-action-autocorrection.png,
      data/icons/digikam/hi32-action-blurfx.png,
      data/icons/digikam/hi32-action-blurimage.png,
      data/icons/digikam/hi32-action-bordertool.png,
      data/icons/digikam/hi32-action-bwtonal.png,
      data/icons/digikam/hi32-action-channelmixer.png,
      data/icons/digikam/hi32-action-colormanagement.png,
      data/icons/digikam/hi32-action-contrast.png,
      data/icons/digikam/hi32-action-depth16to8.png,
      data/icons/digikam/hi32-action-depth8to16.png,
      data/icons/digikam/hi32-action-distortionfx.png,
      data/icons/digikam/hi32-action-editimage.png,
      data/icons/digikam/hi32-action-exifinfo.png,
      data/icons/digikam/hi32-action-filmgrain.png,
      data/icons/digikam/hi32-action-freerotation.png,
      data/icons/digikam/hi32-action-hotpixels.png,
      data/icons/digikam/hi32-action-imagecomment.png,
      data/icons/digikam/hi32-action-inpainting.png,
      data/icons/digikam/hi32-action-invertimage.png,
      data/icons/digikam/hi32-action-noisereduction.png,
      data/icons/digikam/hi32-action-perspective.png,
      data/icons/digikam/hi32-action-ratiocrop.png,
      data/icons/digikam/hi32-action-restoration.png,
      data/icons/digikam/hi32-action-sharpenimage.png,
      data/icons/digikam/hi32-action-shear.png,
      data/icons/digikam/hi32-action-superimpose.png,
      data/icons/digikam/hi32-action-texture.png,
      data/icons/digikam/hi32-action-whitebalance.png,
      data/icons/digikam/hi48-action-adjustcurves.png,
      data/icons/digikam/hi48-action-adjustlevels.png,
      data/icons/digikam/hi48-action-adjustrgb.png,
      data/icons/digikam/hi48-action-antivignetting.png,
      data/icons/digikam/hi48-action-autocorrection.png,
      data/icons/digikam/hi48-action-blurfx.png,
      data/icons/digikam/hi48-action-blurimage.png,
      data/icons/digikam/hi48-action-bordertool.png,
      data/icons/digikam/hi48-action-bwtonal.png,
      data/icons/digikam/hi48-action-channelmixer.png,
      data/icons/digikam/hi48-action-colormanagement.png,
      data/icons/digikam/hi48-action-contrast.png,
      data/icons/digikam/hi48-action-depth16to8.png,
      data/icons/digikam/hi48-action-depth8to16.png,
      data/icons/digikam/hi48-action-distortionfx.png,
      data/icons/digikam/hi48-action-editimage.png,
      data/icons/digikam/hi48-action-exifinfo.png,
      data/icons/digikam/hi48-action-filmgrain.png,
      data/icons/digikam/hi48-action-freerotation.png,
      data/icons/digikam/hi48-action-hotpixels.png,
      data/icons/digikam/hi48-action-imagecomment.png,
      data/icons/digikam/hi48-action-inpainting.png,
      data/icons/digikam/hi48-action-invertimage.png,
      data/icons/digikam/hi48-action-noisereduction.png,
      data/icons/digikam/hi48-action-perspective.png,
      data/icons/digikam/hi48-action-ratiocrop.png,
      data/icons/digikam/hi48-action-restoration.png,
      data/icons/digikam/hi48-action-sharpenimage.png,
      data/icons/digikam/hi48-action-shear.png,
      data/icons/digikam/hi48-action-superimpose.png,
      data/icons/digikam/hi48-action-texture.png,
      data/icons/digikam/hi48-action-whitebalance.png,
      data/icons/digikam/hi64-action-adjustcurves.png,
      data/icons/digikam/hi64-action-adjustlevels.png,
      data/icons/digikam/hi64-action-adjustrgb.png,
      data/icons/digikam/hi64-action-antivignetting.png,
      data/icons/digikam/hi64-action-autocorrection.png,
      data/icons/digikam/hi64-action-blurfx.png,
      data/icons/digikam/hi64-action-blurimage.png,
      data/icons/digikam/hi64-action-bordertool.png,
      data/icons/digikam/hi64-action-bwtonal.png,
      data/icons/digikam/hi64-action-channelmixer.png,
      data/icons/digikam/hi64-action-colormanagement.png,
      data/icons/digikam/hi64-action-contrast.png,
      data/icons/digikam/hi64-action-depth16to8.png,
      data/icons/digikam/hi64-action-depth8to16.png,
      data/icons/digikam/hi64-action-distortionfx.png,
      data/icons/digikam/hi64-action-editimage.png,
      data/icons/digikam/hi64-action-exifinfo.png,
      data/icons/digikam/hi64-action-filmgrain.png,
      data/icons/digikam/hi64-action-freerotation.png,
      data/icons/digikam/hi64-action-hotpixels.png,
      data/icons/digikam/hi64-action-imagecomment.png,
      data/icons/digikam/hi64-action-inpainting.png,
      data/icons/digikam/hi64-action-invertimage.png,
      data/icons/digikam/hi64-action-noisereduction.png,
      data/icons/digikam/hi64-action-perspective.png,
      data/icons/digikam/hi64-action-ratiocrop.png,
      data/icons/digikam/hi64-action-restoration.png,
      data/icons/digikam/hi64-action-sharpenimage.png,
      data/icons/digikam/hi64-action-shear.png,
      data/icons/digikam/hi64-action-superimpose.png,
      data/icons/digikam/hi64-action-texture.png,
      data/icons/digikam/hi64-action-whitebalance.png,
      data/icons/digikam/hisc-action-adjustcurves.svgz,
      data/icons/digikam/hisc-action-adjustlevels.svgz,
      data/icons/digikam/hisc-action-adjustrgb.svgz,
      data/icons/digikam/hisc-action-antivignetting.svgz,
      data/icons/digikam/hisc-action-autocorrection.svgz,
      data/icons/digikam/hisc-action-blurfx.svgz,
      data/icons/digikam/hisc-action-blurimage.svgz,
      data/icons/digikam/hisc-action-bordertool.svgz,
      data/icons/digikam/hisc-action-bwtonal.svgz,
      data/icons/digikam/hisc-action-channelmixer.svgz,
      data/icons/digikam/hisc-action-colormanagement.svgz,
      data/icons/digikam/hisc-action-contrast.svgz,
      data/icons/digikam/hisc-action-depth16to8.svgz,
      data/icons/digikam/hisc-action-depth8to16.svgz,
      data/icons/digikam/hisc-action-distortionfx.svgz,
      data/icons/digikam/hisc-action-editimage.svgz,
      data/icons/digikam/hisc-action-exifinfo.svgz,
      data/icons/digikam/hisc-action-filmgrain.svgz,
      data/icons/digikam/hisc-action-freerotation.svgz,
      data/icons/digikam/hisc-action-hotpixels.svgz,
      data/icons/digikam/hisc-action-imagecomment.svgz,
      data/icons/digikam/hisc-action-inpainting.svgz,
      data/icons/digikam/hisc-action-invertimage.svgz,
      data/icons/digikam/hisc-action-noisereduction.svgz,
      data/icons/digikam/hisc-action-perspective.svgz,
      data/icons/digikam/hisc-action-ratiocrop.svgz,
      data/icons/digikam/hisc-action-restoration.svgz,
      data/icons/digikam/hisc-action-sharpenimage.svgz,
      data/icons/digikam/hisc-action-shear.svgz,
      data/icons/digikam/hisc-action-superimpose.svgz,
      data/icons/digikam/hisc-action-texture.svgz,
      data/icons/digikam/hisc-action-whitebalance.svgz,
      data/icons/oxygen/128x128/actions/adjustcurves.png,
      data/icons/oxygen/128x128/actions/adjustlevels.png,
      data/icons/oxygen/128x128/actions/adjustrgb.png,
      data/icons/oxygen/128x128/actions/antivignetting.png,
      data/icons/oxygen/128x128/actions/autocorrection.png,
      data/icons/oxygen/128x128/actions/blurfx.png,
      data/icons/oxygen/128x128/actions/blurimage.png,
      data/icons/oxygen/128x128/actions/bordertool.png,
      data/icons/oxygen/128x128/actions/bwtonal.png,
      data/icons/oxygen/128x128/actions/channelmixer.png,
      data/icons/oxygen/128x128/actions/colormanagement.png,
      data/icons/oxygen/128x128/actions/contrast.png,
      data/icons/oxygen/128x128/actions/depth16to8.png,
      data/icons/oxygen/128x128/actions/depth8to16.png,
      data/icons/oxygen/128x128/actions/distortionfx.png,
      data/icons/oxygen/128x128/actions/editimage.png,
      data/icons/oxygen/128x128/actions/exifinfo.png,
      data/icons/oxygen/128x128/actions/filmgrain.png,
      data/icons/oxygen/128x128/actions/freerotation.png,
      data/icons/oxygen/128x128/actions/hotpixels.png,
      data/icons/oxygen/128x128/actions/imagecomment.png,
      data/icons/oxygen/128x128/actions/inpainting.png,
      data/icons/oxygen/128x128/actions/invertimage.png,
      data/icons/oxygen/128x128/actions/noisereduction.png,
      data/icons/oxygen/128x128/actions/perspective.png,
      data/icons/oxygen/128x128/actions/ratiocrop.png,
      data/icons/oxygen/128x128/actions/restoration.png,
      data/icons/oxygen/128x128/actions/sharpenimage.png,
      data/icons/oxygen/128x128/actions/shear.png,
      data/icons/oxygen/128x128/actions/superimpose.png,
      data/icons/oxygen/128x128/actions/texture.png,
      data/icons/oxygen/128x128/actions/whitebalance.png,
      data/icons/oxygen/16x16/actions/adjustcurves.png,
      data/icons/oxygen/16x16/actions/adjustlevels.png,
      data/icons/oxygen/16x16/actions/adjustrgb.png,
      data/icons/oxygen/16x16/actions/antivignetting.png,
      data/icons/oxygen/16x16/actions/autocorrection.png,
      data/icons/oxygen/16x16/actions/blurfx.png,
      data/icons/oxygen/16x16/actions/blurimage.png,
      data/icons/oxygen/16x16/actions/bordertool.png,
      data/icons/oxygen/16x16/actions/bwtonal.png,
      data/icons/oxygen/16x16/actions/channelmixer.png,
      data/icons/oxygen/16x16/actions/colormanagement.png,
      data/icons/oxygen/16x16/actions/contrast.png,
      data/icons/oxygen/16x16/actions/depth16to8.png,
      data/icons/oxygen/16x16/actions/depth8to16.png,
      data/icons/oxygen/16x16/actions/distortionfx.png,
      data/icons/oxygen/16x16/actions/editimage.png,
      data/icons/oxygen/16x16/actions/exifinfo.png,
      data/icons/oxygen/16x16/actions/filmgrain.png,
      data/icons/oxygen/16x16/actions/freerotation.png,
      data/icons/oxygen/16x16/actions/hotpixels.png,
      data/icons/oxygen/16x16/actions/imagecomment.png,
      data/icons/oxygen/16x16/actions/inpainting.png,
      data/icons/oxygen/16x16/actions/invertimage.png,
      data/icons/oxygen/16x16/actions/noisereduction.png,
      data/icons/oxygen/16x16/actions/perspective.png,
      data/icons/oxygen/16x16/actions/ratiocrop.png,
      data/icons/oxygen/16x16/actions/restoration.png,
      data/icons/oxygen/16x16/actions/sharpenimage.png,
      data/icons/oxygen/16x16/actions/shear.png,
      data/icons/oxygen/16x16/actions/superimpose.png,
      data/icons/oxygen/16x16/actions/texture.png,
      data/icons/oxygen/16x16/actions/whitebalance.png,
      data/icons/oxygen/22x22/actions/adjustcurves.png,
      data/icons/oxygen/22x22/actions/adjustlevels.png,
      data/icons/oxygen/22x22/actions/adjustrgb.png,
      data/icons/oxygen/22x22/actions/antivignetting.png,
      data/icons/oxygen/22x22/actions/autocorrection.png,
      data/icons/oxygen/22x22/actions/blurfx.png,
      data/icons/oxygen/22x22/actions/blurimage.png,
      data/icons/oxygen/22x22/actions/bordertool.png,
      data/icons/oxygen/22x22/actions/bwtonal.png,
      data/icons/oxygen/22x22/actions/channelmixer.png,
      data/icons/oxygen/22x22/actions/colormanagement.png,
      data/icons/oxygen/22x22/actions/contrast.png,
      data/icons/oxygen/22x22/actions/depth16to8.png,
      data/icons/oxygen/22x22/actions/depth8to16.png,
      data/icons/oxygen/22x22/actions/distortionfx.png,
      data/icons/oxygen/22x22/actions/editimage.png,
      data/icons/oxygen/22x22/actions/exifinfo.png,
      data/icons/oxygen/22x22/actions/filmgrain.png,
      data/icons/oxygen/22x22/actions/freerotation.png,
      data/icons/oxygen/22x22/actions/hotpixels.png,
      data/icons/oxygen/22x22/actions/imagecomment.png,
      data/icons/oxygen/22x22/actions/inpainting.png,
      data/icons/oxygen/22x22/actions/invertimage.png,
      data/icons/oxygen/22x22/actions/noisereduction.png,
      data/icons/oxygen/22x22/actions/perspective.png,
      data/icons/oxygen/22x22/actions/ratiocrop.png,
      data/icons/oxygen/22x22/actions/restoration.png,
      data/icons/oxygen/22x22/actions/sharpenimage.png,
      data/icons/oxygen/22x22/actions/shear.png,
      data/icons/oxygen/22x22/actions/superimpose.png,
      data/icons/oxygen/22x22/actions/texture.png,
      data/icons/oxygen/22x22/actions/whitebalance.png,
      data/icons/oxygen/32x32/actions/adjustcurves.png,
      data/icons/oxygen/32x32/actions/adjustlevels.png,
      data/icons/oxygen/32x32/actions/adjustrgb.png,
      data/icons/oxygen/32x32/actions/antivignetting.png,
      data/icons/oxygen/32x32/actions/autocorrection.png,
      data/icons/oxygen/32x32/actions/blurfx.png,
      data/icons/oxygen/32x32/actions/blurimage.png,
      data/icons/oxygen/32x32/actions/bordertool.png,
      data/icons/oxygen/32x32/actions/bwtonal.png,
      data/icons/oxygen/32x32/actions/channelmixer.png,
      data/icons/oxygen/32x32/actions/colormanagement.png,
      data/icons/oxygen/32x32/actions/contrast.png,
      data/icons/oxygen/32x32/actions/depth16to8.png,
      data/icons/oxygen/32x32/actions/depth8to16.png,
      data/icons/oxygen/32x32/actions/distortionfx.png,
      data/icons/oxygen/32x32/actions/editimage.png,
      data/icons/oxygen/32x32/actions/exifinfo.png,
      data/icons/oxygen/32x32/actions/filmgrain.png,
      data/icons/oxygen/32x32/actions/freerotation.png,
      data/icons/oxygen/32x32/actions/hotpixels.png,
      data/icons/oxygen/32x32/actions/imagecomment.png,
      data/icons/oxygen/32x32/actions/inpainting.png,
      data/icons/oxygen/32x32/actions/invertimage.png,
      data/icons/oxygen/32x32/actions/noisereduction.png,
      data/icons/oxygen/32x32/actions/perspective.png,
      data/icons/oxygen/32x32/actions/ratiocrop.png,
      data/icons/oxygen/32x32/actions/restoration.png,
      data/icons/oxygen/32x32/actions/sharpenimage.png,
      data/icons/oxygen/32x32/actions/shear.png,
      data/icons/oxygen/32x32/actions/superimpose.png,
      data/icons/oxygen/32x32/actions/texture.png,
      data/icons/oxygen/32x32/actions/whitebalance.png,
      data/icons/oxygen/48x48/actions/adjustcurves.png,
      data/icons/oxygen/48x48/actions/adjustlevels.png,
      data/icons/oxygen/48x48/actions/adjustrgb.png,
      data/icons/oxygen/48x48/actions/antivignetting.png,
      data/icons/oxygen/48x48/actions/autocorrection.png,
      data/icons/oxygen/48x48/actions/blurfx.png,
      data/icons/oxygen/48x48/actions/blurimage.png,
      data/icons/oxygen/48x48/actions/bordertool.png,
      data/icons/oxygen/48x48/actions/bwtonal.png,
      data/icons/oxygen/48x48/actions/channelmixer.png,
      data/icons/oxygen/48x48/actions/colormanagement.png,
      data/icons/oxygen/48x48/actions/contrast.png,
      data/icons/oxygen/48x48/actions/depth16to8.png,
      data/icons/oxygen/48x48/actions/depth8to16.png,
      data/icons/oxygen/48x48/actions/distortionfx.png,
      data/icons/oxygen/48x48/actions/editimage.png,
      data/icons/oxygen/48x48/actions/exifinfo.png,
      data/icons/oxygen/48x48/actions/filmgrain.png,
      data/icons/oxygen/48x48/actions/freerotation.png,
      data/icons/oxygen/48x48/actions/hotpixels.png,
      data/icons/oxygen/48x48/actions/imagecomment.png,
      data/icons/oxygen/48x48/actions/inpainting.png,
      data/icons/oxygen/48x48/actions/invertimage.png,
      data/icons/oxygen/48x48/actions/noisereduction.png,
      data/icons/oxygen/48x48/actions/perspective.png,
      data/icons/oxygen/48x48/actions/ratiocrop.png,
      data/icons/oxygen/48x48/actions/restoration.png,
      data/icons/oxygen/48x48/actions/sharpenimage.png,
      data/icons/oxygen/48x48/actions/shear.png,
      data/icons/oxygen/48x48/actions/superimpose.png,
      data/icons/oxygen/48x48/actions/texture.png,
      data/icons/oxygen/48x48/actions/whitebalance.png,
      data/icons/oxygen/64x64/actions/adjustcurves.png,
      data/icons/oxygen/64x64/actions/adjustlevels.png,
      data/icons/oxygen/64x64/actions/adjustrgb.png,
      data/icons/oxygen/64x64/actions/antivignetting.png,
      data/icons/oxygen/64x64/actions/autocorrection.png,
      data/icons/oxygen/64x64/actions/blurfx.png,
      data/icons/oxygen/64x64/actions/blurimage.png,
      data/icons/oxygen/64x64/actions/bordertool.png,
      data/icons/oxygen/64x64/actions/bwtonal.png,
      data/icons/oxygen/64x64/actions/channelmixer.png,
      data/icons/oxygen/64x64/actions/colormanagement.png,
      data/icons/oxygen/64x64/actions/contrast.png,
      data/icons/oxygen/64x64/actions/depth16to8.png,
      data/icons/oxygen/64x64/actions/depth8to16.png,
      data/icons/oxygen/64x64/actions/distortionfx.png,
      data/icons/oxygen/64x64/actions/editimage.png,
      data/icons/oxygen/64x64/actions/exifinfo.png,
      data/icons/oxygen/64x64/actions/filmgrain.png,
      data/icons/oxygen/64x64/actions/freerotation.png,
      data/icons/oxygen/64x64/actions/hotpixels.png,
      data/icons/oxygen/64x64/actions/imagecomment.png,
      data/icons/oxygen/64x64/actions/inpainting.png,
      data/icons/oxygen/64x64/actions/invertimage.png,
      data/icons/oxygen/64x64/actions/noisereduction.png,
      data/icons/oxygen/64x64/actions/perspective.png,
      data/icons/oxygen/64x64/actions/ratiocrop.png,
      data/icons/oxygen/64x64/actions/restoration.png,
      data/icons/oxygen/64x64/actions/sharpenimage.png,
      data/icons/oxygen/64x64/actions/shear.png,
      data/icons/oxygen/64x64/actions/superimpose.png,
      data/icons/oxygen/64x64/actions/texture.png,
      data/icons/oxygen/64x64/actions/whitebalance.png,
      data/icons/oxygen/scalable/actions/adjustcurves.svgz,
      data/icons/oxygen/scalable/actions/adjustlevels.svgz,
      data/icons/oxygen/scalable/actions/adjustrgb.svgz,
      data/icons/oxygen/scalable/actions/antivignetting.svgz,
      data/icons/oxygen/scalable/actions/autocorrection.svgz,
      data/icons/oxygen/scalable/actions/blurfx.svgz,
      data/icons/oxygen/scalable/actions/blurimage.svgz,
      data/icons/oxygen/scalable/actions/bordertool.svgz,
      data/icons/oxygen/scalable/actions/bwtonal.svgz,
      data/icons/oxygen/scalable/actions/channelmixer.svgz,
      data/icons/oxygen/scalable/actions/colormanagement.svgz,
      data/icons/oxygen/scalable/actions/contrast.svgz,
      data/icons/oxygen/scalable/actions/depth16to8.svgz,
      data/icons/oxygen/scalable/actions/depth8to16.svgz,
      data/icons/oxygen/scalable/actions/distortionfx.svgz,
      data/icons/oxygen/scalable/actions/editimage.svgz,
      data/icons/oxygen/scalable/actions/exifinfo.svgz,
      data/icons/oxygen/scalable/actions/filmgrain.svgz,
      data/icons/oxygen/scalable/actions/freerotation.svgz,
      data/icons/oxygen/scalable/actions/hotpixels.svgz,
      data/icons/oxygen/scalable/actions/imagecomment.svgz,
      data/icons/oxygen/scalable/actions/inpainting.svgz,
      data/icons/oxygen/scalable/actions/invertimage.svgz,
      data/icons/oxygen/scalable/actions/noisereduction.svgz,
      data/icons/oxygen/scalable/actions/perspective.svgz,
      data/icons/oxygen/scalable/actions/ratiocrop.svgz,
      data/icons/oxygen/scalable/actions/restoration.svgz,
      data/icons/oxygen/scalable/actions/sharpenimage.svgz,
      data/icons/oxygen/scalable/actions/shear.svgz,
      data/icons/oxygen/scalable/actions/superimpose.svgz,
      data/icons/oxygen/scalable/actions/texture.svgz,
      data/icons/oxygen/scalable/actions/whitebalance.svgz: accordignly
      with Pino Toscano, move digiKAm icons in a dedicated subfloder,
      not Oxygen

2009-01-13 13:27  cgilles

    * data/icons/hi32-action-digikamimageplugins.png: unused

2009-01-13 13:26  cgilles

    * data/icons/hi128-action-addimagefolder.png,
      data/icons/hi128-action-adjustcurves.png,
      data/icons/hi128-action-adjustlevels.png,
      data/icons/hi128-action-adjustrgb.png,
      data/icons/hi128-action-albumfoldercomment.png,
      data/icons/hi16-action-addimagefolder.png,
      data/icons/hi16-action-adjustcurves.png,
      data/icons/hi16-action-adjustlevels.png,
      data/icons/hi16-action-adjustrgb.png,
      data/icons/hi16-action-albumfoldercomment.png,
      data/icons/hi22-action-addimagefolder.png,
      data/icons/hi22-action-adjustcurves.png,
      data/icons/hi22-action-adjustlevels.png,
      data/icons/hi22-action-adjustrgb.png,
      data/icons/hi22-action-albumfoldercomment.png,
      data/icons/hi32-action-addimagefolder.png,
      data/icons/hi32-action-adjustcurves.png,
      data/icons/hi32-action-adjustlevels.png,
      data/icons/hi32-action-adjustrgb.png,
      data/icons/hi32-action-albumfoldercomment.png,
      data/icons/hi48-action-addimagefolder.png,
      data/icons/hi48-action-adjustcurves.png,
      data/icons/hi48-action-adjustlevels.png,
      data/icons/hi48-action-adjustrgb.png,
      data/icons/hi48-action-albumfoldercomment.png,
      data/icons/hi64-action-addimagefolder.png,
      data/icons/hi64-action-adjustcurves.png,
      data/icons/hi64-action-adjustlevels.png,
      data/icons/hi64-action-adjustrgb.png,
      data/icons/hi64-action-albumfoldercomment.png,
      data/icons/hisc-action-addimagefolder.svgz,
      data/icons/hisc-action-adjustcurves.svgz,
      data/icons/hisc-action-adjustlevels.svgz,
      data/icons/hisc-action-adjustrgb.svgz,
      data/icons/hisc-action-albumfoldercomment.svgz,
      data/icons/oxygen/128x128/actions/adjustcurves.png,
      data/icons/oxygen/128x128/actions/adjustlevels.png,
      data/icons/oxygen/128x128/actions/adjustrgb.png,
      data/icons/oxygen/16x16/actions/adjustcurves.png,
      data/icons/oxygen/16x16/actions/adjustlevels.png,
      data/icons/oxygen/16x16/actions/adjustrgb.png,
      data/icons/oxygen/22x22/actions/adjustcurves.png,
      data/icons/oxygen/22x22/actions/adjustlevels.png,
      data/icons/oxygen/22x22/actions/adjustrgb.png,
      data/icons/oxygen/32x32/actions/adjustcurves.png,
      data/icons/oxygen/32x32/actions/adjustlevels.png,
      data/icons/oxygen/32x32/actions/adjustrgb.png,
      data/icons/oxygen/48x48/actions/adjustcurves.png,
      data/icons/oxygen/48x48/actions/adjustlevels.png,
      data/icons/oxygen/48x48/actions/adjustrgb.png,
      data/icons/oxygen/64x64/actions/adjustcurves.png,
      data/icons/oxygen/64x64/actions/adjustlevels.png,
      data/icons/oxygen/64x64/actions/adjustrgb.png,
      data/icons/oxygen/scalable/actions/adjustcurves.svgz,
      data/icons/oxygen/scalable/actions/adjustlevels.svgz,
      data/icons/oxygen/scalable/actions/adjustrgb.svgz: move icons
      remove unused

2009-01-13 13:23  cgilles

    * data/icons/hi128-action-albumfoldernew.png,
      data/icons/hi128-action-antivignetting.png,
      data/icons/hi128-action-autocorrection.png,
      data/icons/hi16-action-albumfoldernew.png,
      data/icons/hi16-action-antivignetting.png,
      data/icons/hi16-action-autocorrection.png,
      data/icons/hi22-action-albumfoldernew.png,
      data/icons/hi22-action-antivignetting.png,
      data/icons/hi22-action-autocorrection.png,
      data/icons/hi32-action-albumfoldernew.png,
      data/icons/hi32-action-antivignetting.png,
      data/icons/hi32-action-autocorrection.png,
      data/icons/hi48-action-albumfoldernew.png,
      data/icons/hi48-action-antivignetting.png,
      data/icons/hi48-action-autocorrection.png,
      data/icons/hi64-action-albumfoldernew.png,
      data/icons/hi64-action-antivignetting.png,
      data/icons/hi64-action-autocorrection.png,
      data/icons/hisc-action-albumfoldernew.svgz,
      data/icons/hisc-action-antivignetting.svgz,
      data/icons/hisc-action-autocorrection.svgz,
      data/icons/oxygen/128x128/actions/antivignetting.png,
      data/icons/oxygen/128x128/actions/autocorrection.png,
      data/icons/oxygen/16x16/actions/antivignetting.png,
      data/icons/oxygen/16x16/actions/autocorrection.png,
      data/icons/oxygen/22x22/actions/antivignetting.png,
      data/icons/oxygen/22x22/actions/autocorrection.png,
      data/icons/oxygen/32x32/actions/antivignetting.png,
      data/icons/oxygen/32x32/actions/autocorrection.png,
      data/icons/oxygen/48x48/actions/antivignetting.png,
      data/icons/oxygen/48x48/actions/autocorrection.png,
      data/icons/oxygen/64x64/actions/antivignetting.png,
      data/icons/oxygen/64x64/actions/autocorrection.png,
      data/icons/oxygen/scalable/actions/antivignetting.svgz,
      data/icons/oxygen/scalable/actions/autocorrection.svgz: move
      icons
      remove unused

2009-01-13 13:21  cgilles

    * data/icons/hi128-action-blurfx.png,
      data/icons/hi128-action-blurimage.png,
      data/icons/hi128-action-bordertool.png,
      data/icons/hi128-action-bwtonal.png,
      data/icons/hi128-action-channelmixer.png,
      data/icons/hi128-action-colormanagement.png,
      data/icons/hi128-action-contrast.png,
      data/icons/hi16-action-blurfx.png,
      data/icons/hi16-action-blurimage.png,
      data/icons/hi16-action-bordertool.png,
      data/icons/hi16-action-bwtonal.png,
      data/icons/hi16-action-channelmixer.png,
      data/icons/hi16-action-colormanagement.png,
      data/icons/hi16-action-contrast.png,
      data/icons/hi22-action-blurfx.png,
      data/icons/hi22-action-blurimage.png,
      data/icons/hi22-action-bordertool.png,
      data/icons/hi22-action-bwtonal.png,
      data/icons/hi22-action-channelmixer.png,
      data/icons/hi22-action-colormanagement.png,
      data/icons/hi22-action-contrast.png,
      data/icons/hi32-action-blurfx.png,
      data/icons/hi32-action-blurimage.png,
      data/icons/hi32-action-bordertool.png,
      data/icons/hi32-action-bwtonal.png,
      data/icons/hi32-action-channelmixer.png,
      data/icons/hi32-action-colormanagement.png,
      data/icons/hi32-action-contrast.png,
      data/icons/hi48-action-blurfx.png,
      data/icons/hi48-action-blurimage.png,
      data/icons/hi48-action-bordertool.png,
      data/icons/hi48-action-bwtonal.png,
      data/icons/hi48-action-channelmixer.png,
      data/icons/hi48-action-colormanagement.png,
      data/icons/hi48-action-contrast.png,
      data/icons/hi64-action-blurfx.png,
      data/icons/hi64-action-blurimage.png,
      data/icons/hi64-action-bordertool.png,
      data/icons/hi64-action-bwtonal.png,
      data/icons/hi64-action-channelmixer.png,
      data/icons/hi64-action-colormanagement.png,
      data/icons/hi64-action-contrast.png,
      data/icons/hisc-action-blurfx.svgz,
      data/icons/hisc-action-blurimage.svgz,
      data/icons/hisc-action-bordertool.svgz,
      data/icons/hisc-action-bwtonal.svgz,
      data/icons/hisc-action-channelmixer.svgz,
      data/icons/hisc-action-colormanagement.svgz,
      data/icons/hisc-action-contrast.svgz,
      data/icons/oxygen/128x128/actions/blurfx.png,
      data/icons/oxygen/128x128/actions/blurimage.png,
      data/icons/oxygen/128x128/actions/bordertool.png,
      data/icons/oxygen/128x128/actions/bwtonal.png,
      data/icons/oxygen/128x128/actions/channelmixer.png,
      data/icons/oxygen/128x128/actions/colormanagement.png,
      data/icons/oxygen/128x128/actions/contrast.png,
      data/icons/oxygen/16x16/actions/blurfx.png,
      data/icons/oxygen/16x16/actions/blurimage.png,
      data/icons/oxygen/16x16/actions/bordertool.png,
      data/icons/oxygen/16x16/actions/bwtonal.png,
      data/icons/oxygen/16x16/actions/channelmixer.png,
      data/icons/oxygen/16x16/actions/colormanagement.png,
      data/icons/oxygen/16x16/actions/contrast.png,
      data/icons/oxygen/22x22/actions/blurfx.png,
      data/icons/oxygen/22x22/actions/blurimage.png,
      data/icons/oxygen/22x22/actions/bordertool.png,
      data/icons/oxygen/22x22/actions/bwtonal.png,
      data/icons/oxygen/22x22/actions/channelmixer.png,
      data/icons/oxygen/22x22/actions/colormanagement.png,
      data/icons/oxygen/22x22/actions/contrast.png,
      data/icons/oxygen/32x32/actions/blurfx.png,
      data/icons/oxygen/32x32/actions/blurimage.png,
      data/icons/oxygen/32x32/actions/bordertool.png,
      data/icons/oxygen/32x32/actions/bwtonal.png,
      data/icons/oxygen/32x32/actions/channelmixer.png,
      data/icons/oxygen/32x32/actions/colormanagement.png,
      data/icons/oxygen/32x32/actions/contrast.png,
      data/icons/oxygen/48x48/actions/blurfx.png,
      data/icons/oxygen/48x48/actions/blurimage.png,
      data/icons/oxygen/48x48/actions/bordertool.png,
      data/icons/oxygen/48x48/actions/bwtonal.png,
      data/icons/oxygen/48x48/actions/channelmixer.png,
      data/icons/oxygen/48x48/actions/colormanagement.png,
      data/icons/oxygen/48x48/actions/contrast.png,
      data/icons/oxygen/64x64/actions/blurfx.png,
      data/icons/oxygen/64x64/actions/blurimage.png,
      data/icons/oxygen/64x64/actions/bordertool.png,
      data/icons/oxygen/64x64/actions/bwtonal.png,
      data/icons/oxygen/64x64/actions/channelmixer.png,
      data/icons/oxygen/64x64/actions/colormanagement.png,
      data/icons/oxygen/64x64/actions/contrast.png,
      data/icons/oxygen/scalable/actions/blurfx.svgz,
      data/icons/oxygen/scalable/actions/blurimage.svgz,
      data/icons/oxygen/scalable/actions/bordertool.svgz,
      data/icons/oxygen/scalable/actions/bwtonal.svgz,
      data/icons/oxygen/scalable/actions/channelmixer.svgz,
      data/icons/oxygen/scalable/actions/colormanagement.svgz,
      data/icons/oxygen/scalable/actions/contrast.svgz: move icons

2009-01-13 13:18  cgilles

    * data/icons/hi128-action-depth16to8.png,
      data/icons/hi128-action-depth8to16.png,
      data/icons/hi128-action-distortionfx.png,
      data/icons/hi128-action-editimage.png,
      data/icons/hi128-action-exifinfo.png,
      data/icons/hi128-action-filmgrain.png,
      data/icons/hi128-action-freerotation.png,
      data/icons/hi128-action-histogram.png,
      data/icons/hi16-action-depth16to8.png,
      data/icons/hi16-action-depth8to16.png,
      data/icons/hi16-action-distortionfx.png,
      data/icons/hi16-action-editimage.png,
      data/icons/hi16-action-exifinfo.png,
      data/icons/hi16-action-filmgrain.png,
      data/icons/hi16-action-freerotation.png,
      data/icons/hi16-action-histogram.png,
      data/icons/hi22-action-depth16to8.png,
      data/icons/hi22-action-depth8to16.png,
      data/icons/hi22-action-distortionfx.png,
      data/icons/hi22-action-editimage.png,
      data/icons/hi22-action-exifinfo.png,
      data/icons/hi22-action-filmgrain.png,
      data/icons/hi22-action-freerotation.png,
      data/icons/hi22-action-histogram.png,
      data/icons/hi32-action-depth16to8.png,
      data/icons/hi32-action-depth8to16.png,
      data/icons/hi32-action-distortionfx.png,
      data/icons/hi32-action-editimage.png,
      data/icons/hi32-action-exifinfo.png,
      data/icons/hi32-action-filmgrain.png,
      data/icons/hi32-action-freerotation.png,
      data/icons/hi32-action-histogram.png,
      data/icons/hi48-action-depth16to8.png,
      data/icons/hi48-action-depth8to16.png,
      data/icons/hi48-action-distortionfx.png,
      data/icons/hi48-action-editimage.png,
      data/icons/hi48-action-exifinfo.png,
      data/icons/hi48-action-filmgrain.png,
      data/icons/hi48-action-freerotation.png,
      data/icons/hi48-action-histogram.png,
      data/icons/hi64-action-depth16to8.png,
      data/icons/hi64-action-depth8to16.png,
      data/icons/hi64-action-distortionfx.png,
      data/icons/hi64-action-editimage.png,
      data/icons/hi64-action-exifinfo.png,
      data/icons/hi64-action-filmgrain.png,
      data/icons/hi64-action-freerotation.png,
      data/icons/hi64-action-histogram.png,
      data/icons/hisc-action-depth16to8.svgz,
      data/icons/hisc-action-depth8to16.svgz,
      data/icons/hisc-action-distortionfx.svgz,
      data/icons/hisc-action-editimage.svgz,
      data/icons/hisc-action-exifinfo.svgz,
      data/icons/hisc-action-filmgrain.svgz,
      data/icons/hisc-action-freerotation.svgz,
      data/icons/hisc-action-histogram.svgz,
      data/icons/oxygen/128x128/actions/depth16to8.png,
      data/icons/oxygen/128x128/actions/depth8to16.png,
      data/icons/oxygen/128x128/actions/distortionfx.png,
      data/icons/oxygen/128x128/actions/editimage.png,
      data/icons/oxygen/128x128/actions/exifinfo.png,
      data/icons/oxygen/128x128/actions/filmgrain.png,
      data/icons/oxygen/128x128/actions/freerotation.png,
      data/icons/oxygen/16x16/actions/depth16to8.png,
      data/icons/oxygen/16x16/actions/depth8to16.png,
      data/icons/oxygen/16x16/actions/distortionfx.png,
      data/icons/oxygen/16x16/actions/editimage.png,
      data/icons/oxygen/16x16/actions/exifinfo.png,
      data/icons/oxygen/16x16/actions/filmgrain.png,
      data/icons/oxygen/16x16/actions/freerotation.png,
      data/icons/oxygen/22x22/actions/depth16to8.png,
      data/icons/oxygen/22x22/actions/depth8to16.png,
      data/icons/oxygen/22x22/actions/distortionfx.png,
      data/icons/oxygen/22x22/actions/editimage.png,
      data/icons/oxygen/22x22/actions/exifinfo.png,
      data/icons/oxygen/22x22/actions/filmgrain.png,
      data/icons/oxygen/22x22/actions/freerotation.png,
      data/icons/oxygen/32x32/actions/depth16to8.png,
      data/icons/oxygen/32x32/actions/depth8to16.png,
      data/icons/oxygen/32x32/actions/distortionfx.png,
      data/icons/oxygen/32x32/actions/editimage.png,
      data/icons/oxygen/32x32/actions/exifinfo.png,
      data/icons/oxygen/32x32/actions/filmgrain.png,
      data/icons/oxygen/32x32/actions/freerotation.png,
      data/icons/oxygen/48x48/actions/depth16to8.png,
      data/icons/oxygen/48x48/actions/depth8to16.png,
      data/icons/oxygen/48x48/actions/distortionfx.png,
      data/icons/oxygen/48x48/actions/editimage.png,
      data/icons/oxygen/48x48/actions/exifinfo.png,
      data/icons/oxygen/48x48/actions/filmgrain.png,
      data/icons/oxygen/48x48/actions/freerotation.png,
      data/icons/oxygen/64x64/actions/depth16to8.png,
      data/icons/oxygen/64x64/actions/depth8to16.png,
      data/icons/oxygen/64x64/actions/distortionfx.png,
      data/icons/oxygen/64x64/actions/editimage.png,
      data/icons/oxygen/64x64/actions/exifinfo.png,
      data/icons/oxygen/64x64/actions/filmgrain.png,
      data/icons/oxygen/64x64/actions/freerotation.png,
      data/icons/oxygen/scalable/actions/depth16to8.svgz,
      data/icons/oxygen/scalable/actions/depth8to16.svgz,
      data/icons/oxygen/scalable/actions/distortionfx.svgz,
      data/icons/oxygen/scalable/actions/editimage.svgz,
      data/icons/oxygen/scalable/actions/exifinfo.svgz,
      data/icons/oxygen/scalable/actions/filmgrain.svgz,
      data/icons/oxygen/scalable/actions/freerotation.svgz: move icons
      remove unused

2009-01-13 13:14  cgilles

    * data/icons/hi128-action-hotpixels.png,
      data/icons/hi128-action-imagecomment.png,
      data/icons/hi128-action-importfolders2albums.png,
      data/icons/hi128-action-inpainting.png,
      data/icons/hi16-action-hotpixels.png,
      data/icons/hi16-action-imagecomment.png,
      data/icons/hi16-action-importfolders2albums.png,
      data/icons/hi16-action-inpainting.png,
      data/icons/hi22-action-hotpixels.png,
      data/icons/hi22-action-imagecomment.png,
      data/icons/hi22-action-importfolders2albums.png,
      data/icons/hi22-action-inpainting.png,
      data/icons/hi32-action-hotpixels.png,
      data/icons/hi32-action-imagecomment.png,
      data/icons/hi32-action-importfolders2albums.png,
      data/icons/hi32-action-inpainting.png,
      data/icons/hi48-action-hotpixels.png,
      data/icons/hi48-action-imagecomment.png,
      data/icons/hi48-action-importfolders2albums.png,
      data/icons/hi48-action-inpainting.png,
      data/icons/hi64-action-hotpixels.png,
      data/icons/hi64-action-imagecomment.png,
      data/icons/hi64-action-importfolders2albums.png,
      data/icons/hi64-action-inpainting.png,
      data/icons/hisc-action-hotpixels.svgz,
      data/icons/hisc-action-imagecomment.svgz,
      data/icons/hisc-action-importfolders2albums.svgz,
      data/icons/hisc-action-inpainting.svgz,
      data/icons/oxygen/128x128/actions/hotpixels.png,
      data/icons/oxygen/128x128/actions/imagecomment.png,
      data/icons/oxygen/128x128/actions/inpainting.png,
      data/icons/oxygen/16x16/actions/hotpixels.png,
      data/icons/oxygen/16x16/actions/imagecomment.png,
      data/icons/oxygen/16x16/actions/inpainting.png,
      data/icons/oxygen/22x22/actions/hotpixels.png,
      data/icons/oxygen/22x22/actions/imagecomment.png,
      data/icons/oxygen/22x22/actions/inpainting.png,
      data/icons/oxygen/32x32/actions/hotpixels.png,
      data/icons/oxygen/32x32/actions/imagecomment.png,
      data/icons/oxygen/32x32/actions/inpainting.png,
      data/icons/oxygen/48x48/actions/hotpixels.png,
      data/icons/oxygen/48x48/actions/imagecomment.png,
      data/icons/oxygen/48x48/actions/inpainting.png,
      data/icons/oxygen/64x64/actions/hotpixels.png,
      data/icons/oxygen/64x64/actions/imagecomment.png,
      data/icons/oxygen/64x64/actions/inpainting.png,
      data/icons/oxygen/scalable/actions/hotpixels.svgz,
      data/icons/oxygen/scalable/actions/imagecomment.svgz,
      data/icons/oxygen/scalable/actions/inpainting.svgz: move icons
      remove unused

2009-01-13 13:10  cgilles

    * data/icons/hi128-action-invertimage.png,
      data/icons/hi128-action-noisereduction.png,
      data/icons/hi128-action-perspective.png,
      data/icons/hi128-action-ratiocrop.png,
      data/icons/hi16-action-invertimage.png,
      data/icons/hi16-action-noisereduction.png,
      data/icons/hi16-action-perspective.png,
      data/icons/hi16-action-ratiocrop.png,
      data/icons/hi22-action-invertimage.png,
      data/icons/hi22-action-noisereduction.png,
      data/icons/hi22-action-perspective.png,
      data/icons/hi22-action-ratiocrop.png,
      data/icons/hi32-action-invertimage.png,
      data/icons/hi32-action-noisereduction.png,
      data/icons/hi32-action-perspective.png,
      data/icons/hi32-action-ratiocrop.png,
      data/icons/hi48-action-invertimage.png,
      data/icons/hi48-action-noisereduction.png,
      data/icons/hi48-action-perspective.png,
      data/icons/hi48-action-ratiocrop.png,
      data/icons/hi64-action-invertimage.png,
      data/icons/hi64-action-noisereduction.png,
      data/icons/hi64-action-perspective.png,
      data/icons/hi64-action-ratiocrop.png,
      data/icons/hisc-action-invertimage.svgz,
      data/icons/hisc-action-noisereduction.svgz,
      data/icons/hisc-action-perspective.svgz,
      data/icons/hisc-action-ratiocrop.svgz,
      data/icons/oxygen/128x128/actions/invertimage.png,
      data/icons/oxygen/128x128/actions/noisereduction.png,
      data/icons/oxygen/128x128/actions/perspective.png,
      data/icons/oxygen/128x128/actions/ratiocrop.png,
      data/icons/oxygen/16x16/actions/invertimage.png,
      data/icons/oxygen/16x16/actions/noisereduction.png,
      data/icons/oxygen/16x16/actions/perspective.png,
      data/icons/oxygen/16x16/actions/ratiocrop.png,
      data/icons/oxygen/22x22/actions/invertimage.png,
      data/icons/oxygen/22x22/actions/noisereduction.png,
      data/icons/oxygen/22x22/actions/perspective.png,
      data/icons/oxygen/22x22/actions/ratiocrop.png,
      data/icons/oxygen/32x32/actions/invertimage.png,
      data/icons/oxygen/32x32/actions/noisereduction.png,
      data/icons/oxygen/32x32/actions/perspective.png,
      data/icons/oxygen/32x32/actions/ratiocrop.png,
      data/icons/oxygen/48x48/actions/invertimage.png,
      data/icons/oxygen/48x48/actions/noisereduction.png,
      data/icons/oxygen/48x48/actions/perspective.png,
      data/icons/oxygen/48x48/actions/ratiocrop.png,
      data/icons/oxygen/64x64/actions/invertimage.png,
      data/icons/oxygen/64x64/actions/noisereduction.png,
      data/icons/oxygen/64x64/actions/perspective.png,
      data/icons/oxygen/64x64/actions/ratiocrop.png,
      data/icons/oxygen/scalable/actions/invertimage.svgz,
      data/icons/oxygen/scalable/actions/noisereduction.svgz,
      data/icons/oxygen/scalable/actions/perspective.svgz,
      data/icons/oxygen/scalable/actions/ratiocrop.svgz: move to
      subfolders

2009-01-13 13:07  cgilles

    * data/icons/hi128-action-resize_image.png,
      data/icons/hi16-action-resize_image.png,
      data/icons/hi22-action-resize_image.png,
      data/icons/hi32-action-resize_image.png,
      data/icons/hi48-action-resize_image.png,
      data/icons/hi64-action-resize_image.png,
      data/icons/hisc-action-resize_image.svgz: this one is unused now

2009-01-13 13:05  cgilles

    * data/icons/hi128-action-restoration.png,
      data/icons/hi128-action-sharpenimage.png,
      data/icons/hi128-action-shear.png,
      data/icons/hi128-action-superimpose.png,
      data/icons/hi128-action-texture.png,
      data/icons/hi128-action-whitebalance.png,
      data/icons/hi16-action-restoration.png,
      data/icons/hi16-action-sharpenimage.png,
      data/icons/hi16-action-shear.png,
      data/icons/hi16-action-superimpose.png,
      data/icons/hi16-action-texture.png,
      data/icons/hi16-action-whitebalance.png,
      data/icons/hi22-action-restoration.png,
      data/icons/hi22-action-sharpenimage.png,
      data/icons/hi22-action-shear.png,
      data/icons/hi22-action-superimpose.png,
      data/icons/hi22-action-texture.png,
      data/icons/hi22-action-whitebalance.png,
      data/icons/hi32-action-restoration.png,
      data/icons/hi32-action-sharpenimage.png,
      data/icons/hi32-action-shear.png,
      data/icons/hi32-action-superimpose.png,
      data/icons/hi32-action-texture.png,
      data/icons/hi32-action-whitebalance.png,
      data/icons/hi48-action-restoration.png,
      data/icons/hi48-action-sharpenimage.png,
      data/icons/hi48-action-shear.png,
      data/icons/hi48-action-superimpose.png,
      data/icons/hi48-action-texture.png,
      data/icons/hi48-action-whitebalance.png,
      data/icons/hi64-action-restoration.png,
      data/icons/hi64-action-sharpenimage.png,
      data/icons/hi64-action-shear.png,
      data/icons/hi64-action-superimpose.png,
      data/icons/hi64-action-texture.png,
      data/icons/hi64-action-whitebalance.png,
      data/icons/hisc-action-restoration.svgz,
      data/icons/hisc-action-sharpenimage.svgz,
      data/icons/hisc-action-shear.svgz,
      data/icons/hisc-action-superimpose.svgz,
      data/icons/hisc-action-texture.svgz,
      data/icons/hisc-action-whitebalance.svgz,
      data/icons/oxygen/128x128/actions/restoration.png,
      data/icons/oxygen/128x128/actions/sharpenimage.png,
      data/icons/oxygen/128x128/actions/shear.png,
      data/icons/oxygen/128x128/actions/superimpose.png,
      data/icons/oxygen/128x128/actions/texture.png,
      data/icons/oxygen/128x128/actions/whitebalance.png,
      data/icons/oxygen/16x16/actions/restoration.png,
      data/icons/oxygen/16x16/actions/sharpenimage.png,
      data/icons/oxygen/16x16/actions/shear.png,
      data/icons/oxygen/16x16/actions/superimpose.png,
      data/icons/oxygen/16x16/actions/texture.png,
      data/icons/oxygen/16x16/actions/whitebalance.png,
      data/icons/oxygen/22x22/actions/restoration.png,
      data/icons/oxygen/22x22/actions/sharpenimage.png,
      data/icons/oxygen/22x22/actions/shear.png,
      data/icons/oxygen/22x22/actions/superimpose.png,
      data/icons/oxygen/22x22/actions/texture.png,
      data/icons/oxygen/22x22/actions/whitebalance.png,
      data/icons/oxygen/32x32/actions/restoration.png,
      data/icons/oxygen/32x32/actions/sharpenimage.png,
      data/icons/oxygen/32x32/actions/shear.png,
      data/icons/oxygen/32x32/actions/superimpose.png,
      data/icons/oxygen/32x32/actions/texture.png,
      data/icons/oxygen/32x32/actions/whitebalance.png,
      data/icons/oxygen/48x48/actions/restoration.png,
      data/icons/oxygen/48x48/actions/sharpenimage.png,
      data/icons/oxygen/48x48/actions/shear.png,
      data/icons/oxygen/48x48/actions/superimpose.png,
      data/icons/oxygen/48x48/actions/texture.png,
      data/icons/oxygen/48x48/actions/whitebalance.png,
      data/icons/oxygen/64x64/actions/restoration.png,
      data/icons/oxygen/64x64/actions/sharpenimage.png,
      data/icons/oxygen/64x64/actions/shear.png,
      data/icons/oxygen/64x64/actions/superimpose.png,
      data/icons/oxygen/64x64/actions/texture.png,
      data/icons/oxygen/64x64/actions/whitebalance.png,
      data/icons/oxygen/scalable/actions/restoration.svgz,
      data/icons/oxygen/scalable/actions/sharpenimage.svgz,
      data/icons/oxygen/scalable/actions/shear.svgz,
      data/icons/oxygen/scalable/actions/superimpose.svgz,
      data/icons/oxygen/scalable/actions/texture.svgz,
      data/icons/oxygen/scalable/actions/whitebalance.svgz: move icons
      to Oxygen sub folders

2009-01-13 12:51  cgilles

    * data/icons/hi128-app-digikam.png,
      data/icons/hi128-app-showfoto.png,
      data/icons/hi16-app-digikam.png,
      data/icons/hi16-app-showfoto.png,
      data/icons/hi22-app-digikam.png,
      data/icons/hi22-app-showfoto.png,
      data/icons/hi32-app-digikam.png,
      data/icons/hi32-app-digikamimageplugins.png,
      data/icons/hi32-app-showfoto.png,
      data/icons/hi48-app-digikam.png,
      data/icons/hi48-app-showfoto.png,
      data/icons/hi64-app-digikam.png,
      data/icons/hi64-app-showfoto.png,
      data/icons/hisc-app-digikam.svgz,
      data/icons/hisc-app-showfoto.svgz: these files already exist in
      internal Oxygen

2009-01-13 12:49  cgilles

    * data/icons/oxygen/128x128/actions,
      data/icons/oxygen/64x64/actions: start to move icons file to
      internal Oxygen folders

2009-01-13 11:36  cgilles

    * digikam/imagepreviewbar.cpp,
      utilities/lighttable/lighttablebar.cpp: Fix highlightment
      rectangle

2009-01-13 09:21  cgilles

    * data/icons/oxygen/scalable/apps/digikam.svgz,
      data/icons/oxygen/scalable/apps/showfoto.svgz: update icons with
      Risto files

2009-01-13 09:15  cgilles

    * data/pics/logo-digikam.png, data/pics/logo-digikam.svgz,
      data/pics/logo-showfoto.png, data/pics/logo-showfoto.svgz:
      digiKam and Showfoto logo update with Risto files

2009-01-13 09:08  cgilles

    * data/pics/CMakeLists.txt, data/pics/banner-digikam.png,
      data/pics/banner-digikam.svg, data/pics/banner-digikam.svgz,
      data/pics/banner-showfoto.png, data/pics/banner-showfoto.svgz,
      libs/widgets/common/dlogoaction.cpp, project/project.kdevelop:
      update tool bar banner with Risto files

2009-01-13 08:32  mlaurent

    * utilities/setup/setupcollectionview.cpp: Add missing i18n

2009-01-12 21:48  cgilles

    * data/pics/splash-digikam.svg, data/pics/splash-digikam.svgz,
      data/pics/splash-showfoto.svg, data/pics/splash-showfoto.svgz:
      update splash svg template from Risto

2009-01-12 13:25  cgilles

    * NEWS: update

2009-01-12 13:24  cgilles

    * digikam/albumselectdialog.cpp, digikam/albumselectdialog.h:
      polish

2009-01-12 13:21  cgilles

    * digikam/albumselectdialog.cpp: digiKam from trunk : set
      QtreeWidget item selection properly when new album is created
      BUG: 180447
      BUG: 180003

2009-01-12 11:30  cgilles

    * libs/widgets/common/splashscreen.cpp: use a device dependant font
      with splashscreen with a fixed font size adapated to spash
      content to prevent layout/text if general font size is huge

2009-01-11 08:02  cgilles

    * NEWS: typo

2009-01-10 19:23  cgilles

    * libs/widgets/common/splashscreen.cpp: better background color

2009-01-10 17:01  cgilles

    * libs/widgets/common/splashscreen.cpp: polish

2009-01-10 16:45  cgilles

    * CMakeLists.txt, digikam/version.h.cmake,
      libs/widgets/common/dpopupmenu.cpp,
      libs/widgets/common/splashscreen.cpp: use short version string in
      splash and menu

2009-01-10 16:25  cgilles

    * libs/widgets/common/dpopupmenu.cpp: polish

2009-01-10 15:31  cgilles

    * data/pics/menusidepix-digikam.png,
      data/pics/menusidepix-showfoto.png, data/pics/menusidepix.svg,
      libs/widgets/common/dpopupmenu.cpp,
      libs/widgets/common/dpopupmenu.h: digiKam from trunk : As with
      splashscreen, no need to waste time to redraw menu side pixmap
      with version id. it's draw automatically by dpopupmenu code

2009-01-10 14:25  cgilles

    * data/pics/splash-showfoto.png: remove version

2009-01-10 14:16  cgilles

    * data/pics/splash-digikam.png,
      libs/widgets/common/splashscreen.cpp,
      libs/widgets/common/splashscreen.h, project/project.kdevelop:
      digiKAm from trunk : splashscreen now draw itself digiKam
      version. no need to set version id on splash for the future
      CCMAIL: friiduh@gmail.com

2009-01-10 07:46  cgilles

    * digikam/scancontroller.cpp, libs/widgets/common/splashscreen.cpp,
      libs/widgets/common/splashscreen.h, project/project.kdevelop:
      sync with KDE3 branch

2009-01-10 07:36  cgilles

    * NEWS: update

2009-01-10 07:35  cgilles

    * themedesigner/CMakeLists.txt: fix theme designer linking
      BUG: 180196

2009-01-10 07:35  cgilles

    * digikam/CMakeLists.txt: polish

2009-01-09 20:20  cgilles

    * libs/dimg/loaders/jpegsettings.cpp,
      libs/dimg/loaders/pngsettings.cpp: fix layout

2009-01-09 20:02  cgilles

    * libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h,
      libs/dimg/loaders/iccjpeg.c, libs/dimg/loaders/iccjpeg.h,
      libs/dimg/loaders/jp2ksettings.cpp,
      libs/dimg/loaders/jp2ksettings.h, libs/dimg/loaders/jpegloader.h,
      libs/dimg/loaders/jpegsettings.cpp,
      libs/dimg/loaders/jpegsettings.h, libs/dimg/loaders/pngloader.h,
      libs/dimg/loaders/pngsettings.cpp,
      libs/dimg/loaders/pngsettings.h, libs/dimg/loaders/ppmloader.h,
      libs/dimg/loaders/qimageloader.h,
      libs/dimg/loaders/tiffsettings.cpp,
      libs/dimg/loaders/tiffsettings.h: missing slider
      use const d

2009-01-09 14:17  mwiesweg

    * libs/database/searchxml.cpp: Just call readNext in case of a
      single entry, readToEndOfElement will fail because we are not at
      a Start element.
      
      CCBUG: 180110

2009-01-09 13:37  stikonas

    * utilities/lighttable/lighttablewindow.cpp: Use i18np() instead of
      switch-case for proper plural support.

2009-01-09 12:40  cgilles

    * NEWS: update

2009-01-09 12:13  cgilles

    * digikam/datefolderview.cpp, digikam/datefolderview.h: fix header
      string as Album and Tags folder view

2009-01-09 12:06  cgilles

    * NEWS: update

2009-01-09 11:20  cgilles

    * digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/metadatahub.cpp, digikam/metadatahub.h,
      utilities/kipiiface/kipiinterface.cpp,
      utilities/setup/setupmetadata.cpp,
      utilities/setup/setupmetadata.h: digiKam from trunk :
      - added new option to Metadata settings panel to enable/disable
      file time stamp updating when metadata are saved.
      - fix internal Metadata hub accordingly.
      - add new rule in digiKam kipi-interface to share this settings
      with kipi-plugins.
      
      Note: to use this option, you need libkexiv2 from trunk (KDE
      4.3). digiKam still compilable with libkexiv2 for
      KDE 4.2 but option is not available in gui.
      
      CCMAIL: digikam-devel@kde.org

2009-01-09 09:12  cgilles

    * utilities/lighttable/lighttablebar.cpp,
      utilities/lighttable/lighttablebar.h,
      utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h: fix gcc warnings

2009-01-09 05:36  cgilles

    * digikam/albumfolderview.cpp: fix gcc warnings

2009-01-09 05:31  cgilles

    * NEWS: update

2009-01-09 05:28  cgilles

    * NEWS: update

2009-01-08 21:44  mwiesweg

    * utilities/searchwindow/searchfolderview.cpp: Use viewItem's text
      for search bar filtering, so that Last Search / Current Search is
      found
      
      CCBUG: 177329

2009-01-08 21:30  mwiesweg

    * NEWS: update

2009-01-08 21:25  mwiesweg

    * utilities/slideshow/slideshow.cpp: Be more paranoid, check

2009-01-08 21:25  mwiesweg

    * libs/threadimageio/loadingdescription.cpp: Add the preview size
      to the cache key. The fingerprint generator loads preview with
      size 128, which can hardly be used for any other purpose.
      This fixes the bug of thumbnail-sized preview images.
      
      CCBUG: 179801

2009-01-08 21:25  mwiesweg

    * libs/threadimageio/loadingdescription.h,
      libs/threadimageio/loadsavetask.cpp,
      libs/threadimageio/managedloadsavethread.cpp,
      libs/threadimageio/previewtask.cpp,
      libs/threadimageio/thumbnailtask.cpp: Make the
      LoadingDescription(QString) constructor explicit and always pass
      the complete LoadingDescription, rather than losing information
      for feedback messages

2009-01-08 21:25  mwiesweg

    * digikam/albumfolderview.cpp, digikam/tagfolderview.cpp: Remove
      duplication in wording, following Mikolaj's suggestion
      
      CCBUG: 179933

2009-01-08 19:09  cgilles

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h,
      libs/widgets/common/thumbbar.cpp, libs/widgets/common/thumbbar.h:
      missing some place where highlightement and rating edit mode need
      to be controled

2009-01-08 18:47  mwiesweg

    * utilities/batch/fingerprintsgenerator.cpp: In analogy to bug
      178325, fix the same problem for the fingerprintsgenerator

2009-01-08 18:30  aclemens

    * NEWS: update

2009-01-08 18:28  mwiesweg

    * digikam/albumfolderview.cpp: Remove useless popup menu at to the
      root album item in AlbumFolderView.
      
      CCBUG: 179933

2009-01-08 18:01  cgilles

    * NEWS: update

2009-01-08 17:07  cgilles

    * NEWS: update

2009-01-08 16:58  cgilles

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h,
      libs/widgets/common/thumbbar.cpp, libs/widgets/common/thumbbar.h,
      project/project.kdevelop, utilities/lighttable/lighttablebar.cpp:
      digiKam from trunk: it now possible to rate item from tumbbar, as
      with icon view
      CCBUG: 148198

2009-01-08 14:38  cgilles

    * NEWS: update

2009-01-08 12:54  cgilles

    * libs/widgets/common/thumbbar.cpp, libs/widgets/common/thumbbar.h:
      assign default minimum size

2009-01-08 12:41  cgilles

    * libs/threadimageio/thumbnailsize.h: new Very Small Size

2009-01-08 12:32  cgilles

    * digikam/albumiconview.cpp: polish

2009-01-08 12:09  aclemens

    * NEWS: update

2009-01-08 12:07  aclemens

    * digikam/digikamapp.cpp: use iconText() instead of a RegEx to
      remove ampersand characters from CameraUI window title
      
      BUG:180006

2009-01-08 11:38  aclemens

    * digikam/digikamapp.cpp: Remove single ampersand characters from
      action text to avoid displaying them in the CameraUI window
      title.
      Since single ampersand is used for accelerator shortcuts, we
      don't need
      to display them in the window title.
      
      CCBUG:180006

2009-01-08 09:38  cgilles

    * digikam/albumiconview.cpp: center properlly rating pixmap

2009-01-07 19:49  cgilles

    * digikam/albumiconview.cpp: fix margin again

2009-01-07 16:54  mwiesweg

    * NEWS: update

2009-01-07 16:50  mwiesweg

    * digikam/albummanager.cpp: Dont show debug message if change is
      filtered out

2009-01-07 16:50  mwiesweg

    * digikam/metadatahub.cpp: When removing a tag:
      - remove both tag name and tags path from Iptc keywords because
      tags set with 0.9
      will be written with full path
      - remove tag name from Xmp dc.subject
      
      CCBUG: 177887

2009-01-07 16:50  mwiesweg

    * libs/dmetadata/dmetadata.cpp: Not needed anymore

2009-01-07 16:50  mwiesweg

    * libs/dmetadata/dmetadata.cpp, libs/dmetadata/dmetadata.h: - add a
      common implementation addToXmpTagStringBag and
      removeFromXmpTagStringBag
      to add a given list of string to / remove from the current
      entries of a string bag
      - implement or reimplement XmpKeywords, Subjects and
      SubCategories methods
      get, set and remove using the new common implementation.
      
      This patch should normally go to libkexiv2 but didn't make it due
      to KDE4.2 freeze
      
      CCBUG: 177887

2009-01-07 16:47  cgilles

    * digikam/albumiconview.cpp: fix marging

2009-01-07 13:42  cgilles

    * digikam/iconview.cpp: polish

2009-01-07 11:59  cgilles

    * NEWS: update

2009-01-07 10:21  cgilles

    * NEWS: update

2009-01-07 10:19  cgilles

    * CMakeLists.txt, digikam/albumiconitem.cpp,
      digikam/albumiconitem.h, digikam/albumiconview.cpp,
      digikam/albumiconview.h, digikam/iconitem.cpp,
      digikam/iconitem.h, digikam/iconview.cpp, digikam/iconview.h,
      digikam/ratingbox.cpp, digikam/ratingbox.h: digiKam from trunk:
      add support to rating icon view item on the fly.
      BUG: 148198

2009-01-07 07:42  cgilles

    * digikam/ratingwidget.cpp, digikam/ratingwidget.h: compile

2009-01-07 07:40  cgilles

    * digikam/ratingwidget.cpp, digikam/ratingwidget.h: add tracking
      properties, enabled by default

2009-01-07 01:04  pino

    * utilities/setup/setupicc.cpp: fix i18n usages

2009-01-07 00:56  aacid

    * utilities/setup/setupicc.cpp: QFile::encodeName shall only be
      used when passing the value to "pure C" functions, not to Qt/KDE
      ones

2009-01-06 23:19  aclemens

    * NEWS: update

2009-01-06 23:10  aclemens

    * digikam/folderview.cpp: add sort indicator to folderlist views
      
      BUG:179850

2009-01-06 20:43  mwiesweg

    * NEWS: update

2009-01-06 18:47  mwiesweg

    * digikam/folderview.cpp: Fix crash when returning from filtering
      with no current album, and properly handle this case.
      
      CCBUG: 179650

2009-01-06 18:29  mwiesweg

    * NEWS: update

2009-01-06 18:24  mwiesweg

    * digikam/constants.h, digikam/ratingwidget.cpp: Accept -1 (no
      rating) as value for the rating widget.
      The widget itself is not able to distinguish between 0 and -1 and
      will only generate the value 0.
      
      CCBUG: 179745

2009-01-06 18:01  cgilles

    * NEWS: update

2009-01-06 17:49  mwiesweg

    * libs/dmetadata/dmetadata.cpp: Pretty irrelevant, but the
      SmallDenominator variant is better suited for shutter
      (will give 1/160 for 0.008 etc.)

2009-01-06 17:49  mwiesweg

    * libs/dmetadata/dmetadata.cpp: Interpret shutter value from libraw
      correctly
      
      CCBUG: 179031

2009-01-06 13:51  cgilles

    * digikam/ratingwidget.cpp, digikam/ratingwidget.h: fix width

2009-01-06 10:26  cgilles

    * digikam/albumiconview.cpp, digikam/imagepreviewbar.cpp,
      utilities/cameragui/cameraiconview.cpp,
      utilities/lighttable/lighttablebar.cpp: fix draw rect size

2009-01-06 10:04  cgilles

    * digikam/imagepreviewbar.cpp, libs/widgets/common/thumbbar.cpp,
      utilities/lighttable/lighttablebar.cpp: fix rect size to draw on
      painter

2009-01-06 09:50  cgilles

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h,
      libs/widgets/common/thumbbar.cpp, libs/widgets/common/thumbbar.h,
      project/project.kdevelop, utilities/lighttable/lighttablebar.cpp,
      utilities/lighttable/lighttablebar.h: thumbbar item
      highlightement support (as icon view or folder view)

2009-01-06 09:14  cgilles

    * digikam/folderview.cpp, digikam/iconview.cpp, digikam/iconview.h:
      fix internal naming

2009-01-06 08:29  cgilles

    * utilities/cameragui/freespacewidget.cpp,
      utilities/cameragui/freespacewidget.h: fix warning under win32

2009-01-05 17:14  mwiesweg

    * digikam/albumfolderview.cpp: Fix a possible source of a crash
      
      CCBUG: 179650

2009-01-05 17:14  mwiesweg

    * digikam/digikamapp.cpp: Polish user visible strings for Nikon
      Cameras in PTP mode.
      Thanks to Alexander Wright.
      
      CCMAIL: alexander@wright-family.me.uk

2009-01-05 15:07  cgilles

    * libs/widgets/common/dlogoaction.cpp: missing to check in stop
      action if url label instance is non null
      BUG: 179712

2009-01-05 15:03  cgilles

    * libs/widgets/common/danimwheel.cpp,
      libs/widgets/common/danimwheel.h: factoring here is not really
      fine

2009-01-05 15:02  cgilles

    * CMakeLists.txt: polish

2009-01-05 13:57  cgilles

    * CMakeLists.txt: rc1 release

2009-01-05 13:56  cgilles

    * NEWS: update

2009-01-05 13:54  cgilles

    * libs/widgets/common/dlogoaction.cpp,
      libs/widgets/common/dlogoaction.h: make sure that url label exist
      before to apply pixmap.
      BUG: 179712

2009-01-05 11:43  cgilles

    * NEWS: update

2009-01-05 11:42  cgilles

    * ChangeLog: prepare beta8

2009-01-05 10:20  cgilles

    * data/icons/hi128-app-digikam.png,
      data/icons/hi128-app-showfoto.png,
      data/icons/hi16-app-digikam.png,
      data/icons/hi16-app-showfoto.png,
      data/icons/hi22-app-digikam.png,
      data/icons/hi22-app-showfoto.png,
      data/icons/hi32-app-digikam.png,
      data/icons/hi32-app-showfoto.png,
      data/icons/hi48-app-digikam.png,
      data/icons/hi48-app-showfoto.png,
      data/icons/hi64-app-digikam.png,
      data/icons/hi64-app-showfoto.png,
      data/icons/hisc-app-digikam.svgz,
      data/icons/hisc-app-showfoto.svgz, data/pics/splash-digikam.png,
      data/pics/splash-showfoto.png: update

2009-01-05 10:04  cgilles

    * AUTHORS, data/about/top-left-digikam.png,
      data/icons/oxygen/128x128/apps/digikam.png,
      data/icons/oxygen/128x128/apps/showfoto.png,
      data/icons/oxygen/16x16/apps/digikam.png,
      data/icons/oxygen/16x16/apps/showfoto.png,
      data/icons/oxygen/22x22/apps/digikam.png,
      data/icons/oxygen/22x22/apps/showfoto.png,
      data/icons/oxygen/32x32/apps/digikam.png,
      data/icons/oxygen/32x32/apps/showfoto.png,
      data/icons/oxygen/48x48/apps/digikam.png,
      data/icons/oxygen/48x48/apps/showfoto.png,
      data/icons/oxygen/64x64/apps/digikam.png,
      data/icons/oxygen/64x64/apps/showfoto.png,
      data/icons/oxygen/scalable/apps/digikam.svgz,
      data/icons/oxygen/scalable/apps/showfoto.svgz,
      data/pics/banner-digikam.png, data/pics/logo-digikam.png,
      data/pics/logo-showfoto.png, data/pics/splash-digikam.png,
      data/pics/splash-showfoto.png, project/project.kdevelop: digiKam
      from trunk : update icon/logo/banner for 0.10.0-beta8 release
      using Risto Saukonpaa works.
      Missing admin files:
      splash-digikam.svg
      splash-showfoto.svg
      banner-digikam.svg
      A new banner-showfoto.png/svg need to be created for showfoto
      toolbar.
      
      Splash are updated with Arturo Mann contributions
      
      CCMAIL: paristo@gmail.com
      CCMAIL: arturo.mann@gmail.com
      CCMAIL: digikam-devel@kde.org

2009-01-05 08:32  cgilles

    * NEWS: update

2009-01-05 08:31  cgilles

    * digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h:
      backport commit #905821 from KDE3 branch
      BUG: 179653

0.10.0-beta8 2008-01-04
--------------------------------------------------------------------------------

2009-01-04 22:43  sengels

    * libs/imageproperties/worldmapwidget.cpp: revert the commit
      partly:
      MarbleVersion 0x00700 has already been set before and so cannot
      be used.

2009-01-04 20:48  sengels

    * libs/imageproperties/worldmapwidget.cpp: CCBUG:178522

2009-01-04 20:15  cgilles

    * utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconitem.h: polish

2009-01-04 20:03  cgilles

    * libs/widgets/common/danimwheel.cpp,
      libs/widgets/common/danimwheel.h: new widget to display animed
      wheel. Not yet used to factorize code (later beta8)

2009-01-04 18:01  cgilles

    * NEWS: update

2009-01-04 17:10  cgilles

    * utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconitem.h: polish

2009-01-04 15:10  mwiesweg

    * digikam/albummanager.cpp, digikam/albummanager.h: In addition to
      KDirWatch (inotify, fam) use the org.kde.KDirNotify DBus
      interface
      to collect information about file changes. With this we ar
      guaranteed to be informed
      about all actions carried out by KDE ioslave, but nothing outside
      KDE.
      KDirWatch is in place to handle all remaining stuff, but it fails
      on some
      systems. I hope that KDirNotify will have a higher reliability in
      its smaller scope.
      
      CCBUG: 178606

2009-01-04 15:10  mwiesweg

    * digikam/scancontroller.cpp, digikam/scancontroller.h: Add a
      method to schedule scanning with a short delay, for call
      compression.

2009-01-04 14:05  cgilles

    * utilities/setup/setup.cpp: polish English words

2009-01-04 11:28  cgilles

    * showfoto/setup/setup.cpp: fix i18n

2009-01-04 11:25  cgilles

    * utilities/setup/setup.cpp: fix i18n

2009-01-04 09:57  cgilles

    * digikam/albumpropsedit.cpp: fix i18n

2009-01-04 09:47  cgilles

    * digikam/folderviewtooltip.cpp: fix crash if album is null

2009-01-03 19:39  cgilles

    * NEWS: update

2009-01-03 19:38  cgilles

    * digikam/folderview.cpp, digikam/folderview.h: folder view and
      item highlightment : fix crash when item is deleted.
      BUG: 179534

2009-01-03 17:29  cgilles

    * NEWS, digikam.lsm.cmake, digikam/albumsettings.cpp,
      digikam/albumsettings.h, digikam/folderviewtooltip.cpp,
      project/project.kdevelop, showfoto/setup/setup.cpp,
      showfoto/setup/setup.h, utilities/setup/setup.cpp,
      utilities/setup/setupalbumview.cpp,
      utilities/setup/setupalbumview.h,
      utilities/setup/setuptooltip.cpp, utilities/setup/setuptooltip.h:
      digiKam from trunk:
      -add root collection information into folder-view tooltip
      -add more descriptive information in header of setup dialog page
      (digiKam and showfoto)
      For this last point i need somebody to check English phrases.
      Thanks in advance
      CCMAIL: digikam-devel@kde.org

2009-01-03 17:09  mwiesweg

    * libs/dmetadata/dmetadata.cpp: Fix logic, do not bail out on
      success
      
      CCBUG: 177887

2009-01-03 16:34  scripty

    * kioslave/digikamsearch.protocol: SVN_SILENT made messages
      (.desktop file)

2009-01-03 14:58  mwiesweg

    * digikam/imagepreviewview.cpp: Discard any received loaded
      thumbnails

2009-01-03 14:58  mwiesweg

    * libs/threadimageio/loadingdescription.cpp,
      libs/threadimageio/loadingdescription.h: Add convenience methods

2009-01-03 13:40  aclemens

    * NEWS: update

2009-01-03 12:46  cgilles

    * utilities/setup/setup.cpp, utilities/setup/setup.h: fix order
      again

2009-01-03 11:37  cgilles

    * utilities/setup/setup.cpp, utilities/setup/setup.h: fix digalog
      page ordering

2009-01-03 10:34  aclemens

    * NEWS: update

2009-01-03 10:08  cgilles

    * CMakeLists.txt, digikam/album.cpp, digikam/album.h,
      digikam/albumfolderview.cpp, digikam/albumfolderview.h,
      digikam/albummanager.cpp, digikam/albummanager.h,
      digikam/albumpropsedit.cpp, digikam/albumpropsedit.h,
      digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/digikamapp.cpp, digikam/folderviewtooltip.cpp,
      libs/database/albumdb.cpp, libs/database/albumdb.h,
      libs/database/albuminfo.h, project/project.kdevelop,
      utilities/kipiiface/kipiimagecollection.cpp,
      utilities/setup/setup.cpp, utilities/setup/setup.h,
      utilities/setup/setupcategory.cpp,
      utilities/setup/setupcategory.h, utilities/setup/setupfamily.cpp,
      utilities/setup/setupfamily.h: following discussion with Andi and
      Arnd, Change Album Family to Album Category

2009-01-02 18:27  sengels

    * CMakeLists.txt: always prefer the local version of the
      FindModules

2009-01-02 17:56  cgilles

    * digikam/albumiconviewtooltip.cpp, digikam/albumiconviewtooltip.h,
      digikam/folderviewtooltip.cpp,
      libs/widgets/common/ditemtooltip.cpp,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp,
      libs/widgets/common/thumbbartooltip.h,
      utilities/cameragui/cameraiconviewtooltip.cpp,
      utilities/cameragui/cameraiconviewtooltip.h: don't show folder
      view item tool tip with root album

2009-01-02 17:56  kbal

    * utilities/cameragui/camerafolderview.h: icon fix

2009-01-02 16:59  cgilles

    * digikam/tageditdlg.cpp, digikam/tageditdlg.h: polish dialog
      layout

2009-01-02 16:26  cgilles

    * digikam/albumpropsedit.cpp: add digiKam icon. polish layout

2009-01-02 16:14  mwiesweg

    * utilities/imageeditor/editor/imagewindow.cpp: Remove
      KMainWindow's autosaving and resort to manual saving at close.
      In my test KMainWindow would _save_ settings at showing when the
      settings
      from the configuration somehow were not yet properly applied.

2009-01-02 16:13  mwiesweg

    * utilities/imageeditor/canvas/dimginterface.cpp: Ensure that the
      tool is unloaded when the window closes and the image is
      unloaded.
      Prevent reported crashes.

2009-01-02 12:43  cgilles

    * CMakeLists.txt, digikam/album.cpp, digikam/album.h,
      digikam/albumfolderview.cpp, digikam/albumfolderview.h,
      digikam/albummanager.cpp, digikam/albummanager.h,
      digikam/albumpropsedit.cpp, digikam/albumpropsedit.h,
      digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/digikamapp.cpp, digikam/digikamapp.h,
      digikam/digikamview.cpp, digikam/digikamview.h,
      digikam/folderviewtooltip.cpp, digikam/folderviewtooltip.h,
      libs/database/albumdb.cpp, libs/database/albumdb.h,
      libs/database/albuminfo.h, project/project.kdevelop,
      utilities/kipiiface/kipiimagecollection.cpp,
      utilities/kipiiface/kipiimagecollection.h,
      utilities/setup/setup.cpp, utilities/setup/setup.h,
      utilities/setup/setupalbumtype.cpp,
      utilities/setup/setupalbumtype.h,
      utilities/setup/setupfamily.cpp, utilities/setup/setupfamily.h:
      rename Album Collection properties to Album Family
      Marcel, Database Album table has always Collection property. It
      will be better to rename it as "Family" to be homogenous.
      CCMAIL: marcel.wiesweg@gmx.de

2009-01-02 08:23  cgilles

    * NEWS: update

2009-01-02 08:11  cgilles

    * README: update

2009-01-02 08:09  cgilles

    * NEWS: update

2009-01-01 20:56  cgilles

    * digikam/scancontroller.cpp, digikam/scancontroller.h: set
      progress bar to zero at startup when scancontroller start to
      work.
      Marcel, Andi, do not forget "endl" at end of kDebug and kDwarning
      else sometimes, kdelibs can crash
      CCMAIL: digikam-devel@kde.org
      CCBUG: 179298

2009-01-01 18:36  mwiesweg

    * libs/database/imagelister.cpp, libs/database/imagelister.h:
      Properly handle images on collections that are currently not
      available
      when listing tags, date albums and searches.
      As long as the views cannot display such images they need to be
      filtered out.
      
      Get album root status from CollectionManager and filter
      accordingly.

2009-01-01 18:36  mwiesweg

    * libs/database/haar/haariface.cpp, libs/database/haar/haariface.h:
      Allow to specify album roots as a filter.
      Check for Images.status=1 inside Haar search already.

2009-01-01 18:19  aclemens

    * digikam/albumiconitem.cpp, digikam/albumiconviewtooltip.cpp,
      digikam/albumsettings.cpp, digikam/digikamapp.cpp,
      digikam/imagepreviewview.cpp, digikam/ratingpopupmenu.cpp,
      digikam/tagfilterview.cpp, imageplugins/blurfx/blurfxtool.cpp,
      imageplugins/border/bordertool.cpp,
      imageplugins/charcoal/charcoaltool.cpp,
      imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/bwsepiatool.cpp,
      imageplugins/coreplugin/iccprooftool.cpp,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
      imageplugins/coreplugin/redeyetool.cpp,
      imageplugins/distortionfx/distortionfxtool.cpp,
      imageplugins/freerotation/freerotationtool.cpp,
      imageplugins/hotpixels/hotpixelstool.cpp,
      imageplugins/inpainting/inpaintingtool.cpp,
      imageplugins/inserttext/inserttexttool.cpp,
      imageplugins/lenscorrection/autocorrection/klensfun.cpp,
      imageplugins/lenscorrection/distortion/lensdistortiontool.cpp,
      imageplugins/noisereduction/noisereductiontool.cpp,
      imageplugins/oilpaint/oilpainttool.cpp,
      imageplugins/restoration/restorationtool.cpp,
      imageplugins/whitebalance/whitebalancetool.cpp,
      showfoto/setup/setup.cpp, showfoto/setup/setupeditor.cpp,
      showfoto/showfoto.cpp, themedesigner/mainwindow.cpp: be more
      friendly to the translators, add comments for single adjective
      and ambiguous messages. There are a lot more strings to complete
      with comments, I will add them from time to time.

2009-01-01 18:18  aclemens

    * digikam/albumiconviewtooltip.cpp: i18n() warning: move
      KLocale::formatNumber out of the argument list

2009-01-01 17:01  cgilles

    * NEWS: update

2009-01-01 17:00  cgilles

    * libs/dialogs/dprogressdlg.cpp, libs/dialogs/dprogressdlg.h: reset
      progress bar when dialog is created.
      Roman : this patch must be fine, but like i have only fast
      computers here, i'm not sure if all will be fine for you.
      BUG: 179298

2009-01-01 16:49  cgilles

    * digikam/daboutdata.h: a new year...

2009-01-01 16:46  cgilles

    * libs/dialogs/imagedialog.cpp,
      libs/widgets/common/histogramwidget.cpp: use digiKam style sheet

2009-01-01 16:45  cgilles

    * utilities/cameragui/freespacewidget.cpp: polish

2009-01-01 16:35  cgilles

    * NEWS: update

2009-01-01 16:34  cgilles

    * utilities/setup/setupmetadata.cpp: force QLabel to include empty
      line on bottom of style sheet to fix layout
      BUG: 179274

2009-01-01 16:32  cgilles

    * NEWS: update

2009-01-01 16:28  cgilles

    * NEWS: update

2009-01-01 13:57  cgilles

    * NEWS: update

2009-01-01 13:54  aclemens

    * utilities/lighttable/lighttablewindow.cpp: fix KStandardAction
      usage in LightTable

2009-01-01 13:54  aclemens

    * utilities/imageeditor/editor/editorwindow.cpp: fix
      KStandardAction usage in ImageEditor

2009-01-01 13:54  aclemens

    * utilities/cameragui/cameraui.cpp,
      utilities/cameragui/camerauiprivate.h: fix KStandardAction usage
      in CameraUI

2009-01-01 13:53  cgilles

    * NEWS: update

2009-01-01 13:19  cgilles

    * NEWS: typo

2009-01-01 13:08  cgilles

    * utilities/setup/setupmetadata.cpp: polish

2009-01-01 13:00  scripty

    * imageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
      imageplugins/perspective/digikamimageplugin_perspective.desktop,
      imageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      imageplugins/restoration/digikamimageplugin_restoration.desktop,
      imageplugins/sheartool/digikamimageplugin_sheartool.desktop,
      imageplugins/superimpose/digikamimageplugin_superimpose.desktop,
      imageplugins/texture/digikamimageplugin_texture.desktop,
      imageplugins/whitebalance/digikamimageplugin_whitebalance.desktop:
      SVN_SILENT made messages (.desktop file)

2008-12-31 15:49  mwiesweg

    * NEWS: update

2008-12-31 15:49  mwiesweg

    * utilities/cameragui/cameraui.cpp: fix warning

2008-12-31 15:49  mwiesweg

    * libs/database/collectionmanager.cpp: Remove albums and images
      from an album root before deleting it,
      so that no important data is permanently deleted, but can be
      retrieved
      for a certain time as with all other remove operations.

2008-12-31 15:49  mwiesweg

    * libs/database/collectionscanner.cpp,
      libs/database/collectionscanner.h: Put code to make a list of
      albums orphan and remove all entries in a separate, public method

2008-12-31 15:49  mwiesweg

    * libs/database/albumdb.cpp, libs/database/albumdb.h: Add simple
      method to retrieve all albums on a given album root

2008-12-31 11:13  cgilles

    * NEWS: update

2008-12-31 11:08  cgilles

    * CMakeLists.txt, NEWS, digikam/CMakeLists.txt,
      digikam/albumfolderview.cpp, digikam/albumfolderview.h,
      digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/digikamview.cpp, digikam/folderitem.cpp,
      digikam/folderitem.h, digikam/folderview.cpp,
      digikam/folderview.h, digikam/folderviewtooltip.cpp,
      digikam/folderviewtooltip.h, digikam/iconitem.cpp,
      digikam/iconitem.h, digikam/iconview.cpp,
      themedesigner/CMakeLists.txt,
      utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconitem.h,
      utilities/setup/setuptooltip.cpp: digiKam from trunk : My last
      commit for 2009. Happy new year 2009 (:=)))
      - set IconItem based on QObject to be able to use QTimer inside
      - Camera Icon View : make a busy wheel animation during camera
      items download.
      - set album folder view item class as public
      - new class to design tool tip for folder view based on digiKam
      tool tip.
      - adjust Folder View class accordingly to support tool tip.
      Currently only physical albums are supported.
      Before to extend album tooltips, we need to set homogenous all
      metadata from virtual albums types,
      as Comments, Date, Rating, etc...
      - redesign tooltips settings dialog page to support album
      tooltips.
      - set digiKam gui code in root CMakeLists.txt to share
      compilation rules with theme designer.
      
      BUG: 141864
      CCMAIL: digikam-devel@kde.org
      

2008-12-30 22:28  mwiesweg

    * NEWS: update

2008-12-30 22:21  mwiesweg

    * utilities/hotplug/CMakeLists.txt: Install the .desktop file to
      the right place (apps/solid/actions)
      
      CCBUG: 178435

2008-12-30 22:09  mwiesweg

    * libs/database/databasechangesets.cpp: Fix annoying copy-and-paste
      mistake

2008-12-30 21:37  mwiesweg

    * digikam/albumlister.cpp, digikam/albumlister.h: Listen to
      database change signals and schedule refiltering if filtered
      properties are changed.
      
      CCBUG: 179139

2008-12-30 21:37  mwiesweg

    * digikam/albumlister.cpp: improve use of timer

2008-12-30 20:22  mwiesweg

    * digikam/albummanager.cpp, digikam/albummanager.h,
      digikam/digikamapp.cpp: Move some shutdown code from AlbumManager
      destructor to a cleanUp method that is
      called before KApplication destruction.
      This could have caused the reported crash.
      
      CCBUG: 179141

2008-12-30 18:49  mwiesweg

    * utilities/hotplug/CMakeLists.txt: - install new .desktop file to
      Plasme applet directory
      - disable installation of KDE3-style desktop files

2008-12-30 18:49  mwiesweg

    * utilities/hotplug/digikam-opencamera.desktop.cmake: Add a desktop
      file intended for the Plasma Device Notifier applet.
      May need some testing.
      
      CCBUG: 178435

2008-12-30 18:49  mwiesweg

    * utilities/hotplug/digikam-camera: Port digikam-camera utility to
      qdbus
      
      CCBUG: 178435

2008-12-30 18:49  mwiesweg

    * digikam/digikamapp.cpp: Register a DBus service
      org.kde.digikam-<PID>

2008-12-30 17:29  aclemens

    * digikam/albumfolderview.cpp: fix quick search: always expand
      albumroot folders, otherwise not all
      search results are visible. Also make sure to avoid root and
      albumroot
      folder items when looking for parent matches.
      
      CCBUG:177329

2008-12-30 16:11  mwiesweg

    * libs/database/collectionmanager.cpp,
      utilities/cameragui/umscamera.cpp: Sorry, revert. isIgnored is
      true for normal hard disk partitions.

2008-12-30 16:11  mwiesweg

    * digikam/main.cpp: - Add --download-from-udi command line option.
      - the old --album-root option is now --database-directory
      
      CCBUG: 178435

2008-12-30 16:10  mwiesweg

    * digikam/org.kde.digikam.xml: Add downloadFromUdi DBUS method
      
      CCBUG: 178435

2008-12-30 16:10  mwiesweg

    * digikam/digikamapp.cpp, digikam/digikamapp.h,
      digikam/digikamappprivate.h: Prepare digikam to be able to open a
      camera gui on a given Solid Device UDI.
      
      - move code to open a usb device and a gphoto2 camera by UDI to
      separate methods
      - add a method that accepts a UDI and determines which of the two
      above methods to call
      - move code to check and create a label for gphoto2 cameras to
      separate methods
      - use queued signals instead of single shot timers to call
      methods from command line paramters
      
      CCBUG: 178435

2008-12-30 16:10  mwiesweg

    * libs/database/databasewatch.cpp,
      libs/database/databasewatchadaptor.h: Use org.kde.digikam instead
      of org.digikam as DBUS namespace as for the main DigikamApp
      object

2008-12-30 16:10  mwiesweg

    * digikam/digikamapp.cpp, libs/database/collectionmanager.cpp,
      utilities/cameragui/umscamera.cpp: Check for isIgnored flag from
      Solid

2008-12-30 13:29  aclemens

    * NEWS: update

2008-12-30 13:17  aclemens

    * NEWS: update

2008-12-30 11:26  aclemens

    * digikam/albumiconview.cpp: wrong argument handling

2008-12-30 11:21  aclemens

    * digikam/albumiconview.cpp: fix typo

2008-12-30 10:59  aclemens

    * digikam/imagepreviewview.cpp,
      utilities/lighttable/lighttablepreview.cpp: SlideShow =>
      Slideshow

2008-12-30 09:17  aclemens

    * digikam/albumicongroupitem.cpp: using "Album Date:" with the
      shortened month name in album header as suggested in bug 130230
      
      CCBUG:130230

2008-12-30 08:59  aclemens

    * digikam/folderview.cpp: check if mouse click is valid, to avoid
      crashing the application
      
      CCMAIL:marcel.wiesweg@gmx.de
      CCMAIL:caulier.gilles@gmail.com

2008-12-30 01:56  aclemens

    * digikam/digikamapp.cpp: Overwrite KStandardActions to avoid
      duplicate menu entries
      
      CCBUG:178382
      
      ++

2008-12-30 01:56  aclemens

    * digikam/digikamapp.cpp: We can't use KStandardAction::Find for
      three different actions here, it
      will mess up the menus and toolbars. Also we need to call
      KStandardAction::find(), not ::Find() to customize the standard
      action,
      otherwise we will have duplicate menu entries and the action will
      appear
      in the toolbar.
      
      Gilles, Marcel,
      
      simple search is not focusing / switching to the "search tab" on
      the left automatically,
      so this action is not very useful if the "advanced search" tab is
      closed or not displayed at all. It only works if the tab is
      already
      opened.
      I think we need to focus the tab automatically, like when using
      the "Find
      similar" action.
      
      CCBUG:178382

2008-12-29 23:14  mwiesweg

    * NEWS: update

2008-12-29 22:04  mwiesweg

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h: Add quick
      and simple drag implementation to ImagePreviewBar.
      
      CCBUG: 178800

2008-12-29 22:04  mwiesweg

    * libs/imageproperties/cameraitempropertiestab.cpp,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagepropertiestab.cpp: Fix oxygen's
      background gradient in QScrollArea sidebars, see here:
      http://www.kdedevelopers.org/node/3762
      
      The effect is very subtle, but it is visible.

2008-12-29 13:41  mwiesweg

    * utilities/gpssearch/gpssearchwidget.h: Fix compilation warning if
      Marble is not installed

2008-12-29 13:41  mwiesweg

    * digikam/folderview.cpp: Following the discussion of bug 126871:
      Do not collapse on single click if the item was not previously
      selected
      (This already includes "Do not collapse on single click if a
      child item was previously selected")
      
      This is for now not done for check list items, as there selection
      has no special purpose.
      
      CCBUG: 126871

2008-12-27 11:56  cgilles

    * NEWS: update

2008-12-27 08:34  cgilles

    * utilities/imageeditor/editor/editorwindow.cpp: turn logo during
      loading/saving operations

2008-12-26 22:09  cgilles

    * utilities/imageeditor/editor/editorwindow.cpp: anim logo action
      when an editor tool is busy

2008-12-26 22:05  cgilles

    * utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h,
      utilities/imageeditor/editor/imagewindow.cpp: logo action is now
      common to digiKam editor and showfoto

2008-12-26 22:05  cgilles

    * showfoto/showfotoui.rc: add logo action

2008-12-26 21:22  cgilles

    * NEWS: update

2008-12-26 17:23  cgilles

    * libs/widgets/common/dlogoaction.cpp: polish

2008-12-26 17:22  cgilles

    * data/pics/banner-digikam.png, data/pics/banner-digikam.svg:
      polish

2008-12-26 13:35  scripty

    * imageplugins/adjustcurves/digikamimageplugin_adjustcurves.desktop,
      imageplugins/adjustlevels/digikamimageplugin_adjustlevels.desktop,
      imageplugins/blurfx/digikamimageplugin_blurfx.desktop,
      imageplugins/border/digikamimageplugin_border.desktop,
      imageplugins/coreplugin/digikamimageplugin_core.desktop,
      imageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      imageplugins/restoration/digikamimageplugin_restoration.desktop,
      kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
      kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol:
      SVN_SILENT made messages (.desktop file)

2008-12-26 13:13  cgilles

    * NEWS: update

2008-12-26 09:39  cgilles

    * libs/widgets/common/curveswidget.cpp,
      libs/widgets/common/histogramwidget.cpp: use anti aliasing to
      draw busy wheel

2008-12-26 09:17  cgilles

    * libs/widgets/common/dlogoaction.cpp,
      libs/widgets/common/dlogoaction.h: optimize

2008-12-26 09:10  cgilles

    * libs/widgets/common/dlogoaction.cpp: this implementation give a
      better result

2008-12-26 09:09  cgilles

    * data/pics/banner-digikam.png: fix height to 33 pixels

2008-12-25 23:36  ewoerner

    * CMakeLists.txt: Fix build (animwidget.cpp has been deleted in
      901494)

2008-12-25 18:27  cgilles

    * libs/widgets/common/dlogoaction.cpp: better precision

2008-12-25 18:24  cgilles

    * libs/widgets/common/dlogoaction.cpp: now digiKam logo turn as
      anim widget

2008-12-25 17:49  cgilles

    * utilities/cameragui/animwidget.cpp,
      utilities/cameragui/animwidget.h,
      utilities/cameragui/cameraui.cpp,
      utilities/cameragui/cameraui.rc,
      utilities/cameragui/camerauiprivate.h: use dlogoaction as anim
      widget

2008-12-25 17:48  cgilles

    * libs/widgets/common/dlogoaction.cpp,
      libs/widgets/common/dlogoaction.h: dlogoaction become the new
      anim widget for digiKam

2008-12-25 16:26  cgilles

    * utilities/cameragui/cameraiconitem.cpp: polish

2008-12-25 16:25  cgilles

    * digikam/albumiconitem.cpp: polish

2008-12-24 21:42  cgilles

    * utilities/setup/setup.cpp, utilities/setup/setuptooltip.cpp,
      utilities/setup/setuptooltip.h: fix layout

2008-12-24 21:42  cgilles

    * showfoto/setup/setuptooltip.cpp, showfoto/setup/setuptooltip.h:
      fix layout

2008-12-24 16:02  aacid

    * showfoto/setup/setuptooltip.cpp,
      utilities/setup/setuptooltip.cpp: tool tip -> tooltip
      Found by Yuri Chornoivan

2008-12-24 15:59  aacid

    * libs/database/schemaupdater.cpp: get get -> cat get
      Found by Yuri Chornoivan

2008-12-24 14:11  cgilles

    * NEWS: update

2008-12-24 13:24  cgilles

    * themedesigner/CMakeLists.txt: update

2008-12-24 12:04  cgilles

    * utilities/cameragui/freespacewidget.cpp: use DToolTipStyleSheet

2008-12-24 08:05  cgilles

    * digikam/albumiconviewfilter.cpp, digikam/tageditdlg.cpp,
      libs/imageproperties/imagedescedittab.cpp,
      libs/widgets/common/searchtextbar.cpp,
      libs/widgets/common/searchtextbar.h: no need case sensitive
      option here. fix api

2008-12-24 07:42  cgilles

    * project/project.kdevelop, showfoto/setup/setuptooltip.cpp,
      utilities/setup/setuptooltip.cpp: missing signal/slot connection

2008-12-24 07:38  cgilles

    * NEWS: update

2008-12-24 07:37  cgilles

    * utilities/setup/setupmime.cpp: patch from Mik to fix wording in
      setup Mime.
      BUG: 178613

2008-12-23 21:48  cgilles

    * NEWS: update

2008-12-23 21:47  cgilles

    * utilities/cameragui/cameraui.cpp: From Camera To Computer
      BUG: 178607

2008-12-23 21:45  cgilles

    * NEWS: update

2008-12-23 21:44  cgilles

    * libs/widgets/common/ditemtooltip.h: center item tooltips headers
      BUG: 178608

2008-12-23 21:38  cgilles

    * digikam/albumfolderview.cpp: polish

2008-12-23 21:28  cgilles

    * libs/widgets/metadata/metadatalistview.cpp: fix filter with case
      sensitive

2008-12-23 21:22  cgilles

    * NEWS: update

2008-12-23 19:09  cgilles

    * NEWS: update

2008-12-23 19:07  cgilles

    * digikam/albumiconview.cpp, digikam/albumsettings.cpp,
      digikam/albumsettings.h, digikam/iconview.cpp,
      digikam/iconview.h, utilities/setup/setupalbumview.cpp: digiKam
      from trunk : add customization settings of font used in
      icon-view.
      BUG: 121372

2008-12-23 18:27  cgilles

    * libs/imageproperties/imagedescedittab.cpp: fix search tags case
      sensitive behaviours

2008-12-23 18:25  cgilles

    * libs/widgets/common/dfontselect.cpp,
      libs/widgets/common/dfontselect.h,
      showfoto/setup/setuptooltip.cpp,
      utilities/setup/setupalbumview.cpp,
      utilities/setup/setuptooltip.cpp: improvements of font selector
      widget : fix layout + add front label
      improvements of album view settings page : complete re-write of
      layout

2008-12-23 16:04  cgilles

    * utilities/setup/setupalbumview.cpp: fix i18n

2008-12-23 16:01  cgilles

    * digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/folderview.cpp, digikam/folderview.h,
      project/project.kdevelop: digiKam from trunk : make AlbumSettings
      derivated from QObject to be able to emit a signal to Folder View
      when tree-view font settings is changed from config panel.
      Like this, we don't need to restart digiKam to take effect of new
      font.

2008-12-23 14:48  cgilles

    * NEWS: update

2008-12-23 14:25  cgilles

    * NEWS: update

2008-12-23 14:23  cgilles

    * NEWS: update

2008-12-23 14:17  cgilles

    * NEWS: update

2008-12-23 14:00  cgilles

    * NEWS: update

2008-12-23 13:54  cgilles

    * NEWS: update

2008-12-23 13:51  cgilles

    * NEWS: udate

2008-12-23 13:38  cgilles

    * NEWS: update

2008-12-23 13:36  mwiesweg

    * libs/database/schemaupdater.cpp: Check that creating a
      transaction succeeds before attempting to upgrade database.
      This might catch unclear errors where a file exists but is
      somehow locked.
      
      CCBUG: 178326

2008-12-23 13:36  mwiesweg

    * libs/database/databasebackend.cpp,
      libs/database/databasebackend.h: Check for success here

2008-12-23 13:13  mwiesweg

    * digikam/digikamapp.cpp: - fix stupid variable-scope-bug
      - add 'USB Vendor Specific Interface' as special case
      - add Fuji company name as special case, thank Mikolaj
      
      CCBUG: 178011

2008-12-23 12:25  cgilles

    * digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/albumthumbnailloader.cpp, digikam/datefolderview.cpp,
      digikam/digikamapp.cpp, digikam/folderview.cpp,
      showfoto/setup/setuptooltip.cpp,
      utilities/fuzzysearch/fuzzysearchfolderview.cpp,
      utilities/gpssearch/gpssearchfolderview.cpp,
      utilities/searchwindow/searchfolderview.cpp,
      utilities/setup/setupalbumview.cpp,
      utilities/setup/setuptooltip.cpp,
      utilities/timeline/timelinefolderview.cpp: digiKam from trunk:
      Customize Font for Album tree view
      CCBUG: 121372

2008-12-23 10:50  cgilles

    * CMakeLists.txt, digikam/albumiconviewtooltip.cpp,
      digikam/albumsettings.cpp, digikam/albumsettings.h,
      libs/widgets/common/dfontselect.cpp,
      libs/widgets/common/dfontselect.h,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/searchtextbar.h,
      libs/widgets/common/thumbbartooltip.cpp,
      libs/widgets/common/thumbbartooltip.h, project/project.kdevelop,
      showfoto/setup/setuptooltip.cpp, showfoto/showfoto.cpp,
      utilities/cameragui/cameraiconviewtooltip.cpp,
      utilities/setup/setuptooltip.cpp: digiKam from trunk : starting
      to implement a way to set-up font style and size in specific part
      of digiKam
      With this commit, Tooltip font can be customized.
      Still TODO :
      - Custom font in Image Properties from right sidebar tab.
      - Custom font in for all ALbum tree-view.
      CCBUG: 121372

2008-12-23 10:24  aclemens

    * digikam/albumicongroupitem.cpp: be more verbose in album header
      label: use "Created on" prefix to reduce
      confusion when displaying images in date view.
      
      CCBUG:130230

2008-12-23 06:55  cgilles

    * NEWS: update

2008-12-22 23:12  mwiesweg

    * NEWS, utilities/imageeditor/editor/editorwindow.cpp: The file
      dialog would gives us /home/user, so the temp file would be
      created in /home/
      with a name starting with user, instead of /home/user/.
      Make sure there is a trailing slash.
      
      CCBUG: 168583

2008-12-22 23:12  mwiesweg

    * utilities/imageeditor/editor/editorwindow.cpp: Properly check
      that a temp file could be opened and display error message if
      not.
      
      CCBUG: 168583

2008-12-22 22:13  cgilles

    * NEWS: update

2008-12-22 22:03  cgilles

    * digikam/albumfolderview.cpp, digikam/albumfolderview.h,
      digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h,
      digikam/albumlister.cpp, digikam/albumlister.h,
      digikam/albumselectdialog.cpp, digikam/albumselectdialog.h,
      digikam/digikamview.cpp, digikam/digikamview.h,
      digikam/tagfilterview.cpp, digikam/tagfilterview.h,
      digikam/tagfolderview.cpp, digikam/tagfolderview.h,
      libs/dialogs/rawcameradlg.cpp, libs/dialogs/rawcameradlg.h,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagedescedittab.h,
      libs/widgets/common/searchtextbar.cpp,
      libs/widgets/common/searchtextbar.h,
      libs/widgets/metadata/metadatalistview.cpp,
      libs/widgets/metadata/metadatalistview.h,
      libs/widgets/metadata/metadatawidget.cpp,
      project/project.kdevelop,
      utilities/fuzzysearch/fuzzysearchfolderview.cpp,
      utilities/fuzzysearch/fuzzysearchfolderview.h,
      utilities/fuzzysearch/fuzzysearchview.cpp,
      utilities/gpssearch/gpssearchfolderview.cpp,
      utilities/gpssearch/gpssearchfolderview.h,
      utilities/gpssearch/gpssearchview.cpp,
      utilities/kipiiface/kipiimagecollectionselector.cpp,
      utilities/kipiiface/kipiimagecollectionselector.h,
      utilities/kipiiface/kipiuploadwidget.cpp,
      utilities/kipiiface/kipiuploadwidget.h,
      utilities/searchwindow/searchfolderview.cpp,
      utilities/searchwindow/searchfolderview.h,
      utilities/setup/cameraselection.cpp,
      utilities/setup/cameraselection.h,
      utilities/timeline/timelinefolderview.cpp,
      utilities/timeline/timelinefolderview.h,
      utilities/timeline/timelineview.cpp: digiKam from trunk : add new
      option to match search text bar everywhere in sensitive case or
      not.
      The option is in context menu of search text bar where user enter
      string to match.
      By default, the option is dsable.
      BUG: 162206
      BUG: 177329

2008-12-22 21:53  mwiesweg

    * utilities/slideshow/slideshow.cpp: Slightly change the logic to
      move, show and hide the toolbar in Slideshow.
      Use actual toolbar size to calculate the autohide/autoshow area
      instead of hardcoding 20px.
      Add a margin (10px, 25px) around the toolbar size for this area.
      Fix flicker-like behavior where the toolbar was shortly shown at
      the bottom right when showing at top right.
      
      CCBUG: 174026

2008-12-22 20:58  mwiesweg

    * utilities/imageeditor/editor/editortoolsettings.cpp,
      utilities/imageeditor/editor/editortoolsettings.h: Reimplement
      minimumSizeHint of the scroll area.
      The minimumSizeHint of a QScrollArea is usually independent of
      the widget contained,
      but here we want to have a certain amount of minimum horizontal
      space.
      Limit minimum size to 40% of desktop width.
      
      CCBUG: 175630

2008-12-22 18:44  mwiesweg

    * NEWS: update

2008-12-22 18:43  mwiesweg

    * digikam/albummanager.cpp, digikam/albummanager.h: Handle
      notification of album properties change differently,
      do not cause all child albums to disappear.
      
      CCBUG: 177417

2008-12-22 16:13  mwiesweg

    * digikam/digikamapp.cpp: Add special handling for Canon cameras
      for finding out the best label in the Import menu.
      I had put a message on the MLs, and so far received feedback only
      for Canons.
      As I dont have a Canon camera I cannot test this.
      
      CCBUG: 178011

2008-12-22 14:20  scripty

    * digikam/digikam.desktop,
      imageplugins/adjustcurves/digikamimageplugin_adjustcurves.desktop,
      imageplugins/adjustlevels/digikamimageplugin_adjustlevels.desktop,
      imageplugins/blurfx/digikamimageplugin_blurfx.desktop,
      imageplugins/border/digikamimageplugin_border.desktop,
      imageplugins/channelmixer/digikamimageplugin_channelmixer.desktop,
      imageplugins/charcoal/digikamimageplugin_charcoal.desktop,
      imageplugins/colorfx/digikamimageplugin_colorfx.desktop,
      imageplugins/coreplugin/digikamimageplugin_core.desktop,
      imageplugins/distortionfx/digikamimageplugin_distortionfx.desktop,
      imageplugins/emboss/digikamimageplugin_emboss.desktop,
      imageplugins/filmgrain/digikamimageplugin_filmgrain.desktop,
      imageplugins/freerotation/digikamimageplugin_freerotation.desktop,
      imageplugins/hotpixels/digikamimageplugin_hotpixels.desktop,
      imageplugins/infrared/digikamimageplugin_infrared.desktop,
      imageplugins/inpainting/digikamimageplugin_inpainting.desktop,
      imageplugins/inserttext/digikamimageplugin_inserttext.desktop,
      imageplugins/lenscorrection/digikamimageplugin_lenscorrection.desktop,
      imageplugins/noisereduction/digikamimageplugin_noisereduction.desktop,
      imageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
      imageplugins/perspective/digikamimageplugin_perspective.desktop,
      imageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      imageplugins/restoration/digikamimageplugin_restoration.desktop,
      imageplugins/sheartool/digikamimageplugin_sheartool.desktop,
      imageplugins/superimpose/digikamimageplugin_superimpose.desktop,
      imageplugins/texture/digikamimageplugin_texture.desktop,
      imageplugins/whitebalance/digikamimageplugin_whitebalance.desktop,
      kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
      kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
      showfoto/showfoto.desktop,
      utilities/hotplug/digikam-download.desktop.cmake,
      utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
      utilities/hotplug/digikam-mount-and-download.desktop.cmake,
      utilities/imageeditor/editor/digikamimageplugin.desktop:
      SVN_SILENT made messages (.desktop file)

2008-12-22 12:59  cgilles

    * digikam/digikamapp.cpp, digikam/digikamapp.h,
      digikam/digikamappprivate.h, digikam/digikamui.rc,
      digikam/main.cpp,
      imageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
      project/project.kdevelop, showfoto/showfotoui.rc,
      utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
      utilities/cameragui/cameraui.rc,
      utilities/cameragui/camerauiprivate.h,
      utilities/imageeditor/editor/digikamimagewindowui.rc,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h,
      utilities/imageeditor/editor/editorwindowprivate.h,
      utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h,
      utilities/lighttable/lighttablewindowprivate.h,
      utilities/lighttable/lighttablewindowui.rc: digiKam from trunk:
      add standard settings menu to toggle on/off menu bar (as
      konqueoro/dolphin/konsole).
      Use CTRL+M keyboard shortcuts to toogle on menu again. work
      everywhere in digiKam components
      BUG: 147771

2008-12-22 12:38  cgilles

    * showfoto/main.cpp: fix crash. insertCatalog need to be done after
      to instance KApplication

2008-12-22 10:28  cgilles

    * libs/widgets/common/dlogoaction.cpp: no need i18n here

2008-12-22 10:24  cgilles

    * libs/widgets/common/dlogoaction.cpp: add icon and text for
      digikam logo action

2008-12-22 09:03  aclemens

    * NEWS: update

2008-12-22 08:15  cgilles

    * digikam/digikamapp.cpp, digikam/digikamapp.h,
      utilities/batch/batchalbumssyncmetadata.cpp,
      utilities/batch/fingerprintsgenerator.cpp: use modeless dialog
      with batch tools:
      -sync metadata with database
      -Rebuild all finger-prints.
      CCBUGS:138927

2008-12-22 08:14  cgilles

    * NEWS: update

2008-12-22 07:54  cgilles

    * digikam/main.cpp, showfoto/main.cpp: missing to insert libkdcraw
      i18n catalog

2008-12-22 07:39  cgilles

    * NEWS: update

2008-12-22 05:32  cgilles

    * NEWS: update

2008-12-22 05:31  cgilles

    * NEWS: update

2008-12-22 05:27  cgilles

    * NEWS: update

2008-12-21 21:18  mwiesweg

    * NEWS: update

2008-12-21 21:12  mwiesweg

    * libs/database/schemaupdater.cpp, libs/database/schemaupdater.h:
      Force a rescan for audio and video files when entry was created
      with older beta than today.

2008-12-21 21:12  mwiesweg

    * libs/database/imagescanner.cpp, libs/database/imagescanner.h,
      libs/dimg/dimg.cpp: Implement most basic scanning for video and
      audio, so that we can at least assign ratings.
      No useful metadata information is extracted so far.
      
      CCBUG: 178051

2008-12-21 15:21  mwiesweg

    * utilities/batch/batchthumbsgenerator.cpp: Ensure that the
      thumbnail that is announced is really the next in our list.
      Only in this case remove from list and advance.
      
      CCBUG: 178325

2008-12-21 15:21  mwiesweg

    * libs/threadimageio/loadingcache.h: Some compilers apparently
      treat inner classes visibility independent from
      the outer class, so that we need to set the visibility flag for
      CacheLock as well.
      
      CCBUG: 178061

2008-12-21 15:21  mwiesweg

    * digikam/albummanager.cpp: Ensure that no empty dbPath can be set
      
      CCBUG: 178251

2008-12-20 20:26  cgilles

    * utilities/setup/setup.cpp: set batch thumb generator modeless
      here too...

2008-12-20 20:19  cgilles

    * NEWS: update

2008-12-20 20:18  cgilles

    * digikam/digikamapp.cpp, digikam/digikamapp.h,
      project/project.kdevelop,
      utilities/batch/batchthumbsgenerator.cpp: digiKam from trunk: set
      modeless batch thumbnaims generator dialog.
      BUG: 138927

2008-12-20 20:05  cgilles

    * digikam/iconview.cpp: disbale highlightement of icon item when
      mouse leave focus

2008-12-20 17:34  cgilles

    * utilities/imageeditor/canvas/canvas.cpp: polish

2008-12-20 14:16  cgilles

    * utilities/imageeditor/canvas/canvas.cpp: use rubber band color to
      draw selection corner

2008-12-20 10:05  cgilles

    * utilities/imageeditor/canvas/canvas.cpp: adjust drawing selection
      to right size to be displayed properly on canvas (bottom/right
      point been moved of one pixel)

2008-12-19 14:56  cgilles

    * digikam/iconview.cpp: fix crash when icon view user change album
      focus.

2008-12-19 14:05  cgilles

    * themedesigner/themediconitem.cpp,
      themedesigner/themediconview.cpp: polish

2008-12-19 13:54  cgilles

    * themedesigner/themediconview.cpp: polish

2008-12-19 13:52  cgilles

    * themedesigner/themedicongroupitem.cpp: polish

2008-12-19 13:48  cgilles

    * digikam/albumiconitem.cpp, digikam/albumiconitem.h,
      themedesigner/mainwindow.cpp, themedesigner/mainwindow.h,
      themedesigner/themedicongroupitem.cpp,
      themedesigner/themedicongroupitem.h,
      themedesigner/themediconitem.cpp, themedesigner/themediconitem.h,
      themedesigner/themediconview.cpp, themedesigner/themediconview.h:
      factorize, polish, fix memory leak

2008-12-19 13:31  cgilles

    * digikam/icongroupitem.cpp, digikam/iconitem.cpp,
      digikam/iconitem.h: using d private internal class

2008-12-19 11:27  cgilles

    * digikam/albumiconitem.cpp, digikam/iconitem.cpp,
      digikam/iconitem.h, utilities/cameragui/cameraiconitem.cpp:
      improve icon-view toogle selection button rendering

2008-12-19 09:55  cgilles

    * digikam/iconview.cpp: set highlighterd item to 0 when last one is
      disable

2008-12-19 09:44  cgilles

    * utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h: digiKam from trunk: Memory
      optimizations of Camera Interface:
      - Do not store image thumbnails as QImage but as QPixmap.
      - Store only one reference of newPicture and unknowPicture pixmap
      to icon view instance, not in each icon view item instances.
      CCBUGS: 135845

2008-12-19 09:02  cgilles

    * NEWS: update

2008-12-19 09:02  cgilles

    * digikam/albumiconitem.cpp, digikam/iconitem.cpp,
      digikam/iconitem.h, digikam/iconview.cpp, digikam/iconview.h,
      project/project.kdevelop, utilities/cameragui/cameraiconitem.cpp:
      digiKam from trunk : IconView improvements (à la
      Dophin/konqueror):
      - icon view item is now highlighted when mouse mouse over
      thumbnail.
      - selection can be performed using top/left icon displayed over
      icon view item when it's highlighted.
      - this behaviour is also available in Camera Icon view.
      BUG: 127753

2008-12-19 04:33  cgilles

    * NEWS: update

2008-12-18 20:35  aclemens

    * digikam/albumfolderview.cpp, digikam/albumiconview.cpp,
      digikam/imagepreviewview.cpp, digikam/kdatepickerpopup.cpp,
      digikam/kdatepickerpopup.h, digikam/ratingpopupmenu.cpp,
      digikam/ratingpopupmenu.h, digikam/tagfilterview.cpp,
      digikam/tagfolderview.cpp, digikam/tagspopupmenu.cpp,
      digikam/tagspopupmenu.h,
      libs/imageproperties/imagedescedittab.cpp,
      libs/widgets/common/dpopupmenu.h,
      utilities/cameragui/cameraui.cpp,
      utilities/cameragui/camerauiprivate.h,
      utilities/lighttable/lighttablepreview.cpp: QMenu => KMenu

2008-12-18 14:19  cgilles

    * digikam/albumiconview.cpp, digikam/albumiconview.h,
      digikam/iconview.cpp, digikam/iconview.h,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h: factorize tumbnails border
      cache code from AlbumIconView and CameraIconView to IconView

2008-12-18 14:00  cgilles

    * utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h: digiKam from trunk : Camera
      Interface : added 3D border frame around icon thumbnails, as in
      album icon view

2008-12-18 13:59  cgilles

    * digikam/albumiconview.cpp, digikam/albumiconview.h: polish

2008-12-18 12:09  cgilles

    * utilities/cameragui/cameraiconitem.cpp: polish

2008-12-18 12:07  cgilles

    * utilities/cameragui/cameraiconitem.cpp: compile

2008-12-18 12:06  cgilles

    * utilities/cameragui/cameraiconitem.cpp: polish

2008-12-18 11:47  cgilles

    * utilities/cameragui/cameraiconitem.cpp: polish

2008-12-18 11:27  cgilles

    * digikam/albumiconitem.cpp,
      utilities/cameragui/cameraiconitem.cpp: polish

2008-12-18 11:15  cgilles

    * digikam/albumiconviewtooltip.cpp,
      libs/imageproperties/imagepropertiestab.cpp,
      libs/widgets/common/thumbbartooltip.cpp: Modified => Date

2008-12-18 11:11  cgilles

    * utilities/setup/setuptooltip.cpp, utilities/setup/setuptooltip.h:
      fix i18n

2008-12-18 11:06  cgilles

    * CMakeLists.txt: bump version

2008-12-18 11:05  cgilles

    * NEWS: update

2008-12-18 11:04  cgilles

    * CMakeLists.txt,
      libs/imageproperties/imagepropertiessidebarcamgui.cpp,
      libs/imageproperties/imagepropertiessidebarcamgui.h,
      project/project.kdevelop, utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconitem.h,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h,
      utilities/cameragui/cameraiconviewtooltip.cpp,
      utilities/cameragui/cameraiconviewtooltip.h,
      utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
      utilities/cameragui/gpiteminfo.cpp,
      utilities/cameragui/gpiteminfo.h,
      utilities/cameragui/umscamera.cpp: digiKam from trunk : Camera
      interface : add camera icon view item tool tip support.
      For USB Mass Storage camera, File info and Photo info (from Exif)
      are displayed.
      For Gphoto2 camera, only File info are displayed, to reduce
      communication between camera and computer.
      BUG: 141087

2008-12-18 09:32  cgilles

    * CMakeLists.txt: compile

2008-12-18 09:31  cgilles

    * libs/dmetadata/photoinfocontainer.cpp,
      libs/dmetadata/photoinfocontainer.h: new stream method

2008-12-18 08:53  cgilles

    * libs/dmetadata/photoinfocontainer.h: polish

2008-12-18 06:58  cgilles

    * ChangeLog: update

2008-12-18 06:44  cgilles

    * NEWS: prepare beta7

0.10.0-beta7 2008-12-18
--------------------------------------------------------------------------------

2008-12-17 21:49  aclemens

    * NEWS: update

2008-12-17 18:58  cgilles

    * utilities/cameragui/cameraui.cpp: backport commit #898215 from
      KDE3 branch

2008-12-17 17:35  cgilles

    * NEWS: update

2008-12-17 17:34  cgilles

    * digikam/digikamapp.cpp: digiKam from trunk : fix iterator to fill
      kipi-plugins keyboard shorcuts
      BUG: 177999

2008-12-17 14:57  cgilles

    * NEWS: update

2008-12-17 14:56  cgilles

    * utilities/cameragui/cameracontroller.cpp: digiKam from trunk:
      CameraGUi: fix empty tmp folder used to download item when user
      trying to open image from camera
      BUG: 175898

2008-12-17 14:23  cgilles

    * NEWS: update

2008-12-17 14:14  cgilles

    * utilities/cameragui/cameracontroller.cpp,
      utilities/cameragui/gpcamera.cpp,
      utilities/cameragui/umscamera.cpp,
      utilities/cameragui/umscamera.h: backport commit #897995 from
      KDE3 branch
      BUG: 177242
      BUG: 151275
      BUG: 146764
      CCBUG: 136897

2008-12-17 11:54  cgilles

    * kioslave/digikamalbums.cpp, kioslave/digikamdates.cpp: not used
      here

2008-12-17 11:53  cgilles

    * libs/database/imagelister.cpp: not used here

2008-12-17 08:49  cgilles

    * NEWS: update

2008-12-17 08:15  mlaurent

    * libs/database/imageinfo.h, libs/database/imageinfolist.h: Fix
      pedantic

2008-12-17 08:14  mlaurent

    * libs/database/databasebackend.cpp: Fix iterator

2008-12-17 08:01  cgilles

    * utilities/setup/setupplugins.cpp: backport commit #897925 from
      KDE3 branch

2008-12-17 07:16  cgilles

    * NEWS: update

2008-12-17 07:15  cgilles

    * utilities/searchwindow/searchtabheader.cpp: digiKam from trunk :
      fix crash if user try to save a null search (not processed
      before)
      BUG: 177953

2008-12-16 21:45  cgilles

    * NEWS: update

2008-12-16 21:27  cgilles

    * NEWS: update

2008-12-16 21:15  cgilles

    * NEWS: update

2008-12-16 21:10  cgilles

    * NEWS: update

2008-12-16 21:08  cgilles

    * NEWS: uppdate

2008-12-16 21:07  cgilles

    * utilities/cameragui/freespacewidget.cpp: api between KDE 4.1 and
      KDE 4.2 is slitly different and media size unit returned by KDE
      api have been changed from KBytes to Bytes
      BUG: 175925

2008-12-16 20:50  mwiesweg

    * utilities/timeline/timelinewidget.cpp: If number of pictures is
      not null, use a minimum height of 1
      (I first thought to use minimum height 2, but height 1, just a
      one-pixel line, works as well)
      
      CCBUG: 168004

2008-12-16 18:14  mwiesweg

    * digikam/tagfilterview.cpp, digikam/tagfilterview.h,
      digikam/tagfolderview.cpp, digikam/tagfolderview.h,
      libs/imageproperties/talbumlistview.cpp,
      libs/imageproperties/talbumlistview.h: When handling a drag
      event, calling processEvent() and thus allowing the user
      to start a new drag can cause a crash.
      In these cases, defer by emitting a queued signal.
      
      CCBUG: 159855

2008-12-16 18:14  mwiesweg

    * digikam/albumiconview.cpp, digikam/albumiconview.h: When handling
      a drag event, calling processEvent() and thus allowing the user
      to start a new drag can cause a crash.
      In these cases, defer by emitting a queued signal.
      
      Consolidate progress code.
      
      CCBUG: 159855

2008-12-16 18:14  mwiesweg

    * libs/database/imageinfo.h, libs/database/imageinfocache.cpp,
      libs/database/imageinfolist.h: Prepare for use in queued
      connections

2008-12-16 16:37  cgilles

    * NEWS: update

2008-12-16 16:36  cgilles

    * NEWS: update

2008-12-16 16:12  cgilles

    * NEWS: update

2008-12-16 16:09  cgilles

    * utilities/cameragui/cameraui.cpp: digiKam from trunk (KDE4) :
      ignore interanl camera files to list in camera icon view.
      BUG: 133185
      BUG: 156338

2008-12-16 14:18  cgilles

    * NEWS: update

2008-12-16 14:11  cgilles

    * utilities/cameragui/cameraui.cpp: digiKam from trunk: Camera gui
      : sort all items by chronological order: more recent in first,
      older at last.
      BUG: 146618

2008-12-16 12:44  cgilles

    * NEWS: update

2008-12-16 12:43  cgilles

    * libs/imageproperties/imagedescedittab.cpp: digiKAm from trunk :
      limit Caption edit widget height to 100 pixels (around 4 lines of
      text) instead default
      minimum height set by Qt4 api which is too large for sidebar
      content (around 10 lines of text).
      BUG: 177888

2008-12-16 07:06  cgilles

    * NEWS: update

2008-12-15 17:51  cgilles

    * NEWS: update

2008-12-15 17:23  cgilles

    * NEWS: update

2008-12-15 16:50  cgilles

    * NEWS: update

2008-12-15 13:14  cgilles

    * digikam/digikamapp.cpp: digiKam from terunk : plug Advanced
      Slideshow kipi-plugin action to View/Slideshow actions group.

2008-12-14 19:10  cgilles

    * utilities/cameragui/freespacewidget.cpp: fix broken compilation

2008-12-14 18:26  mwiesweg

    * NEWS, libs/dimg/loaders/pngloader.cpp: png_set_interlace_handling
      need to be called before calling png_start_read_image() or
      png_read_update_info()
      
      CCBUG: 149875

2008-12-14 17:47  mwiesweg

    * digikam/albumiconitem.cpp, digikam/albumiconview.cpp,
      digikam/albumiconview.h: With my test generateFuzzyPixmap()
      accounted for 55% of the CPU cost of icon view item drawing.
      We cannot simply cache one pixmap here because every thumbnail
      can have different width or height
      (either is the thumbnail size, the other depends on the aspect
      ratio).
      We can take care for the majority of use cases though where the
      aspect ratios are limited,
      you usually have an album of one camera only with
      landscape/portrait.
      Cache the last 10 used fuzzy pixmaps in a central place in
      AlbumIconView.
      For albums with identical aspect ratios this eliminates CPU usage
      for fuzzyRect generation.

2008-12-14 14:40  mwiesweg

    * utilities/cameragui/cameraui.cpp: Give correct parent album
      rather than only the album root path to createPAlbum.
      Angelo, my initial testing was too narrow (it worked for direct
      album under album root)
      Please confirm that it works now.
      
      CCBUG: 175322

2008-12-14 14:40  mwiesweg

    * libs/database/imageinfo.cpp: Add a direct implementation of
      filePath rather than relying
      on databaseUrl(). This is according to callgrind 60x faster
      (because KUrl handling is slow) and takes away a good 20%
      of icon view painting CPU.

2008-12-14 10:02  aclemens

    * digikam/digikamapp.cpp, libs/dialogs/rawcameradlg.cpp,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraui.cpp,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/lighttable/lighttablewindow.cpp: adapt action names to
      KDE HIG

2008-12-13 23:27  aclemens

    * digikam/digikamapp.cpp: adept actions to KDE HIG style guide

2008-12-13 20:47  mwiesweg

    * NEWS: update

2008-12-13 20:35  mwiesweg

    * digikam/digikamapp.cpp, digikam/digikamappprivate.h: The sidebars
      and views use (TextMode, QString()) to return from displaying
      progress mode.
      In Digikamapp, intercept this and set the selection string again.
      
      CCBUG: 161304

2008-12-13 19:26  mwiesweg

    * libs/imageproperties/imagedescedittab.cpp: Operate with a copy of
      the metadata hub to avoid confusion
      when the method is called recursively (from processEvents)
      
      Note: Move metadata writing to threaded batch manager for after
      0.10.0
      
      CCBUG: 159855

2008-12-13 19:09  mwiesweg

    * utilities/kipiiface/kipiinterface.cpp: Use new infrastructure
      here.
      
      Note: The "hard" refresh refreshItemHandler() still seems to be
      necessary.

2008-12-13 18:35  mwiesweg

    * libs/imageproperties/imagedescedittab.cpp: Make this method work.
      
      We need to reconsider this method for 0.10.1, added TODO comment

2008-12-13 18:11  mwiesweg

    * digikam/albumwidgetstack.cpp,
      utilities/imageeditor/editor/imagewindow.cpp,
      utilities/lighttable/lighttablewindow.cpp: No need to delete the
      thumbnail file three times.

2008-12-13 18:11  mwiesweg

    * libs/widgets/common/thumbbar.cpp, libs/widgets/common/thumbbar.h:
      Add a method to only reload, not delete the thumbnail file

2008-12-13 18:11  mwiesweg

    * digikam/albumiconview.cpp, digikam/tagfilterview.cpp,
      digikam/tagfolderview.cpp,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/talbumlistview.cpp: When writing metadata,
      directly scan the file for db changes.
      The dir watch does not always get subtle file changes that only
      involve writing to an existing file.
      
      CCBUG: 141601

2008-12-13 18:11  mwiesweg

    * libs/database/collectionscanner.cpp: Make scanFile() work

2008-12-13 18:11  mwiesweg

    * libs/database/databasebackend.cpp,
      libs/database/databasebackend.h: Slight semantic change for
      isInTransaction: Return true only if
      a different thread holds a transaction. A transaction of the
      current
      thread is fine in the context of calls to this method.

2008-12-13 18:10  mwiesweg

    * digikam/scancontroller.cpp: No need for these signals unless
      complete scan

2008-12-13 18:01  cgilles

    * NEWS: digiKam from trunk : hurra ! this is the 100th bug report
      closed with bug triage session
      100 files closed between digiKam 0.10.0-beta6 and 0.10.0-beta7 :
      great no ???
      CCMAIL: digikam-devel@kde.org

2008-12-13 15:14  mwiesweg

    * NEWS: update

2008-12-13 15:11  mwiesweg

    * libs/database/collectionmanager.cpp: Remove the trailing slash,
      if any, in these cases.
      
      CCBUG: 175322

2008-12-13 15:11  mwiesweg

    * utilities/cameragui/cameraui.cpp,
      utilities/cameragui/camerauiprivate.h: polish, readability

2008-12-13 15:11  mwiesweg

    * utilities/cameragui/cameraui.cpp: Do not mark as downloaded when
      the download failed.

2008-12-13 15:11  mwiesweg

    * utilities/cameragui/cameracontroller.cpp: Properly reorganize
      this code, something went wrong when porting from Qt3.
      Ensure a success or fail signal is always sent.

2008-12-13 15:10  mwiesweg

    * utilities/cameragui/cameraui.cpp: Allow the user to try to
      download anyway if not enough space is available
      (the default option remains to cancel)
      There may be cases (network storage) where our free space methods
      fail.

2008-12-13 15:10  mwiesweg

    * utilities/cameragui/freespacewidget.cpp,
      utilities/cameragui/freespacewidget.h: - add a method to retrieve
      the available space of a specific path
      - constify

2008-12-13 15:10  mwiesweg

    * utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h:
      Give all collection paths to the free space widget

2008-12-13 15:10  mwiesweg

    * digikam/main.cpp: Now that the AlbumSettings does not indirectly
      stored this, update here (more appropriate place anyway)

2008-12-13 15:10  mwiesweg

    * digikam/albumsettings.cpp, digikam/albumsettings.h: Get rid of
      the album library path, which is invalid anyway.

2008-12-13 15:10  mwiesweg

    * utilities/cameragui/freespacewidget.cpp,
      utilities/cameragui/freespacewidget.h: Make the free space widget
      ready to support multiple path, aggregating the size results.
      Needed now that we have multiple collection paths.

2008-12-13 10:43  aclemens

    * digikam/mimefilter.cpp: fix MIME filter entries to match KDE HIG
      guidelines, thanks to Marcel for the hint

2008-12-13 07:42  cgilles

    * utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraui.cpp: use Oxygen icon

2008-12-13 07:30  cgilles

    * imageplugins/adjustcurves/adjustcurvestool.cpp,
      imageplugins/adjustlevels/adjustlevelstool.cpp,
      imageplugins/blurfx/blurfxtool.cpp,
      imageplugins/border/bordertool.cpp,
      imageplugins/channelmixer/channelmixertool.cpp,
      imageplugins/charcoal/charcoaltool.cpp,
      imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/autocorrectiontool.cpp,
      imageplugins/coreplugin/bcgtool.cpp,
      imageplugins/coreplugin/blurtool.cpp,
      imageplugins/coreplugin/bwsepiatool.cpp,
      imageplugins/coreplugin/hsl/hsltool.cpp,
      imageplugins/coreplugin/iccprooftool.cpp,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
      imageplugins/coreplugin/redeyetool.cpp,
      imageplugins/coreplugin/rgbtool.cpp,
      imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp,
      imageplugins/distortionfx/distortionfxtool.cpp,
      imageplugins/emboss/embosstool.cpp,
      imageplugins/filmgrain/filmgraintool.cpp,
      imageplugins/freerotation/freerotationtool.cpp,
      imageplugins/hotpixels/hotpixelstool.cpp,
      imageplugins/infrared/infraredtool.cpp,
      imageplugins/inpainting/inpaintingtool.cpp,
      imageplugins/inserttext/inserttexttool.cpp,
      imageplugins/lenscorrection/autocorrection/autocorrectiontool.cpp,
      imageplugins/lenscorrection/distortion/lensdistortiontool.cpp,
      imageplugins/lenscorrection/vignetting/antivignettingtool.cpp,
      imageplugins/noisereduction/noisereductiontool.cpp,
      imageplugins/oilpaint/oilpainttool.cpp,
      imageplugins/perspective/perspectivetool.cpp,
      imageplugins/raindrop/raindroptool.cpp,
      imageplugins/restoration/restorationtool.cpp,
      imageplugins/sheartool/sheartool.cpp,
      imageplugins/superimpose/superimposetool.cpp,
      imageplugins/texture/texturetool.cpp,
      imageplugins/whitebalance/whitebalancetool.cpp,
      project/project.kdevelop,
      utilities/imageeditor/editor/editortool.cpp,
      utilities/imageeditor/editor/editortool.h,
      utilities/imageeditor/rawimport/rawimport.cpp: digiKam form
      trunk: do not call slotInit() directly in EditorTool constructor,
      but delegate this call to derivate class, else
      there is a risk to hae a race condition into readSettings which
      use EditorToolSettings instance, which can be uninitialized...
      CCBUGS: 177396

2008-12-12 23:10  cgilles

    * digikam/metadatahub.cpp, digikam/metadatahub.h,
      digikam/mimefilter.cpp, digikam/mimefilter.h,
      digikam/monthwidget.cpp, digikam/monthwidget.h,
      digikam/ratingfilter.cpp, digikam/ratingfilter.h,
      digikam/ratingpopupmenu.cpp, digikam/ratingpopupmenu.h,
      digikam/ratingwidget.cpp, digikam/ratingwidget.h,
      digikam/scancontroller.cpp, digikam/scancontroller.h,
      digikam/syncjob.cpp, digikam/syncjob.h, digikam/tageditdlg.cpp,
      digikam/tageditdlg.h, digikam/tagfilterview.cpp,
      digikam/tagfilterview.h, digikam/tagfolderview.cpp,
      digikam/tagfolderview.h, digikam/tagspopupmenu.cpp,
      digikam/tagspopupmenu.h, digikam/treefolderitem.cpp,
      digikam/welcomepageview.cpp, digikam/welcomepageview.h: use const
      d

2008-12-12 22:54  cgilles

    * digikam/folderitem.h, digikam/folderview.cpp,
      digikam/folderview.h, digikam/icongroupitem.cpp,
      digikam/iconview.cpp, digikam/imageattributeswatch.cpp,
      digikam/imageattributeswatch.h, digikam/kdateedit.cpp,
      digikam/kdatepickerpopup.cpp, digikam/kdatepickerpopup.h,
      digikam/kdatetimeedit.cpp, digikam/mediaplayerview.cpp,
      digikam/mediaplayerview.h: use const d

2008-12-12 22:42  cgilles

    * digikam/albumselectdialog.cpp, digikam/albumselectdialog.h,
      digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/albumthumbnailloader.cpp, digikam/albumthumbnailloader.h,
      digikam/cameralist.cpp, digikam/cameralist.h,
      digikam/cameratype.cpp, digikam/cameratype.h,
      digikam/datefolderview.cpp, digikam/datefolderview.h,
      digikam/digikamfirstrun.cpp, digikam/dio.cpp, digikam/dio.h: use
      const d

2008-12-12 22:24  cgilles

    * utilities/cameragui/cameraiconitem.cpp: use Oxygen icon

2008-12-12 20:17  cgilles

    * digikam/albumfolderview.cpp, digikam/albumfolderview.h,
      digikam/albumhistory.cpp, digikam/albumhistory.h,
      digikam/albumicongroupitem.cpp, digikam/albumicongroupitem.h,
      digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h,
      digikam/albumitemhandler.cpp, digikam/albumitemhandler.h,
      digikam/albumlister.cpp, digikam/albumlister.h,
      digikam/albummanager.cpp, digikam/albummanager.h,
      digikam/albummodel.cpp, digikam/albummodel.h,
      digikam/albumpropsedit.cpp, digikam/albumpropsedit.h: use const d

2008-12-12 19:38  cgilles

    * utilities/setup/setupicc.cpp, utilities/setup/setupicc.h,
      utilities/setup/setupidentity.cpp,
      utilities/setup/setupidentity.h,
      utilities/setup/setupiofiles.cpp, utilities/setup/setupiofiles.h,
      utilities/setup/setuplighttable.cpp,
      utilities/setup/setuplighttable.h,
      utilities/setup/setupmetadata.cpp,
      utilities/setup/setupmetadata.h, utilities/setup/setupmime.cpp,
      utilities/setup/setupmime.h, utilities/setup/setupmisc.cpp,
      utilities/setup/setupmisc.h, utilities/setup/setupplugins.cpp,
      utilities/setup/setupplugins.h,
      utilities/setup/setupslideshow.cpp,
      utilities/setup/setupslideshow.h,
      utilities/setup/setuptooltip.cpp, utilities/setup/setuptooltip.h:
      use const d

2008-12-12 19:21  cgilles

    * utilities/setup/cameraselection.cpp,
      utilities/setup/cameraselection.h, utilities/setup/setup.cpp,
      utilities/setup/setup.h, utilities/setup/setupalbumtype.cpp,
      utilities/setup/setupalbumtype.h,
      utilities/setup/setupalbumview.cpp,
      utilities/setup/setupalbumview.h,
      utilities/setup/setupcamera.cpp, utilities/setup/setupcamera.h,
      utilities/setup/setupcollections.cpp,
      utilities/setup/setupcollections.h,
      utilities/setup/setupcollectionview.cpp,
      utilities/setup/setupdcraw.cpp, utilities/setup/setupdcraw.h,
      utilities/setup/setupeditor.cpp, utilities/setup/setupeditor.h:
      use const d

2008-12-12 17:54  cgilles

    * libs/threadimageio/loadsavetask.h: fix warnings

2008-12-12 15:35  cgilles

    * utilities/batch/batchalbumssyncmetadata.cpp,
      utilities/batch/batchalbumssyncmetadata.h,
      utilities/batch/batchsyncmetadata.cpp,
      utilities/batch/batchsyncmetadata.h,
      utilities/batch/batchthumbsgenerator.cpp,
      utilities/batch/batchthumbsgenerator.h,
      utilities/batch/fingerprintsgenerator.cpp,
      utilities/batch/fingerprintsgenerator.h,
      utilities/batch/imageinfoalbumsjob.cpp,
      utilities/batch/imageinfoalbumsjob.h,
      utilities/batch/imageinfojob.cpp, utilities/batch/imageinfojob.h:
      use const d

2008-12-12 15:31  cgilles

    * utilities/gpssearch/gpssearchfolderview.cpp,
      utilities/gpssearch/gpssearchfolderview.h,
      utilities/gpssearch/gpssearchview.cpp,
      utilities/gpssearch/gpssearchview.h,
      utilities/gpssearch/gpssearchwidget.cpp,
      utilities/gpssearch/gpssearchwidget.h,
      utilities/searchwindow/choicesearchutilities.cpp,
      utilities/searchwindow/choicesearchutilities.h,
      utilities/searchwindow/comboboxutilities.cpp,
      utilities/searchwindow/comboboxutilities.h,
      utilities/searchwindow/ratingsearchutilities.cpp,
      utilities/searchwindow/ratingsearchutilities.h,
      utilities/searchwindow/searchfieldgroup.cpp,
      utilities/searchwindow/searchfieldgroup.h,
      utilities/searchwindow/searchfields.cpp,
      utilities/searchwindow/searchfolderview.cpp,
      utilities/searchwindow/searchgroup.cpp,
      utilities/searchwindow/searchgroup.h,
      utilities/searchwindow/searchtabheader.cpp,
      utilities/searchwindow/searchtabheader.h,
      utilities/searchwindow/searchutilities.cpp,
      utilities/searchwindow/searchutilities.h,
      utilities/searchwindow/searchview.cpp,
      utilities/searchwindow/searchview.h,
      utilities/searchwindow/searchwindow.cpp,
      utilities/searchwindow/searchwindow.h: use const d + polish

2008-12-12 15:08  cgilles

    * utilities/imageeditor/tools/imageprint.cpp,
      utilities/imageeditor/tools/imageprint.h,
      utilities/imageeditor/tools/imageresize.cpp,
      utilities/imageeditor/tools/imageresize.h: use const d

2008-12-12 15:05  cgilles

    * utilities/imageeditor/rawimport/rawimport.cpp,
      utilities/imageeditor/rawimport/rawimport.h,
      utilities/imageeditor/rawimport/rawpostprocessing.cpp,
      utilities/imageeditor/rawimport/rawpreview.cpp,
      utilities/imageeditor/rawimport/rawpreview.h: use const d

2008-12-12 15:01  cgilles

    * utilities/imageeditor/editor/editorstackview.cpp,
      utilities/imageeditor/editor/editorstackview.h,
      utilities/imageeditor/editor/editortool.cpp,
      utilities/imageeditor/editor/editortool.h,
      utilities/imageeditor/editor/editortooliface.cpp,
      utilities/imageeditor/editor/editortooliface.h,
      utilities/imageeditor/editor/editortoolsettings.cpp,
      utilities/imageeditor/editor/editortoolsettings.h,
      utilities/imageeditor/editor/imageiface.cpp,
      utilities/imageeditor/editor/imageiface.h,
      utilities/imageeditor/editor/savingcontextcontainer.h: use const
      d

2008-12-12 14:55  cgilles

    * utilities/imageeditor/canvas/colorcorrectiondlg.cpp,
      utilities/imageeditor/canvas/colorcorrectiondlg.h,
      utilities/imageeditor/canvas/dimginterface.cpp,
      utilities/imageeditor/canvas/dimginterface.h,
      utilities/imageeditor/canvas/imageplugin.cpp,
      utilities/imageeditor/canvas/imagepluginloader.cpp,
      utilities/imageeditor/canvas/imagepluginloader.h,
      utilities/imageeditor/canvas/undoaction.cpp,
      utilities/imageeditor/canvas/undoaction.h,
      utilities/imageeditor/canvas/undocache.cpp,
      utilities/imageeditor/canvas/undocache.h,
      utilities/imageeditor/canvas/undomanager.cpp,
      utilities/imageeditor/canvas/undomanager.h: use const d

2008-12-12 10:22  cgilles

    * utilities/imageeditor/canvas/canvas.cpp,
      utilities/imageeditor/canvas/canvas.h: const d

2008-12-12 10:21  cgilles

    * utilities/fuzzysearch/findduplicatesalbumitem.cpp,
      utilities/fuzzysearch/findduplicatesview.cpp,
      utilities/fuzzysearch/findduplicatesview.h,
      utilities/fuzzysearch/fuzzysearchfolderview.cpp,
      utilities/fuzzysearch/fuzzysearchview.cpp,
      utilities/fuzzysearch/fuzzysearchview.h,
      utilities/fuzzysearch/sketchwidget.cpp,
      utilities/fuzzysearch/sketchwidget.h: use const d

2008-12-12 10:16  cgilles

    * utilities/timeline/timelinefolderview.cpp,
      utilities/timeline/timelinefolderview.h,
      utilities/timeline/timelineview.cpp,
      utilities/timeline/timelineview.h,
      utilities/timeline/timelinewidget.cpp,
      utilities/timeline/timelinewidget.h: use const d

2008-12-12 10:13  cgilles

    * utilities/slideshow/slideshow.cpp,
      utilities/slideshow/slideshow.h,
      utilities/slideshow/slideshowsettings.h,
      utilities/slideshow/toolbar.cpp, utilities/slideshow/toolbar.h:
      use const d

2008-12-12 10:08  cgilles

    * kioslave/digikamalbums.cpp, kioslave/digikamalbums.h,
      kioslave/digikamdates.cpp, kioslave/digikamdates.h,
      kioslave/digikamsearch.cpp, kioslave/digikamsearch.h,
      kioslave/digikamtags.cpp, kioslave/digikamtags.h: polish

2008-12-12 10:04  cgilles

    * libs/widgets/imageplugins/imageguidewidget.cpp,
      libs/widgets/imageplugins/imageguidewidget.h,
      libs/widgets/imageplugins/imagepanelwidget.cpp,
      libs/widgets/imageplugins/imagepanelwidget.h,
      libs/widgets/imageplugins/imagepaniconwidget.cpp,
      libs/widgets/imageplugins/imagepaniconwidget.h,
      libs/widgets/imageplugins/imageregionwidget.cpp,
      libs/widgets/imageplugins/imageregionwidget.h,
      libs/widgets/imageplugins/imagewidget.cpp,
      libs/widgets/imageplugins/imagewidget.h: use const d

2008-12-12 09:59  cgilles

    * utilities/kipiiface/kipiimagecollectionselector.cpp,
      utilities/kipiiface/kipiimagecollectionselector.h,
      utilities/kipiiface/kipiimageinfo.cpp,
      utilities/kipiiface/kipiuploadwidget.cpp,
      utilities/kipiiface/kipiuploadwidget.h: use const d

2008-12-12 09:26  cgilles

    * digikam/albumiconitem.cpp, digikam/albumiconitem.h,
      digikam/imagepreviewbar.cpp, libs/widgets/common/thumbbar.cpp,
      libs/widgets/common/thumbbar.h,
      utilities/lighttable/lighttablebar.cpp: digiKam from trunk :
      added small 3d decorative border around icon items

2008-12-12 08:50  aclemens

    * digikam/mimefilter.cpp: change the mime filter name to match the
      other entries

2008-12-12 08:17  cgilles

    * libs/whitebalance/whitebalance.cpp,
      libs/whitebalance/whitebalance.h: use const d

2008-12-12 08:16  cgilles

    * libs/themeengine/texture.cpp, libs/themeengine/texture.h,
      libs/themeengine/theme.cpp, libs/themeengine/theme.h,
      libs/themeengine/themeengine.cpp, libs/themeengine/themeengine.h:
      use const d

2008-12-12 08:13  cgilles

    * libs/levels/imagelevels.cpp, libs/levels/imagelevels.h: const d

2008-12-12 08:11  cgilles

    * libs/jpegutils/jpegwin.cpp, libs/jpegutils/jpegwin.h,
      libs/jpegutils/transupp.cpp, libs/jpegutils/transupp.h: polish

2008-12-12 08:11  cgilles

    * libs/histogram/imagehistogram.cpp,
      libs/histogram/imagehistogram.h: use const d

2008-12-12 08:03  cgilles

    * libs/greycstoration/greycstorationiface.cpp,
      libs/greycstoration/greycstorationiface.h,
      libs/greycstoration/greycstorationsettings.h,
      libs/greycstoration/greycstorationwidget.cpp,
      libs/greycstoration/greycstorationwidget.h: use const d

2008-12-12 08:00  cgilles

    * libs/database/imageinfolist.cpp, libs/database/imageinfolist.h,
      libs/database/imagelister.cpp, libs/database/imagelister.h,
      libs/database/imagelisterreceiver.cpp,
      libs/database/imagelisterreceiver.h,
      libs/database/imagelisterrecord.h,
      libs/database/imageposition.cpp, libs/database/imageposition.h,
      libs/database/imageposition_p.h,
      libs/database/imagequerybuilder.cpp,
      libs/database/imagequerybuilder.h,
      libs/database/imagescanner.cpp, libs/database/imagescanner.h,
      libs/database/initializationobserver.h,
      libs/database/namefilter.cpp, libs/database/namefilter.h,
      libs/database/schemaupdater.cpp, libs/database/schemaupdater.h,
      libs/database/searchxml.cpp, libs/database/searchxml.h,
      libs/database/upgradedb_sqlite2tosqlite3.cpp,
      libs/database/upgradedb_sqlite2tosqlite3.h: polish

2008-12-12 07:39  cgilles

    * libs/database/dbusutilities.h, libs/database/downloadhistory.cpp,
      libs/database/downloadhistory.h, libs/database/imagecomments.cpp,
      libs/database/imagecomments.h, libs/database/imagecomments_p.h,
      libs/database/imagecopyright.cpp, libs/database/imagecopyright.h,
      libs/database/imageinfo.cpp, libs/database/imageinfocache.cpp,
      libs/database/imageinfocache.h, libs/database/imageinfodata.h:
      polish

2008-12-12 07:23  cgilles

    * libs/database/databasebackend.cpp,
      libs/database/databasebackend.h,
      libs/database/databasechangesets.cpp,
      libs/database/databasechangesets.h,
      libs/database/databasefields.h,
      libs/database/databaseinfocontainers.h,
      libs/database/databaseparameters.cpp,
      libs/database/databaseparameters.h,
      libs/database/databasetransaction.cpp,
      libs/database/databasetransaction.h,
      libs/database/databaseurl.cpp, libs/database/databaseurl.h,
      libs/database/databasewatch.cpp, libs/database/databasewatch.h,
      libs/database/databasewatchadaptor.h: const d + polish

2008-12-12 07:10  cgilles

    * libs/database/databaseaccess.cpp, libs/database/databaseaccess.h:
      use const d
      note : DatabaseAccessStaticPriv cannot be set as const because
      it's static. This can be a problem?
      CCMAIL: marcel.wiesweg@gmx.de

2008-12-12 07:04  cgilles

    * libs/dialogs/deletedialog.cpp, libs/dialogs/deletedialog.h,
      libs/dialogs/dprogressdlg.cpp, libs/dialogs/dprogressdlg.h,
      libs/dialogs/iccprofileinfodlg.cpp, libs/dialogs/imagedialog.cpp,
      libs/dialogs/imagedialog.h, libs/dialogs/libsinfodlg.cpp,
      libs/dialogs/libsinfodlg.h, libs/dialogs/rawcameradlg.cpp,
      libs/dialogs/rawcameradlg.h: const d

2008-12-12 06:58  cgilles

    * libs/threadimageio/managedloadsavethread.cpp,
      libs/threadimageio/managedloadsavethread.h,
      libs/threadimageio/previewloadthread.cpp,
      libs/threadimageio/previewloadthread.h,
      libs/threadimageio/previewtask.cpp,
      libs/threadimageio/previewtask.h,
      libs/threadimageio/sharedloadsavethread.cpp,
      libs/threadimageio/sharedloadsavethread.h,
      libs/threadimageio/thumbnailbasic.cpp,
      libs/threadimageio/thumbnailcreator.cpp,
      libs/threadimageio/thumbnailcreator.h,
      libs/threadimageio/thumbnailcreator_p.h,
      libs/threadimageio/thumbnailloadthread.cpp,
      libs/threadimageio/thumbnailloadthread.h,
      libs/threadimageio/thumbnailsize.h,
      libs/threadimageio/thumbnailtask.cpp,
      libs/threadimageio/thumbnailtask.h: const d + polish

2008-12-12 06:49  cgilles

    * libs/threadimageio/loadingcacheinterface.cpp,
      libs/threadimageio/loadingcacheinterface.h,
      libs/threadimageio/loadingdescription.cpp,
      libs/threadimageio/loadingdescription.h,
      libs/threadimageio/loadsavetask.cpp,
      libs/threadimageio/loadsavetask.h,
      libs/threadimageio/loadsavethread.cpp,
      libs/threadimageio/loadsavethread.h: const d + polish

2008-12-12 06:43  cgilles

    * libs/threadimageio/loadingcache.cpp,
      libs/threadimageio/loadingcache.h: const d

2008-12-11 20:48  cgilles

    * NEWS: update

2008-12-11 20:25  cgilles

    * libs/widgets/metadata/metadatalistviewitem.cpp: set 512 char as
      limit of metadata tooltip string
      BUG:177327

2008-12-11 18:42  mwiesweg

    * libs/dimg/loaders/pngloader.cpp: Ensure that the QByteArray that
      provides the char* data() still exists when
      the pointer is passed to libpng.
      
      CCBUG: 177422

2008-12-11 15:37  cgilles

    * libs/database/albumdb.cpp, libs/database/albumdb.h,
      libs/database/albumdb_sqlite2.cpp,
      libs/database/albumdb_sqlite2.h, libs/database/albuminfo.h,
      libs/database/collectionlocation.cpp,
      libs/database/collectionlocation.h,
      libs/database/collectionscanner.cpp,
      libs/database/collectionscanner.h,
      libs/database/collectionscannerhints.cpp,
      libs/database/collectionscannerhints.h,
      libs/database/databaseaccess.cpp, libs/database/databaseaccess.h,
      libs/database/haar/haar.cpp, libs/database/haar/haariface.cpp,
      libs/database/haar/haariface.h: use const d + coding style

2008-12-11 14:36  cgilles

    * libs/curves/imagecurves.cpp, libs/curves/imagecurves.h,
      libs/dmetadata/dmetadata.cpp, libs/dmetadata/dmetadata.h,
      libs/dmetadata/geodetictools.cpp, libs/dmetadata/geodetictools.h:
      const d + coding style

2008-12-11 10:28  cgilles

    * libs/dimg/filters/bcgmodifier.cpp,
      libs/dimg/filters/bcgmodifier.h,
      libs/dimg/filters/colormodifier.cpp,
      libs/dimg/filters/colormodifier.h,
      libs/dimg/filters/dimggaussianblur.cpp,
      libs/dimg/filters/dimggaussianblur.h,
      libs/dimg/filters/dimgimagefilters.cpp,
      libs/dimg/filters/dimgimagefilters.h,
      libs/dimg/filters/dimgsharpen.cpp,
      libs/dimg/filters/dimgsharpen.h,
      libs/dimg/filters/dimgthreadedfilter.cpp,
      libs/dimg/filters/dimgthreadedfilter.h,
      libs/dimg/filters/hslmodifier.cpp,
      libs/dimg/filters/hslmodifier.h,
      libs/dimg/filters/icctransform.cpp,
      libs/dimg/filters/icctransform.h: const d

2008-12-11 09:45  aclemens

    * digikam/digikamapp.cpp: do not display tooltip from statuszoombar
      in fullscreen mode

2008-12-11 09:34  cgilles

    * digikam/albumwidgetstack.cpp, digikam/albumwidgetstack.h,
      digikam/digikamview.cpp, digikam/digikamview.h,
      digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h,
      digikam/imagepreviewview.cpp, digikam/imagepreviewview.h,
      utilities/imageeditor/editor/imagewindow.cpp,
      utilities/imageeditor/editor/imagewindow.h,
      utilities/lighttable/lighttablebar.cpp,
      utilities/lighttable/lighttablebar.h,
      utilities/lighttable/lighttablepreview.cpp,
      utilities/lighttable/lighttablepreview.h,
      utilities/lighttable/lighttableview.cpp,
      utilities/lighttable/lighttableview.h,
      utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h: digiKam from trunk :
      Thumbbar everywhere : take a care about settings change (Exif
      thumbs rotation, tooltips, etc...)

2008-12-11 08:59  cgilles

    * showfoto/setup/setup.cpp, showfoto/setup/setup.h,
      showfoto/setup/setupeditor.cpp, showfoto/setup/setupeditor.h,
      showfoto/setup/setuptooltip.cpp, showfoto/setup/setuptooltip.h,
      showfoto/showfoto.cpp, showfoto/showfoto.h: const d

2008-12-11 08:38  cgilles

    * NEWS: update

2008-12-11 08:37  cgilles

    * libs/widgets/metadata/mdkeylistviewitem.cpp: digiKam from trunk :
      use XMP sub-section translations instead real name. Look this
      screenshot for details:
      http://www.flickr.com/photos/digikam/3100060706/sizes/o/in/pool-817639@N22/
      BUG: 170784

2008-12-11 07:13  cgilles

    * NEWS: update

2008-12-11 07:13  cgilles

    * digikam/albumiconviewtooltip.cpp, digikam/albumiconviewtooltip.h,
      digikam/imagepreviewbar.cpp,
      libs/widgets/metadata/metadatalistviewitem.cpp,
      project/project.kdevelop: Use digiKam style sheet method to cut
      off long tool tip from metadata side bar tab
      BUG: 177327

2008-12-11 06:57  cgilles

    * digikam/albumiconviewtooltip.cpp,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp,
      project/project.kdevelop: polish

2008-12-11 04:45  cgilles

    * NEWS: update

2008-12-11 04:39  cgilles

    * project/KDE4PORT: update

2008-12-11 04:36  cgilles

    * NEWS: update

2008-12-10 21:43  mwiesweg

    * libs/threadimageio/loadingcacheinterface.cpp: Very important to
      make this a queued connection. Fix deadlock.

2008-12-10 21:32  mwiesweg

    * libs/threadimageio/thumbnailcreator.cpp: Fix an important bug
      that prevented the creation of a new thumbnail
      if there was already a thumbnail PNG but the modification time
      changed
      (qimage is not null in this case and remains untouched)

2008-12-10 21:31  mwiesweg

    * libs/database/imageinfo.cpp, libs/database/imageinfo.h,
      libs/database/imageinfocache.cpp: - remove method refresh() which
      is not needed any more
      - some ...Cached flags were missing here and there

2008-12-10 21:31  mwiesweg

    * digikam/albumiconview.cpp, digikam/albumiconview.h: Switch to
      using LoadingCache signal instead of ImageWindow signal for file
      change notification.

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcacheinterface.cpp,
      libs/threadimageio/loadingcacheinterface.h: Add interface method
      for easy access to Cache signal

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcache.cpp: fix bugs
      enable debug message

2008-12-10 21:31  mwiesweg

    * digikam/albumiconview.cpp, digikam/scancontroller.cpp,
      utilities/imageeditor/editor/editorwindow.cpp: Adapt to method
      name change.
      Remove Q3 classes.

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcacheinterface.cpp,
      libs/threadimageio/loadingcacheinterface.h: Change method name.
      Simplify implementation.

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcache.cpp,
      libs/threadimageio/loadingcache.h: Add signals for file changes.
      General cleanup.

2008-12-10 21:31  mwiesweg

    * digikam/scancontroller.cpp, digikam/scancontroller.h: - add a
      LoadingCacheFileWatch that is a simple extension to the existing
      file watch,
      listening to collection scan triggered signals and possibly
      invalidating thumbnails
      - add a method scanFileDirectly to allow to access this
      CollectionScanner method publicly

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcache.cpp,
      libs/threadimageio/loadingcache.h: - make the classic FileWatch
      public so it can be extended
      - separate images and thumbnails
      - the classic file watch only watches images, not thumbnails.
      There were problems with large numbers of file watches.

2008-12-10 21:31  mwiesweg

    * libs/database/collectionscanner.cpp,
      libs/database/collectionscanner.h: Make scanFile API usable

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcache.cpp,
      libs/threadimageio/loadingcache.h: Locking, linking and docs

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcacheinterface.h: polish

2008-12-10 21:31  mwiesweg

    * libs/database/imageinfo.cpp: Small optimization: No need to
      access db if entry was cached.

2008-12-10 21:31  mwiesweg

    * libs/widgets/common/sidebar.cpp: Do not get lost if config has
      invalid values.

2008-12-10 21:31  mwiesweg

    * libs/threadimageio/loadingcache.cpp,
      libs/threadimageio/loadingcache.h,
      libs/threadimageio/thumbnailloadthread.cpp,
      libs/threadimageio/thumbnailtask.cpp: Move current implementation
      of a KDirWatch that watches files in the LoadingCache
      (but not thumbnails) to its own class with an option to replace
      it with another solution.
      Showfoto will continue to use this code, but for digikam we can
      use the database scanner
      that already watches all directories.
      
      This is in preparation for fixing bug 151552.

2008-12-10 19:43  cgilles

    * libs/widgets/iccprofiles/cietonguewidget.cpp,
      libs/widgets/iccprofiles/cietonguewidget.h,
      libs/widgets/iccprofiles/iccprofilewidget.cpp,
      libs/widgets/iccprofiles/iccprofilewidget.h: const d

2008-12-10 19:22  aclemens

    * NEWS: fixed some spelling errors

2008-12-10 19:15  cgilles

    * NEWS: update

2008-12-10 18:02  cgilles

    * NEWS: update

2008-12-10 17:58  aclemens

    * NEWS: update

2008-12-10 17:13  aclemens

    * digikam/albumfolderview.cpp: prevent digiKam from crashing if the
      user right-clicks into empty
      folderlist. This will display no context menu at all. I had
      another
      solution where the context menu displayed at least "Create new
      album",
      but this doesn't make sense because the album gets randomly
      assigned to
      some root collection.
      
      Any other suggestions here?
      
      CCMAIL:digikam-devel@kde.org

2008-12-10 15:28  cgilles

    * digikam/albumiconviewtooltip.cpp, digikam/albumiconviewtooltip.h,
      digikam/imagepreviewbar.cpp, imageplugins/CMakeLists.txt,
      libs/widgets/common/ditemtooltip.cpp,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp: code factoring :
      imagepreviewbartooltip use static implementation from
      albumiconviewtooltip to render tool tip contents. This reduce
      duplicates code

2008-12-10 14:38  cgilles

    * digikam/albumiconviewtooltip.cpp, digikam/imagepreviewbar.cpp,
      libs/widgets/common/ditemtooltip.cpp,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp: factoring

2008-12-10 13:47  cgilles

    * digikam/albumiconviewtooltip.cpp, digikam/imagepreviewbar.cpp,
      libs/widgets/common/ditemtooltip.cpp,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp: factoring again

2008-12-10 13:29  cgilles

    * digikam/CMakeLists.txt, digikam/albumfiletip.cpp,
      digikam/albumfiletip.h, digikam/albumiconview.cpp,
      digikam/albumiconview.h, digikam/albumiconviewtooltip.cpp,
      digikam/albumiconviewtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp,
      libs/widgets/common/thumbbartooltip.h,
      themedesigner/CMakeLists.txt: Code factoring again : new album
      icon view tool tip based on ditemtooltip object.
      Code is better to read now (ouf...)

2008-12-10 12:55  cgilles

    * CMakeLists.txt, libs/widgets/common/ditemtooltip.cpp,
      libs/widgets/common/ditemtooltip.h,
      libs/widgets/common/thumbbartooltip.cpp,
      libs/widgets/common/thumbbartooltip.h: Code factoring : new
      generic tool tip widget to share with iconview and thumbbar.
      Thumbbar tool tip ported

2008-12-10 12:06  cgilles

    * NEWS: update

2008-12-10 09:02  cgilles

    * libs/widgets/common/curveswidget.cpp,
      libs/widgets/common/curveswidget.h,
      libs/widgets/common/dcursortracker.cpp,
      libs/widgets/common/dcursortracker.h,
      libs/widgets/common/dgradientslider.cpp,
      libs/widgets/common/dgradientslider.h,
      libs/widgets/common/dlogoaction.h,
      libs/widgets/common/dpopupmenu.cpp,
      libs/widgets/common/drubberband.cpp,
      libs/widgets/common/drubberband.h,
      libs/widgets/common/filesaveoptionsbox.cpp,
      libs/widgets/common/filesaveoptionsbox.h,
      libs/widgets/common/histogrambox.cpp,
      libs/widgets/common/histogrambox.h,
      libs/widgets/common/histogramwidget.cpp,
      libs/widgets/common/histogramwidget.h,
      libs/widgets/common/paniconwidget.cpp,
      libs/widgets/common/paniconwidget.h,
      libs/widgets/common/previewwidget.cpp,
      libs/widgets/common/previewwidget.h,
      libs/widgets/common/searchtextbar.cpp,
      libs/widgets/common/searchtextbar.h,
      libs/widgets/common/sidebar.cpp, libs/widgets/common/sidebar.h,
      libs/widgets/common/splashscreen.cpp,
      libs/widgets/common/splashscreen.h,
      libs/widgets/common/statusled.cpp,
      libs/widgets/common/statusled.h,
      libs/widgets/common/statusnavigatebar.cpp,
      libs/widgets/common/statusnavigatebar.h,
      libs/widgets/common/statusprogressbar.cpp,
      libs/widgets/common/statusprogressbar.h,
      libs/widgets/common/statuszoombar.cpp,
      libs/widgets/common/statuszoombar.h: use const d

2008-12-10 08:26  cgilles

    * imageplugins/adjustcurves/adjustcurvestool.cpp,
      imageplugins/coreplugin/bwsepiatool.cpp,
      imageplugins/coreplugin/iccprooftool.cpp,
      libs/widgets/common/colorgradientwidget.cpp,
      libs/widgets/common/colorgradientwidget.h,
      libs/widgets/common/histogrambox.cpp,
      utilities/imageeditor/rawimport/rawsettingsbox.cpp,
      utilities/imageeditor/rawimport/rawsettingsbox.h:
      ColorGradientWidget : use const d. use Qt::Orientation flag

2008-12-09 22:44  cgilles

    * digikam/imagepreviewbar.cpp, digikam/imagepreviewbar.h,
      imageplugins/superimpose/superimposetool.cpp,
      libs/widgets/common/thumbbar.cpp, libs/widgets/common/thumbbar.h,
      project/project.kdevelop, showfoto/showfoto.cpp: now thumbbar
      from preview widget show digiKam properties

2008-12-09 18:39  cgilles

    * NEWS: update

2008-12-09 18:11  cgilles

    * digikam/albumfiletip.cpp: polish

2008-12-09 18:10  cgilles

    * libs/widgets/common/thumbbartooltip.cpp: polish

2008-12-09 17:57  cgilles

    * libs/widgets/common/thumbbartooltip.cpp: missing to set theme
      colors here

2008-12-09 17:20  mwiesweg

    * NEWS: this is a worthy number 90

2008-12-09 17:15  mwiesweg

    * digikam/albumwidgetstack.cpp: Add a workaround for all users who
      have created an invalid config
      with the preview-slider bug
      
      CCBUG: 173746

2008-12-09 17:15  mwiesweg

    * digikam/albumwidgetstack.cpp: It seems that QSplitter only
      validly intializes when it has been shown.
      If the splitter was never shown since application startup and the
      state is
      saved at shutdown, invalid values may be saved. If no state was
      loaded at
      all (empty SplitterState config), the infamous 0,0 values are
      stored.
      
      Add a flag that stores if the image preview mode was ever
      entered,
      and only write splitter state to config if this is the case.
      
      CCBUG: 173746

2008-12-09 17:15  mwiesweg

    * digikam/albumwidgetstack.cpp: remove debugging code leftover

2008-12-09 16:21  mwiesweg

    * digikam/digikamapp.cpp: Disable actions for album root albums.
      Simplify code.
      
      CCBUG: 177093

2008-12-09 16:21  mwiesweg

    * digikam/albumfolderview.cpp: Add proper check in methods that do
      the real work, if we have a loophole
      in the UI that brings us here.
      
      CCBUG: 177093

2008-12-09 16:21  mwiesweg

    * libs/threadimageio/previewtask.cpp: Revert "Temporary debug
      statements for bug 176584"
      Bug is fixed.

2008-12-09 16:21  mwiesweg

    * digikam/albumwidgetstack.cpp: Remove debug messages: No further
      information expected

2008-12-09 15:46  cgilles

    * NEWS: update

2008-12-09 15:45  cgilles

    * CMakeLists.txt, digikam/imagepreviewbar.cpp,
      digikam/imagepreviewbar.h, libs/widgets/common/thumbbar.cpp,
      libs/widgets/common/thumbbar.h,
      libs/widgets/common/thumbbartooltip.cpp,
      libs/widgets/common/thumbbartooltip.h: digiKam from trunk (KDE4)
      : thumbbar improvements : tooltip is now based on albumfiletips
      implementation instead QToolTip
      We have a better control of rendering of tooltip and it become
      homogenous with album icon view tool tip.
      Now thumbbar tool tip support color scheme themes and is suitable
      with all schemes.
      
      Still TODO : factoring albumfiletip.cpp and thumbbartooltip.cpp
      and imagepreviewbar.cpp when it's possible
      
      BUG:172632

2008-12-09 15:41  aclemens

    * digikam/digikamapp.cpp: backport commit #894894
      
      CCBUG:149360

2008-12-09 13:36  cgilles

    * digikam/iconview.cpp, digikam/iconview.h: use const d

2008-12-09 13:09  cgilles

    * digikam/albumfiletip.cpp: polish

2008-12-09 13:01  cgilles

    * digikam/albumfiletip.cpp, digikam/albumfiletip.h: use const d

2008-12-09 12:54  cgilles

    * libs/widgets/common/CMakeLists.txt: polish

2008-12-09 10:15  cgilles

    * NEWS: update

2008-12-09 10:14  cgilles

    * digikam/digikamapp.cpp, digikam/digikamapp.h: sideeffect of Qt4
      port : QList::indexOf start count from 0, not 1
      BUG: 177185

2008-12-09 10:02  cgilles

    * utilities/cameragui/animwidget.cpp,
      utilities/cameragui/animwidget.h,
      utilities/cameragui/camerafolderdialog.cpp,
      utilities/cameragui/camerafolderdialog.h,
      utilities/cameragui/camerafolderitem.cpp,
      utilities/cameragui/camerafolderitem.h,
      utilities/cameragui/camerafolderview.cpp,
      utilities/cameragui/camerafolderview.h,
      utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconitem.h,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h,
      utilities/cameragui/camerainfodialog.cpp,
      utilities/cameragui/camerainfodialog.h,
      utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
      utilities/cameragui/capturedlg.cpp,
      utilities/cameragui/capturedlg.h,
      utilities/cameragui/capturewidget.cpp,
      utilities/cameragui/capturewidget.h,
      utilities/cameragui/downloadsettingscontainer.h,
      utilities/cameragui/freespacewidget.cpp,
      utilities/cameragui/freespacewidget.h,
      utilities/cameragui/gpcamera.cpp, utilities/cameragui/gpcamera.h,
      utilities/cameragui/gpiteminfo.cpp,
      utilities/cameragui/gpiteminfo.h,
      utilities/cameragui/renamecustomizer.cpp,
      utilities/cameragui/renamecustomizer.h: fix conversion between
      DownloadHistory download status and GPCameraItem download status

2008-12-09 09:23  cgilles

    * libs/imageproperties/cameraitempropertiestab.cpp,
      libs/imageproperties/cameraitempropertiestab.h,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagedescedittab.h,
      libs/imageproperties/imagepropertiescolorstab.cpp,
      libs/imageproperties/imagepropertiescolorstab.h,
      libs/imageproperties/imagepropertiesgpstab.cpp,
      libs/imageproperties/imagepropertiesmetadatatab.cpp,
      libs/imageproperties/imagepropertiesmetadatatab.h,
      libs/imageproperties/imagepropertiessidebar.cpp,
      libs/imageproperties/imagepropertiessidebar.h,
      libs/imageproperties/imagepropertiessidebarcamgui.cpp,
      libs/imageproperties/imagepropertiessidebarcamgui.h,
      libs/imageproperties/imagepropertiessidebardb.cpp,
      libs/imageproperties/imagepropertiessidebardb.h,
      libs/imageproperties/imagepropertiestab.cpp,
      libs/imageproperties/imagepropertiestab.h,
      libs/imageproperties/imagepropertiestxtlabel.h,
      libs/imageproperties/talbumlistview.cpp,
      libs/imageproperties/worldmapwidget.cpp,
      libs/imageproperties/worldmapwidget.h: fix how camera download
      properties is displayed in sidebar.
      use "const" d private container

2008-12-09 08:10  cgilles

    * libs/widgets/metadata/metadatalistview.cpp: metadata list view :
      interpret metadata tags names as case insensitive.
      CCBUGS: 170784

2008-12-09 07:05  cgilles

    * NEWS: update

2008-12-09 07:05  cgilles

    * libs/widgets/metadata/exifwidget.cpp,
      libs/widgets/metadata/exifwidget.h,
      libs/widgets/metadata/iptcwidget.cpp,
      libs/widgets/metadata/iptcwidget.h,
      libs/widgets/metadata/makernotewidget.cpp,
      libs/widgets/metadata/metadatalistviewitem.cpp,
      libs/widgets/metadata/metadatawidget.cpp,
      libs/widgets/metadata/metadatawidget.h,
      libs/widgets/metadata/xmpwidget.cpp: digiKam from trunk (KDE4) :
      enable tooltip for metadata list view items.
      BUG: 177236

2008-12-09 05:26  cgilles

    * NEWS: update

2008-12-09 05:25  cgilles

    * libs/imageproperties/imagepropertiesgpstab.cpp,
      libs/imageproperties/imagepropertiesgpstab.h: digiKam from trunk
      (KDE4): GPS sidebar tab : add link to openstreetmap
      BUG: 177270

2008-12-08 20:31  cgilles

    * NEWS: update

2008-12-08 20:30  cgilles

    * utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h: digiKam from trunk :
      Image Editor : do not alter predefined list of zoom factors from
      toolbar combobox.
      BUG: 176179

2008-12-08 20:17  cgilles

    * NEWS: update

2008-12-08 20:15  cgilles

    * utilities/cameragui/cameracontroller.cpp,
      utilities/cameragui/cameracontroller.h,
      utilities/cameragui/cameraui.cpp, utilities/cameragui/dkcamera.h:
      digiKam from trunk : CameraGUI: if thumbnail cannot be generated,
      use default mimetype icons instead to be able to identify
      at least images, Raw files, videos, or sounds.
      BUG: 142058

2008-12-08 17:50  cgilles

    * NEWS: update

2008-12-08 17:44  cgilles

    * NEWS: update

2008-12-08 15:45  cgilles

    * NEWS: update

2008-12-08 14:57  cgilles

    * NEWS: update

2008-12-08 12:01  cgilles

    * utilities/cameragui/cameraui.cpp: digiKam from trunk (KDE4) :
      Camera GUI : use CTRL + mouse wheel to zoom in/out iconview
      CCBUGS: 148861

2008-12-08 11:53  cgilles

    * NEWS: update

2008-12-08 11:52  cgilles

    * digikam/digikamview.cpp, digikam/iconview.cpp,
      digikam/iconview.h: digiKam from trunk (KDE4) : in iconview,
      mouse wheel + CTRL zoom in/out contents, as Dolphin or Konqueror
      BUG:148861

2008-12-08 10:41  aclemens

    * NEWS: update

2008-12-08 09:32  cgilles

    * NEWS: update

2008-12-08 09:27  cgilles

    * NEWS: update

2008-12-08 09:03  cgilles

    * NEWS: update

2008-12-08 07:45  cgilles

    * NEWS: update

2008-12-08 07:41  cgilles

    * NEWS: update

2008-12-08 07:36  cgilles

    * NEWS: update

2008-12-07 20:25  mwiesweg

    * digikam/albumfolderview.cpp: Disable properties action as well.
      
      CCBUG: 177093

2008-12-07 18:30  cgilles

    * NEWS: update

2008-12-07 16:33  mwiesweg

    * digikam/albumfolderview.cpp: Disable renaming and deleting for
      album root albums.
      We can later add a shortcut to the collection setup dialog.
      
      CCBUG: 177093

2008-12-07 12:13  cgilles

    * NEWS: update

2008-12-07 11:41  aclemens

    * utilities/cameragui/cameraui.cpp,
      utilities/lighttable/lighttablewindow.cpp: trigger ToolTip on
      zoom in lighttable and camera UI window as well

2008-12-07 11:41  aclemens

    * NEWS, digikam/digikamapp.cpp,
      libs/widgets/common/dcursortracker.cpp,
      libs/widgets/common/dcursortracker.h,
      libs/widgets/common/statuszoombar.cpp,
      libs/widgets/common/statuszoombar.h: add methods to autoshow /
      autohide the tooltip of statuszoombar widget
      
      BUG:171480

2008-12-07 10:37  cgilles

    * digikam/albumfiletip.cpp: digiKam from trunk (KDE4) : adapt icon
      view item tooltip color to color scheme.
      CCBUGS: 172632

2008-12-07 08:01  cgilles

    * NEWS: update

2008-12-07 07:59  cgilles

    * NEWS: update

2008-12-06 21:16  cgilles

    * NEWS: update

2008-12-06 20:28  aclemens

    * libs/imageproperties/imagedescedittab.cpp: polish

2008-12-06 20:27  cgilles

    * NEWS: update

2008-12-06 18:42  cgilles

    * NEWS: update

2008-12-06 18:18  cgilles

    * NEWS: update

2008-12-06 17:46  cgilles

    * NEWS: update

2008-12-06 17:26  aclemens

    * digikam/albumicongroupitem.cpp, digikam/albumiconitem.cpp: fix
      unnatural sort order in album iconview, patch by Peter Penz
      
      CCBUG:158868

2008-12-06 17:01  cgilles

    * NEWS: update

2008-12-06 16:46  cgilles

    * NEWS: update

2008-12-06 16:45  cgilles

    * utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h,
      utilities/cameragui/cameraui.cpp,
      utilities/cameragui/cameraui.rc,
      utilities/cameragui/camerauiprivate.h: digiKam from trunk (KDE4)
      : CameraGui : add new option to select protected items from
      camera (locked item or read only)
      BUG: 160664

2008-12-06 15:43  cgilles

    * NEWS: update

2008-12-06 15:39  cgilles

    * NEWS: update

2008-12-06 14:44  cgilles

    * NEWS: update

2008-12-06 14:14  cgilles

    * NEWS: update

2008-12-06 13:29  cgilles

    * NEWS: update

2008-12-06 13:24  cgilles

    * NEWS: update

2008-12-06 13:07  mwiesweg

    * NEWS: update

2008-12-06 08:27  cgilles

    * NEWS: update

2008-12-06 07:32  cgilles

    * NEWS: update

2008-12-06 06:50  cgilles

    * NEWS: update

2008-12-06 06:37  cgilles

    * NEWS: update

2008-12-05 21:45  cgilles

    * NEWS: update

2008-12-05 21:34  cgilles

    * NEWS: update

2008-12-05 20:54  cgilles

    * NEWS: update

2008-12-05 20:31  cgilles

    * NEWS: update

2008-12-05 19:53  aclemens

    * digikam/albumicongroupitem.cpp: Make album header more locale
      aware, avoid using QString::number(). Thanks to Chusslove

2008-12-05 19:32  aclemens

    * digikam/albumicongroupitem.cpp: fix album headers: it displayed
      "MONTH 2,008" instead of "MONTH 2008"
      
      CCBUG:130230

2008-12-05 19:14  cgilles

    * NEWS: update

2008-12-05 19:12  cgilles

    * NEWS: update

2008-12-05 18:49  mwiesweg

    * NEWS: update

2008-12-05 18:25  aclemens

    * NEWS, libs/database/albumdb.cpp: fix wrong item count in album
      and tags view
      
      BUG:167874

2008-12-05 18:11  cgilles

    * NEWS: update

2008-12-05 18:07  cgilles

    * NEWS: update

2008-12-05 13:48  cgilles

    * NEWS: update

2008-12-05 13:43  cgilles

    * utilities/cameragui/cameraiconview.h,
      utilities/cameragui/cameraui.cpp: call right slot with File/new
      action
      BUG: 175898

2008-12-05 12:05  cgilles

    * NEWS: update

2008-12-05 11:52  cgilles

    * NEWS: update

2008-12-05 10:09  cgilles

    * NEWS: update

2008-12-05 06:53  cgilles

    * NEWS: update

2008-12-05 05:24  cgilles

    * NEWS: update

2008-12-05 05:19  cgilles

    * NEWS: update

2008-12-04 22:54  mwiesweg

    * NEWS: update

2008-12-04 22:53  mwiesweg

    * digikam/ddragobjects.cpp, digikam/ddragobjects.h: We do not need
      to reimplement formats(), if we use setData() all the mimetypes
      are stored
      by QMimeData and will be returned by the default implementation.
      Now KUrl::populateMimeData will work correctly so that dragging
      to outside applications
      will work again.
      
      CCBUG: 176725

2008-12-04 20:07  cgilles

    * NEWS: update

2008-12-04 14:47  cgilles

    * NEWS: update

2008-12-04 14:32  cgilles

    * NEWS: update

2008-12-04 11:01  cgilles

    * project/KDE4PORT: another one fully ported

2008-12-04 10:59  cgilles

    * libs/widgets/metadata/metadatawidget.cpp,
      libs/widgets/metadata/metadatawidget.h: pure Qt4 inplementation

2008-12-04 08:38  cgilles

    * libs/widgets/metadata/metadatawidget.cpp: port ++

2008-12-04 07:55  cgilles

    * libs/widgets/metadata/metadatawidget.cpp: polish

2008-12-04 07:17  cgilles

    * digikam/datefolderview.cpp: unecessary Qt3 includes

2008-12-04 07:15  cgilles

    * project/KDE4PORT: Update list of Qt3 transition classes used...
      
      Marcel, Andi,
      
      look like 3 files can be ported for 0.10.0:
      
      cameralist.cpp => Q3PtrList (easy)
      metadatawidget.cpp => Q3MimeSourceFactory, Q3PaintDeviceMetrics,
      Q3SimpleRichText, and Q3StyleSheet (for printing)
      albumiconview.cpp => Q3Dict and Q3IntDict (more complex)

2008-12-03 21:02  mwiesweg

    * libs/threadimageio/loadsavetask.cpp,
      libs/threadimageio/previewtask.cpp: This fixes a possible crash
      when a task is stopped in thread 1, the task is waiting in thread
      2
      for another master task that does the work in thread 3.
      
      CCBUG: 176584

2008-12-03 19:58  aclemens

    * utilities/fuzzysearch/fuzzysearchview.cpp: first attempt of a
      more meaningful description for find similar widget
      
      CCBUG:168012

2008-12-03 19:56  mwiesweg

    * libs/threadimageio/previewtask.cpp: Temporary debug statements
      for bug 176584

2008-12-03 17:42  cgilles

    * NEWS: update

2008-12-03 16:07  aclemens

    * NEWS: update

2008-12-03 16:06  aclemens

    * utilities/batch/imageinfoalbumsjob.cpp: patch by yann LE HIR: fix
      recursive slideshow
      
      BUG:176086

2008-12-03 15:43  aclemens

    * digikam/albumiconview.cpp, digikam/albumiconview.h,
      digikam/albumwidgetstack.cpp, digikam/albumwidgetstack.h,
      digikam/digikamview.cpp, digikam/imagepreviewview.cpp,
      digikam/imagepreviewview.h: add "Find Similar" action to
      AlbumIconView and PreviewView
      
      CCBUG:168012

2008-12-03 14:40  scripty

    * digikam/digikam.desktop,
      utilities/hotplug/digikam-download.desktop.cmake,
      utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
      utilities/hotplug/digikam-mount-and-download.desktop.cmake,
      utilities/imageeditor/editor/digikamimageplugin.desktop:
      SVN_SILENT made messages (.desktop file)

2008-12-03 12:40  aclemens

    * NEWS, digikam/albumpropsedit.cpp: use a validator to restrict new
      album name.
      
      BUG:137233

2008-12-03 11:17  aclemens

    * NEWS: update

2008-12-03 10:34  aclemens

    * NEWS: update

2008-12-03 09:53  aclemens

    * NEWS: update

2008-12-03 09:43  cgilles

    * NEWS: update

2008-12-02 16:49  cgilles

    * NEWS: typo

2008-12-02 16:18  mwiesweg

    * NEWS: update

2008-12-02 15:40  mwiesweg

    * utilities/slideshow/slideshow.cpp: Fix a crash in Slideshow when
      going back from the last page with the mouse wheel
      
      CCBUG: 176584

2008-12-02 15:21  mwiesweg

    * NEWS: update

2008-12-02 15:21  mwiesweg

    * utilities/slideshow/slideshow.cpp,
      utilities/slideshow/slideshow.h: Learn from Okular:
      - make X11 window settings less intrusive (there were problems
      with notification popups like
      kopete, Alt+Tab was impossible, crashing in slideshow under GDB
      behaved almost malignant,
      portability of Qt::X11 flags unknown)
      Use the same flags as Okular
      - disable the screensaver using DBus

2008-12-02 13:52  cgilles

    * NEWS: update

2008-12-02 13:49  cgilles

    * NEWS: update

2008-12-02 13:42  mwiesweg

    * libs/database/albumdb.cpp: Patch from David Eriksson:
      Fix SQL
      
      CCBUG: 176654

2008-12-02 11:22  cgilles

    * NEWS: update

2008-12-01 22:02  aclemens

    * NEWS: update

2008-12-01 21:21  aclemens

    * utilities/cameragui/camerainfodialog.cpp,
      utilities/cameragui/camerauiprivate.h: use K classes if possible

2008-12-01 20:31  cgilles

    * NEWS: polish

2008-12-01 20:22  mwiesweg

    * NEWS: sorry

2008-12-01 20:21  mwiesweg

    * utilities/imageeditor/editor/imagewindow.cpp: Patch from Yann Le
      Hir:
      The last element of a list of size 1 was never deleted.
      
      CCBUG: 176472

2008-12-01 20:20  mwiesweg

    * NEWS: update

2008-12-01 20:11  aclemens

    * NEWS: update

2008-12-01 18:50  cgilles

    * NEWS: update

2008-12-01 18:22  mwiesweg

    * utilities/imageeditor/editor/imagewindow.cpp: Patch by Yann Le
      Hir:
      Fix off-by-one error causing a crash when the last image is
      removed
      
      CCBUG: 176472

2008-11-29 17:02  mwiesweg

    * libs/widgets/common/thumbbar.cpp: Qt4 caveat:
      QMouseEvent::button() is not valid for move events, need to use
      buttons() here.
      
      CCBUG: 166439

2008-11-29 16:57  aclemens

    * NEWS: polish

2008-11-29 16:47  mwiesweg

    * NEWS: update

2008-11-29 14:26  scripty

    * digikam/digikam.desktop: SVN_SILENT made messages (.desktop file)

2008-11-28 20:28  aclemens

    * NEWS: update

2008-11-28 13:05  cgilles

    * NEWS: update

2008-11-28 13:02  cgilles

    * NEWS: update

2008-11-28 12:44  krienke

    * utilities/scripts/digitaglinktree,
      utilities/scripts/digitaglinktree.1: Adapted digitaglinktree to
      cope with digikam version 0.10 database scheme. Older digikam
      version are still supported and should be automatically detected.
      Updated manual.

2008-11-28 10:16  cgilles

    * libs/widgets/metadata/mdkeylistviewitem.cpp,
      libs/widgets/metadata/mdkeylistviewitem.h,
      libs/widgets/metadata/metadatalistview.cpp,
      libs/widgets/metadata/metadatalistview.h,
      libs/widgets/metadata/metadatalistviewitem.cpp,
      libs/widgets/metadata/metadatalistviewitem.h: fix QtreeWidgetItem
      flags in constructor. now all metadata item are displayed enabled

2008-11-28 07:36  cgilles

    * libs/dimg/loaders/jp2kloader.cpp, libs/dimg/loaders/jp2kloader.h:
      tab => space

2008-11-26 19:41  mwiesweg

    * libs/database/albumdb.cpp: compile

2008-11-26 19:41  mwiesweg

    * libs/imageproperties/imagepropertiessidebardb.cpp,
      libs/imageproperties/imagepropertiestab.cpp,
      libs/imageproperties/imagepropertiestab.h: As long as we do not
      have any meaningful information to display, hide the
      "Compression" field
      for db-based sidebars.

2008-11-26 19:41  mwiesweg

    * libs/database/albumdb.cpp: For reasons I could not find out (bug
      in sqlite?) REAL values are returned from the database
      as QVariants with type QString. We need to work around this here
      and convert to double.
      
      This caused the bug that certain values on the ImageProperties
      table were displayed as "Unknown".

2008-11-26 13:40  cgilles

    * digikam/ddragobjects.cpp, digikam/ddragobjects.h: re-implement
      QMimeData::formats()

2008-11-26 13:27  cgilles

    * digikam/ddragobjects.cpp: compile

2008-11-26 13:25  cgilles

    * digikam/ddragobjects.cpp, digikam/ddragobjects.h: add new static
      methods to get mimetypes supported by digiKam drag objects. These
      will be used by Drag & Drop operations with QTreeWidget drivated
      classes

2008-11-26 07:16  cgilles

    * CMakeLists.txt, NEWS: beta7

2008-11-25 16:39  cgilles

    * CMakeLists.txt: compile

2008-11-25 16:37  cgilles

    * NEWS: update

2008-11-25 16:35  cgilles

    * CMakeLists.txt: rc1

2008-11-25 11:19  cgilles

    * ChangeLog: update

2008-11-25 10:10  cgilles

    * utilities/scripts/digitaglinktree: sync with KDE3 branch

2008-11-25 09:16  cgilles

    * NEWS: polish

2008-11-25 09:08  cgilles

    * NEWS: update

0.10.0-beta6 2008-11-25
--------------------------------------------------------------------------------

2008-11-25 07:41  cgilles

    * digikam/daboutdata.h: update

2008-11-25 07:21  cgilles

    * AUTHORS: update

2008-11-25 05:10  cgilles

    * NEWS: update

2008-11-24 22:17  sengels

    * libs/database/collectionmanager.cpp: minor fix
      please do not file bug reports - compile errors are fixed within
      hours normally anyway
      BUG:888572

2008-11-24 19:58  mwiesweg

    * libs/database/collectionmanager.cpp: Ensure that volumes are
      mounted and that spurious empty mount paths are taken care for.
      
      CCBUG: 175923

2008-11-24 19:22  cgilles

    * digikam/daboutdata.h: give credits to Patrick

2008-11-24 19:18  cgilles

    * AUTHORS: add credits to Patrick, as Wi32 developer

2008-11-24 13:43  cgilles

    * utilities/scripts/digitaglinktree: sync with KDE3 branch

2008-11-24 09:12  cgilles

    * libs/database/collectionmanager.cpp,
      libs/database/collectionmanager.h: fix typo

2008-11-24 00:43  sengels

    * libs/widgets/common/dpopupmenu.cpp: I filed a bug at qt-bugs@ but
      I am not sure this will have great chances; Maybe this is even
      our fault as painting should probably happen from the lower part
      to the upper part.
      -Fix missing image at the side of the menu

2008-11-23 14:24  aclemens

    * NEWS: update

2008-11-23 12:21  scripty

    * digikam/digikam.desktop, showfoto/showfoto.desktop,
      utilities/hotplug/digikam-download.desktop.cmake,
      utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
      utilities/hotplug/digikam-mount-and-download.desktop.cmake,
      utilities/imageeditor/editor/digikamimageplugin.desktop:
      SVN_SILENT made messages (.desktop file)

2008-11-22 22:03  schwarzer

    * utilities/imageeditor/editor/editorwindow.cpp: Unify appearance
      of this string with the other two 200 lines above to reduce the
      strings to be translated by 1. :)

2008-11-22 18:03  schwarzer

    * imageplugins/channelmixer/channelmixertool.cpp: just switching
      two code lines since it looks a bit
      confusing with the mixed colors.
      I hope it wasn't like that on purpose.

2008-11-22 16:42  aclemens

    * NEWS: update

2008-11-22 13:25  mwiesweg

    * digikam/albummanager.cpp: Fix the problem that two albums are
      created when adding an album below an album root album.
      (The first added album had one slash extra)

2008-11-22 12:38  aclemens

    * NEWS: update

2008-11-22 12:17  mwiesweg

    * utilities/cameragui/gpcamera.cpp: Fix possible crash when the
      access method fails and the pointer is accessed.
      An invalid index was used, which leads to failure in certain
      hardware situations.
      Please check if this fixes your crash.
      
      CCBUG: 175597

2008-11-22 12:17  mwiesweg

    * libs/database/collectionmanager.cpp: We have received reports of
      situations where Solid is not available (Windows)
      or fails to list storage access (Linux RAID, at least with older
      HAL).
      For these situations the fallback solution of storing the mount
      path must be available.

2008-11-22 02:05  sengels

    * libs/jpegutils/jpegwin.cpp, libs/jpegutils/jpegwin.h: adjust
      copyright notice

2008-11-22 01:45  sengels

    * libs/dimg/loaders/jpegloader.cpp, libs/jpegutils/jpegutils.cpp:
      use readAll instead of a loop

2008-11-22 01:30  sengels

    * CMakeLists.txt, libs/dimg/loaders/jpegloader.cpp,
      libs/jpegutils/jpegutils.cpp, libs/jpegutils/jpegwin.cpp,
      libs/jpegutils/jpegwin.h: This is an even bigger commit:
      make jpeg work on msvc;
      CCBUG:173918

2008-11-21 21:34  aclemens

    * NEWS: update

2008-11-21 18:41  mwiesweg

    * digikam/digikamapp.cpp, digikam/digikamapp.h: Fix Solid signal
      connection, so that the event loop can be ended when the device
      is mounted.
      Polish capacity display in Import menu.
      
      CCBUG: 175662

2008-11-21 18:38  mwiesweg

    * digikam/syncjob.cpp: Connect to thumbnail loader before calling
      getThumbnail, which can fire a signal immediately.
      Be paranoid and use queued signals so they cannot be released
      before entering the event loop.
      
      CCBUG: 174991

2008-11-21 12:35  mlaurent

    * imageplugins/hotpixels/hotpixelfixer.cpp, showfoto/showfoto.cpp:
      Fix iterator

2008-11-21 12:30  mlaurent

    * digikam/albumhistory.cpp, digikam/albumlister.cpp,
      digikam/albumselectdialog.cpp, digikam/imagepreviewview.cpp,
      digikam/tageditdlg.cpp, digikam/tagfilterview.cpp,
      digikam/tagfolderview.cpp: Fix some iterator

2008-11-21 10:27  cgilles

    * libs/dialogs/imagedialog.cpp: center image info

2008-11-21 09:17  cgilles

    * utilities/CMakeLists.txt: upper

2008-11-21 08:44  mlaurent

    * digikam/albumiconview.cpp,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagepropertiessidebardb.cpp,
      libs/imageproperties/talbumlistview.cpp,
      utilities/cameragui/umscamera.cpp,
      utilities/imageeditor/editor/imagewindow.cpp,
      utilities/lighttable/lighttablebar.cpp,
      utilities/lighttable/lighttablepreview.cpp,
      utilities/lighttable/lighttablewindow.cpp: Fix iterator

2008-11-21 08:21  cgilles

    * themedesigner/themedicongroupitem.cpp,
      themedesigner/themedicongroupitem.h,
      themedesigner/themediconitem.cpp, themedesigner/themediconitem.h,
      themedesigner/themediconview.cpp: fix warnings

2008-11-21 08:03  mlaurent

    * libs/database/collectionscanner.cpp,
      libs/database/haar/haariface.cpp,
      libs/database/imagequerybuilder.cpp,
      libs/imageproperties/worldmapwidget.cpp,
      libs/widgets/common/thumbbar.cpp: fix some iterator

2008-11-21 07:07  cgilles

    * NEWS: update

2008-11-20 23:13  sengels

    * libs/dimg/loaders/pngloader.cpp: fix digikam crashes when trying
      to open png files under MSVC
      I will close the following bug - we need a more precise bug
      report now.
      BUG:173918
      @digikam-devels:
      It should be possible to remove the ifdef's and use this solution
      under Linux too. That way maintenance would be easier for me and
      you. Ideas?
      CCMAIL:digikam-devel@kde.org

2008-11-20 20:51  cgilles

    * NEWS: update

2008-11-20 19:10  cgilles

    * digikam/folderitem.cpp, digikam/iconitem.cpp: Fix depreciate

2008-11-19 18:53  aclemens

    * utilities/cameragui/umscamera.cpp: removed duplicate includes,
      sorted include statements

2008-11-19 13:49  cgilles

    * project/bootstrap.bat, project/project.kdevelop: missing "S"

2008-11-19 12:38  aclemens

    * digikam/folderitem.cpp: fix deprecate warnings: Actually
      QColorGroup is not used in Qt4 anymore, so this still isn't the
      best solution. This code will be replaced when switching to a
      fully Qt4 implementation.

2008-11-19 11:31  aclemens

    * libs/CMakeLists.txt: fixing the actual problem that was issued in
      commit 886465:
      loaders => dimg/loaders (typo)

2008-11-19 10:43  aclemens

    * libs/CMakeLists.txt: this path is not valid anymore

2008-11-18 23:38  sengels

    * utilities/setup/setupcollectionview.cpp: unbreak this - the const
      modifier is needed

2008-11-18 18:12  cgilles

    * utilities/setup/setupcollections.cpp: digiKam from trunk : Under
      Win32, sound like signals/slots connection are initialized faster
      than under Linux. We need to take a care about that in the
      future.
      
      So what the problem exactly : In Setup dialog, KURLRequester
      slots are connected before than DB path is set by readSettings()
      method. We entry in a long loop where path is set, signals
      emitted, path is set, etc... A broken path is set in DB url
      editor at end.
      
      Solution: make signal and slots connections after that
      readSettings() is done.

2008-11-18 18:10  aclemens

    * digikam/CMakeLists.txt: not needed here anymore

2008-11-17 21:20  mwiesweg

    * utilities/setup/setupcollectionview.cpp: Fix wrong order of
      lines.
      Andi, this was your setupcollections problem. Turns out to be a
      silly last-minute mistake of me ;-)
      
      CCMAIL: andi.clemens@gmx.net

2008-11-17 21:20  mwiesweg

    * utilities/setup/setupcollections.cpp: Use QDir to compare
      directories so that a slash-only change is not recognized as
      change of the path.

2008-11-17 14:37  cgilles

    * utilities/searchwindow/comboboxutilities.cpp: fix warning

2008-11-17 14:35  cgilles

    * utilities/kipiiface/kipiinterface.cpp,
      utilities/kipiiface/kipiinterface.h: implement hostSetting() from
      libkipi 0.3.0

2008-11-17 12:33  cgilles

    * CMakeLists.txt, README: fix urls

2008-11-16 15:39  mwiesweg

    * utilities/setup/setupcollectionview.cpp: Propagate the
      enabled/disabled state of the view to the widgets

2008-11-16 15:38  mwiesweg

    * utilities/searchwindow/searchutilities.cpp: It was not the best
      coding style and I am miseducated by g++ accepting to return
      void,
      but the return statement is needed.

2008-11-16 15:31  cgilles

    * imageplugins/adjustlevels/adjustlevelstool.cpp: fix compilation
      warnings under win32

2008-11-16 14:53  cgilles

    * utilities/searchwindow/searchutilities.cpp: Win32 wranings :
      missing cast to please compiler (double => int)
      
      Marcel, there is no precision lost here ?
      
      CCMAIL: marcel.wiesweg@gmx.de

2008-11-16 14:50  cgilles

    * utilities/searchwindow/searchutilities.cpp: Win32 warnings of the
      day : why return a value with a void function

2008-11-16 14:49  cgilles

    * utilities/searchwindow/searchutilities.cpp: polish coding style
      (more readable and homogeneous)

2008-11-15 20:35  cgilles

    * libs/widgets/metadata/metadatawidget.cpp: optimize layout

2008-11-15 19:21  cgilles

    * utilities/setup/setupcollections.cpp: more help to setup root
      collections

2008-11-15 15:41  mwiesweg

    * CMakeLists.txt: compile

2008-11-15 15:41  mwiesweg

    * utilities/setup/setupcollections.cpp,
      utilities/setup/setupcollections.h: Remove the old implementation
      and replace it with the new SetupCollectionView/Model.

2008-11-15 15:41  mwiesweg

    * utilities/setup/setupcollectionview.cpp,
      utilities/setup/setupcollectionview.h: A custom tree view, model
      and delegate for the collections setup.
      - The view is a QTreeView
      - The delegate inherits KWidgetItemDelegate / Goya framework to
      provide
      widgets inside the view. Rendering is done through an object of
      QStyledItemDelegate
      - The model is custom. It keeps a list of collections, allows
      editing and does
      all the work of checking and applying the changes to
      CollectionManager
      
      Collections are sorted in the three categories local, removable
      and network.
      An "Add collection" button is provided for all three. We can
      autodetect local and
      removable storage media, but we cannot autodetect that a path is
      a network share
      currently, so this solves the problem of providing an extra
      button for network collections.
      When adding a collection the path dialog pops up directly, then
      the path is checked,
      and in a second dialog the user can adjust the name of the
      collection and is informed
      about the status of the storage.
      This reintroduces modal dialogs that we did not need with the
      previous implementation,
      but 1) the directory dialog was needed usually anyway and 2) we
      can display much more
      and flexible information.
      
      Label editing is done in-place with standard delegate editor
      means.
      Deleting is done with a small icon button for each collection.

2008-11-15 15:40  mwiesweg

    * libs/database/collectionmanager.cpp,
      libs/database/collectionmanager.h: - Add basic functionality to
      support collection on network shares.
      There is no autodetection, you have to give the mount path and
      say it is a network share.
      The collection will be considered available if the directory is
      not empty.
      The identification in the database is done via mount path.
      As usual we are free to add other means of identification is they
      are available in the future.
      - Extend checkLocation (and add checkNetworkLocation) to always
      provide
      meaningful information and a good icon symbolising the kind of
      storage

2008-11-14 20:18  cgilles

    * utilities/setup/setupmetadata.cpp: typo

2008-11-14 18:34  cgilles

    * utilities/setup/setupmetadata.cpp: disable RAW metadata writing
      is Exiv2 < 0.18.0

2008-11-14 17:42  cgilles

    * CMakeLists.txt, README: bump kexiv2 version to use

2008-11-14 14:45  cgilles

    * digikam/albumsettings.cpp, digikam/albumsettings.h,
      digikam/metadatahub.cpp, digikam/metadatahub.h,
      project/project.kdevelop, utilities/setup/setupmetadata.cpp:
      digiKam from trunk: new option to set on/off metadata writing to
      RAW file format based on TIFF/EP

2008-11-14 14:24  mwiesweg

    * utilities/searchwindow/searchgroup.cpp: Initialize all new groups
      properly with empty values after setting up

2008-11-14 14:23  mwiesweg

    * utilities/searchwindow/comboboxutilities.cpp: Catch wheel event
      for tree view line edit.
      Fix strange behavior of hiding the text when using the mouse
      wheel
      on the album / tags search combo box line edit before.

2008-11-14 14:23  mwiesweg

    * libs/database/imagequerybuilder.cpp: An empty group should have
      no effect, and not inhibit result by doing "AND 0". Now it's "AND
      1".

2008-11-14 14:23  mwiesweg

    * libs/database/imagelister.cpp: improve debugging output a bit

2008-11-14 14:22  mwiesweg

    * utilities/fuzzysearch/fuzzysearchview.cpp,
      utilities/fuzzysearch/fuzzysearchview.h: ImageInfo is implicitly
      shared, no need for heap allocation, use like QString

2008-11-14 14:22  mwiesweg

    * digikam/albumiconview.cpp,
      utilities/cameragui/cameraiconview.cpp: Fix wrong API usage:
      KUrl::List::fromMimeData is static and returns the result.
      Fixes copy-and-paste from Dolphin to icon view.

2008-11-14 13:48  scripty

    * imageplugins/border/digikamimageplugin_border.desktop: SVN_SILENT
      made messages (.desktop file)

2008-11-13 15:16  cgilles

    * imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp: fix
      compilation warnings under win32

2008-11-13 12:34  cgilles

    * libs/threadimageio/thumbnailloadthread.cpp: set icon size to
      default thread as huge. this fix several issue where thumb are
      really pixelized in:
      - file open/save image dialog preview
      - kipi thumb interface (SlideShow preview for ex.)
      - Find Similar image list.

2008-11-12 06:48  cgilles

    * utilities/setup/setupidentity.cpp,
      utilities/setup/setupidentity.h: typo

2008-11-12 06:46  cgilles

    * digikam/main.cpp: fix typo

2008-11-10 21:40  cgilles

    * NEWS: update

2008-11-10 21:27  scripty

    * digikam/digikam.desktop,
      imageplugins/lenscorrection/digikamimageplugin_lenscorrection.desktop,
      kioslave/digikamalbums.protocol, kioslave/digikamdates.protocol,
      kioslave/digikamsearch.protocol, kioslave/digikamtags.protocol,
      showfoto/showfoto.desktop,
      utilities/hotplug/digikam-download.desktop.cmake,
      utilities/hotplug/digikam-gphoto2-camera.desktop.cmake,
      utilities/hotplug/digikam-mount-and-download.desktop.cmake,
      utilities/imageeditor/editor/digikamimageplugin.desktop:
      SVN_SILENT made messages (.desktop file)

2008-11-10 21:25  cgilles

    * libs/imageproperties/cameraitempropertiestab.cpp,
      libs/imageproperties/cameraitempropertiestab.h,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagedescedittab.h,
      libs/imageproperties/imagepropertiescolorstab.cpp,
      libs/imageproperties/imagepropertiestab.cpp,
      libs/imageproperties/imagepropertiestab.h,
      project/project.kdevelop,
      utilities/imageeditor/editor/editortoolsettings.cpp,
      utilities/imageeditor/editor/editortoolsettings.h: backport
      commit #882414 from KDE3 branch
      CCBUGS: 164573

2008-11-10 12:12  cgilles

    * imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp: backport
      commit #882317 from KDE3 branch
      CCBUGS: 164573

2008-11-10 11:20  cgilles

    * libs/widgets/common/dgradientslider.cpp: Fix compilation warnings

2008-11-10 09:44  seb

    * digikam/digikamapp.cpp: English fixes, and capitalisation changes
      to adhere to KDE style guidelines.

2008-11-10 09:37  seb

    * utilities/batch/fingerprintsgenerator.cpp,
      utilities/fuzzysearch/findduplicatesview.cpp: Improve some
      language. "finger-prints" is not a word, "fingerprints" is.

2008-11-09 15:47  cgilles

    * NEWS: update

2008-11-08 11:50  cgilles

    * NEWS: update

2008-11-08 11:04  sengels

    * digikam/CMakeLists.txt: include source instead of binary path

2008-11-08 08:12  aclemens

    * utilities/fuzzysearch/fuzzysearchview.cpp: fix a memory leak

2008-11-07 16:56  cgilles

    * digikam/CMakeLists.txt: polish include paths

2008-11-07 12:05  cgilles

    * libs/imageproperties/cameraitempropertiestab.cpp: missing
      hide/show Lens label

2008-11-07 10:51  cgilles

    * NEWS: update

2008-11-06 19:17  cgilles

    * NEWS: update

2008-11-06 16:03  cgilles

    * utilities/cameragui/umscamera.cpp,
      utilities/cameragui/umscamera.h: with USB Mass Storage Camera,
      try to get video thumbnail using KDE thumb creator.
      Marcel, Andi, this patch work for you? (video thumb is broken
      under KDE4)
      CCMAIL: digikam-devel@kde.org

2008-11-06 15:01  cgilles

    * digikam/digikamapp.cpp: do not use "Konqueror" as name of
      file-manager

2008-11-06 10:20  cgilles

    * digikam/digikamapp.cpp, showfoto/showfoto.cpp: use default args

2008-11-06 10:15  cgilles

    * libs/widgets/common/splashscreen.cpp,
      libs/widgets/common/splashscreen.h: sync with KDE branch

2008-11-06 09:02  cgilles

    * project/bootstrap.bat: polish

2008-11-06 08:44  cgilles

    * project/KDE4PORT: update

2008-11-06 08:36  cgilles

    * CMakeLists.txt: For digiKam and Kipi-plugins, all depencies are
      checked in respective cmake scripts. No need to duplicates this
      job in root cmake script (this break compilation setup env under
      win32)

2008-11-05 14:34  cgilles

    * PACKAGING, project/PACKAGING, project/project.kdevelop: sync with
      KDE3 branch

2008-11-05 13:40  cgilles

    * digikam/albumsettings.cpp: polish

2008-11-05 11:31  cgilles

    * libs/imageproperties/imagepropertiescolorstab.cpp: polish

2008-11-05 11:21  cgilles

    * libs/imageproperties/imagepropertiescolorstab.cpp: image
      properties color tab use Dolphin like info style

2008-11-05 11:01  cgilles

    * libs/imageproperties/cameraitempropertiestab.cpp: camera gui
      image properties use now Dolphin like meta info style

2008-11-05 10:54  cgilles

    * libs/imageproperties/imagepropertiestab.cpp,
      libs/imageproperties/imagepropertiestxtlabel.h: dolphin like
      image properties tab content. More space conservative. Look
      better, more ready and pleasant to see that old design

2008-11-04 15:31  aclemens

    * NEWS: typos

2008-11-04 15:31  aclemens

    * NEWS: update

2008-11-04 15:31  aclemens

    * digikam/albumfolderview.cpp, digikam/tagfilterview.cpp,
      digikam/tagfolderview.cpp,
      libs/imageproperties/imagedescedittab.cpp: collapse children of
      matching album / tag names.
      
